/**
 * @license
 * Copyright 2021 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports):"function"==typeof define&&define.amd?define(["exports"],t):t((e=e||self).tf=e.tf||{})}(this,(function(e){"use strict";class t{time(e){return n("time")}read(e){return n("read")}readSync(e){return n("readSync")}numDataIds(){return n("numDataIds")}disposeData(e){return n("disposeData")}write(e,t,r){return n("write")}move(e,t,r,s){return n("move")}memory(){return n("memory")}floatPrecision(){return n("floatPrecision")}epsilon(){return 32===this.floatPrecision()?1e-7:1e-4}dispose(){return n("dispose")}}function n(e){throw new Error(`'${e}' not yet implemented or not found in the registry. This kernel may not be supported by the tfjs backend you have chosen`)}function r(e){let t=e.length,n=0,r=0;for(;t>0;)r=Math.random()*t|0,t--,n=e[t],e[t]=e[r],e[r]=n}function s(e,t,n){return Math.max(e,Math.min(t,n))}function o(e,t){if(!e)throw new Error("string"==typeof t?t:t())}function a(e,t,n=""){o(c(e,t),()=>n+` Shapes ${e} and ${t} must match`)}function i(e){o(null!=e,()=>"The input to the tensor constructor must be a non-null value.")}function l(e,t=[],n=!1){if(null==t&&(t=[]),Array.isArray(e)||w(e)&&!n)for(let r=0;r<e.length;++r)l(e[r],t,n);else t.push(e);return t}function u(e){if(0===e.length)return 1;let t=e[0];for(let n=1;n<e.length;n++)t*=e[n];return t}function c(e,t){if(e===t)return!0;if(null==e||null==t)return!1;if(e.length!==t.length)return!1;for(let n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0}function h(e){return e%1==0}function d(e,t){return t<=e.length?e:e+" ".repeat(t-e.length)}function p(e,t){const n=t.length;return o((e=null==e?t.map((e,t)=>t):[].concat(e)).every(e=>e>=-n&&e<n),()=>`All values in axis param must be in range [-${n}, ${n}) but got axis `+e),o(e.every(e=>h(e)),()=>"All values in axis param must be integers but got axis "+e),e.map(e=>e<0?n+e:e)}function f(e,t){const n=[],r=[],s=null!=t&&Array.isArray(t)&&0===t.length,o=null==t||s?null:p(t,e).sort();let a=0;for(let t=0;t<e.length;++t){if(null!=o){if(o[a]===t&&1!==e[t])throw new Error(`Can't squeeze axis ${t} since its dim '${e[t]}' is not 1`);(null==o[a]||o[a]>t)&&1===e[t]&&(n.push(e[t]),r.push(t)),o[a]<=t&&a++}1!==e[t]&&(n.push(e[t]),r.push(t))}return{newShape:n,keptDims:r}}function m(e,t){let n=null;if(null==e||"float32"===e)n=new Float32Array(t);else if("int32"===e)n=new Int32Array(t);else{if("bool"!==e)throw new Error("Unknown data type "+e);n=new Uint8Array(t)}return n}function g(e,t){let n=null;if(null==e||"float32"===e)n=new Float32Array(t);else if("int32"===e)n=new Int32Array(t);else if("bool"===e)n=new Uint8Array(t);else{if("string"!==e)throw new Error("Unknown data type "+e);n=new Array(t)}return n}function b(e,t){for(let n=0;n<e.length;n++){const r=e[n];if(isNaN(r)||!isFinite(r))throw Error(`A tensor of type ${t} being uploaded contains ${r}.`)}}function y(e){return"bool"===e||"complex64"===e||"float32"===e||"int32"===e||"string"===e}function w(e){return e instanceof Float32Array||e instanceof Int32Array||e instanceof Uint8Array}function k(e){if("float32"===e||"int32"===e)return 4;if("complex64"===e)return 8;if("bool"===e)return 1;throw new Error("Unknown dtype "+e)}function v(e){if(null==e)return 0;let t=0;return e.forEach(e=>t+=e.length),t}function x(e){return"string"==typeof e||e instanceof String}function E(e){return"boolean"==typeof e}function S(e){return"number"==typeof e}function A(e){return Array.isArray(e)?A(e[0]):e instanceof Float32Array?"float32":e instanceof Int32Array||e instanceof Uint8Array?"int32":S(e)?"float32":x(e)?"string":E(e)?"bool":"float32"}function M(e){return!!(e&&e.constructor&&e.call&&e.apply)}function N(e,t){for(let n=t;n<e;++n)if(e%n==0)return n;return e}function I(e){const t=e.length;if(t<2)return[];const n=new Array(t-1);n[t-2]=e[t-1];for(let r=t-3;r>=0;--r)n[r]=n[r+1]*e[r+1];return n}function _(e,t){if(0===e.length)return t[0];const n=e.reduce((e,t)=>e*t);if(0===n)return[];if(n!==t.length)throw new Error(`[${e}] does not match the input size ${t.length}.`);return function e(t,n,r){const s=new Array;if(1===n.length){const e=n[0];for(let n=0;n<e;n++)s[n]=r[t+n]}else{const o=n[0],a=n.slice(1),i=a.reduce((e,t)=>e*t);for(let n=0;n<o;n++)s[n]=e(t+n*i,a,r)}return s}(0,e,t)}function $(e,t){const n=D(e,t);for(let e=0;e<n.length;e++)n[e]=1;return n}function D(e,t){if(null==t||"float32"===t||"complex64"===t)return new Float32Array(e);if("int32"===t)return new Int32Array(e);if("bool"===t)return new Uint8Array(e);throw new Error("Unknown data type "+t)}function T(e){e.forEach(t=>{o(Number.isInteger(t)&&t>=0,()=>`Tensor must have a shape comprised of positive integers but got shape [${e}].`)})}function R(e){return e&&e.then&&"function"==typeof e.then}class C{constructor(e){this.global=e,this.flags={},this.flagRegistry={},this.urlFlags={},this.populateURLFlags()}setPlatform(e,t){null!=this.platform&&console.warn(`Platform ${this.platformName} has already been set. Overwriting the platform with ${t}.`),this.platformName=e,this.platform=t}registerFlag(e,t,n){if(this.flagRegistry[e]={evaluationFn:t,setHook:n},null!=this.urlFlags[e]){const t=this.urlFlags[e];console.warn(`Setting feature override from URL ${e}: ${t}.`),this.set(e,t)}}async getAsync(e){return e in this.flags||(this.flags[e]=await this.evaluateFlag(e)),this.flags[e]}get(e){if(e in this.flags)return this.flags[e];const t=this.evaluateFlag(e);if(R(t))throw new Error(`Flag ${e} cannot be synchronously evaluated. Please use getAsync() instead.`);return this.flags[e]=t,this.flags[e]}getNumber(e){return this.get(e)}getBool(e){return this.get(e)}getFlags(){return this.flags}get features(){return this.flags}set(e,t){if(null==this.flagRegistry[e])throw new Error(`Cannot set flag ${e} as it has not been registered.`);this.flags[e]=t,null!=this.flagRegistry[e].setHook&&this.flagRegistry[e].setHook(t)}evaluateFlag(e){if(null==this.flagRegistry[e])throw new Error(`Cannot evaluate flag '${e}': no evaluation function found.`);return this.flagRegistry[e].evaluationFn()}setFlags(e){this.flags=Object.assign({},e)}reset(){this.flags={},this.urlFlags={},this.populateURLFlags()}populateURLFlags(){if(void 0===this.global||void 0===this.global.location||void 0===this.global.location.search)return;const e=function(e){const t={};return e.replace(/[?&]([^=?&]+)(?:=([^&]*))?/g,(e,...n)=>(function(e,t,n){e[decodeURIComponent(t)]=decodeURIComponent(n||"")}(t,n[0],n[1]),n.join("="))),t}(this.global.location.search);if("tfjsflags"in e){e.tfjsflags.split(",").forEach(e=>{const[t,n]=e.split(":");this.urlFlags[t]=function(e,t){if("true"===(t=t.toLowerCase())||"false"===t)return"true"===t;if(""+ +t===t)return+t;throw new Error(`Could not parse value flag value ${t} for flag ${e}.`)}(t,n)})}}}function F(){return e.ENV}let B;function P(){if(null==B){let e;if("undefined"!=typeof window)e=window;else if("undefined"!=typeof global)e=global;else if("undefined"!=typeof process)e=process;else{if("undefined"==typeof self)throw new Error("Could not find a global object");e=self}B=e}return B}function L(e,t){const n=function(){const e=P();return null==e._tfGlobals&&(e._tfGlobals=new Map),e._tfGlobals}();if(n.has(e))return n.get(e);{const r=t();return n.set(e,r),n.get(e)}}e.ENV=null;const z=L("kernelRegistry",()=>new Map),O=L("gradRegistry",()=>new Map);function K(e,t){const n=G(e,t);return z.get(n)}function W(e){return O.get(e)}function q(e){const t=z.entries(),n=[];for(;;){const{done:r,value:s}=t.next();if(r)break;const[o,a]=s,[i]=o.split("_");i===e&&n.push(a)}return n}function U(e){const{kernelName:t,backendName:n}=e,r=G(t,n);z.has(r)&&console.warn(`The kernel '${t}' for backend '${n}' is already registered`),z.set(r,e)}function G(e,t){return`${t}_${e}`}function V(e,t){if("string"===t)throw new Error("Cannot convert a string[] to a TypedArray");if(Array.isArray(e)&&(e=l(e)),F().getBool("DEBUG")&&b(e,t),function(e,t){return e instanceof Float32Array&&"float32"===t||e instanceof Int32Array&&"int32"===t||e instanceof Uint8Array&&"bool"===t}(e,t))return e;if(null==t||"float32"===t||"complex64"===t)return new Float32Array(e);if("int32"===t)return new Int32Array(e);if("bool"===t){const t=new Uint8Array(e.length);for(let n=0;n<t.length;++n)0!==Math.round(e[n])&&(t[n]=1);return t}throw new Error("Unknown data type "+t)}function H(){return F().platform.now()}function j(e,t="utf-8"){return t=t||"utf-8",F().platform.encode(e,t)}function J(e,t="utf-8"){return t=t||"utf-8",F().platform.decode(e,t)}var Y=Object.freeze({__proto__:null,createScalarValue:function(e,t){return"string"===t?j(e):V([e],t)},toTypedArray:V,now:H,fetch:function(e,t){return F().platform.fetch(e,t)},encodeString:j,decodeString:J,shuffle:r,clamp:s,nearestLargerEven:function(e){return e%2==0?e:e+1},sum:function(e){let t=0;for(let n=0;n<e.length;n++)t+=e[n];return t},randUniform:function(e,t){const n=Math.random();return t*n+(1-n)*e},distSquared:function(e,t){let n=0;for(let r=0;r<e.length;r++){const s=Number(e[r])-Number(t[r]);n+=s*s}return n},assert:o,assertShapesMatch:a,assertNonNull:i,flatten:l,sizeFromShape:u,isScalarShape:function(e){return 0===e.length},arraysEqual:c,isInt:h,tanh:function(e){if(null!=Math.tanh)return Math.tanh(e);if(e===1/0)return 1;if(e===-1/0)return-1;{const t=Math.exp(2*e);return(t-1)/(t+1)}},sizeToSquarishShape:function(e){const t=Math.ceil(Math.sqrt(e));return[t,Math.ceil(e/t)]},createShuffledIndices:function(e){const t=new Uint32Array(e);for(let n=0;n<e;++n)t[n]=n;return r(t),t},rightPad:d,repeatedTry:function(e,t=(e=>0),n){return new Promise((r,s)=>{let o=0;const a=()=>{if(e())return void r();o++;const i=t(o);null!=n&&o>=n?s():setTimeout(a,i)};a()})},inferFromImplicitShape:function(e,t){let n=1,r=-1;for(let t=0;t<e.length;++t)if(e[t]>=0)n*=e[t];else if(-1===e[t]){if(-1!==r)throw Error(`Shapes can only have 1 implicit size. Found -1 at dim ${r} and dim ${t}`);r=t}else if(e[t]<0)throw Error(`Shapes can not be < 0. Found ${e[t]} at dim ${t}`);if(-1===r){if(t>0&&t!==n)throw Error(`Size(${t}) must match the product of shape ${e}`);return e}if(0===n)throw Error(`Cannot infer the missing size in [${e}] when there are 0 elements`);if(t%n!=0)throw Error(`The implicit shape can't be a fractional number. Got ${t} / ${n}`);const s=e.slice();return s[r]=t/n,s},parseAxisParam:p,squeezeShape:f,getTypedArrayFromDType:m,getArrayFromDType:g,checkConversionForErrors:b,isValidDtype:y,hasEncodingLoss:function(e,t){return"complex64"!==t&&(("float32"!==t||"complex64"===e)&&(("int32"!==t||"float32"===e||"complex64"===e)&&("bool"!==t||"bool"!==e)))},isTypedArray:w,bytesPerElement:k,bytesFromStringArray:v,isString:x,isBoolean:E,isNumber:S,inferDtype:A,isFunction:M,nearestDivisor:N,computeStrides:I,toNestedArray:_,makeOnesTypedArray:$,makeZerosTypedArray:D,makeZerosNestedTypedArray:function(e,t){const n=e.reduce((e,t)=>e*t,1);if(null==t||"float32"===t)return _(e,new Float32Array(n));if("int32"===t)return _(e,new Int32Array(n));if("bool"===t)return _(e,new Uint8Array(n));throw new Error("Unknown data type "+t)},assertNonNegativeIntegerDimensions:T,locToIndex:function(e,t,n){if(0===t)return 0;if(1===t)return e[0];let r=e[e.length-1];for(let t=0;t<e.length-1;++t)r+=n[t]*e[t];return r},indexToLoc:function(e,t,n){if(0===t)return[];if(1===t)return[e];const r=new Array(t);for(let t=0;t<r.length-1;++t)r[t]=Math.floor(e/n[t]),e-=r[t]*n[t];return r[r.length-1]=e,r},isPromise:R});class Z{constructor(e,t){this.backendTimer=e,this.logger=t,null==t&&(this.logger=new Q)}profileKernel(e,t,n){let r;const s=this.backendTimer.time(()=>{r=n()});if(F().getBool("CHECK_COMPUTATION_FOR_ERRORS"))for(let t=0;t<r.length;t++){const n=r[t];n.data().then(t=>{X(t,n.dtype,e)})}return{kernelName:e,outputs:r,inputs:t,timeMs:s.then(e=>e.kernelMs),extraInfo:s.then(e=>null!=e.getExtraProfileInfo?e.getExtraProfileInfo():"")}}logKernelProfile(e){const{kernelName:t,outputs:n,timeMs:r,inputs:s,extraInfo:o}=e;n.forEach(e=>{Promise.all([e.data(),r,o]).then(n=>{this.logger.logKernelProfile(t,e,n[0],n[1],s,n[2])})})}}function X(e,t,n){if("float32"!==t)return!1;for(let t=0;t<e.length;t++){const r=e[t];if(isNaN(r)||!isFinite(r))return console.warn(`Found ${r} in the result of '${n}'`),!0}return!1}class Q{logKernelProfile(e,t,n,r,s,o){const a="number"==typeof r?d(r+"ms",9):r.error,i=d(e,25),l=t.rank,u=t.size,c=d(t.shape.toString(),14);let h="";for(const e in s){const n=s[e];if(null!=n){const r=n.shape||t.shape,s=r.length;h+=`${e}: ${s}D ${s>0?r:""} `}}console.log(`%c${i}\t%c${a}\t%c${l}D ${c}\t%c${u}\t%c${h}\t%c${o}`,"font-weight:bold","color:red","color:blue","color: orange","color: green","color: steelblue")}}function ee(e,t,n,r){const s=I(t),o=function(e,t,n,r){const s=u(t),o=r[r.length-1],a=new Array(o).fill(0),i=t.length,l="complex64"===n?re(e):e;if(i>1)for(let e=0;e<s/o;e++){const t=e*o;for(let e=0;e<o;e++)a[e]=Math.max(a[e],te(l[t+e],0,n).length)}return a}(e,t,n,s),a=t.length,i=function e(t,n,r,s,o,a=!0){const i="complex64"===r?2:1,l=n[0],u=n.length;if(0===u){if("complex64"===r){return[te(re(t)[0],0,r)]}return"bool"===r?[ne(t[0])]:[t[0].toString()]}if(1===u){if(l>20){const e=3*i;let n=Array.from(t.slice(0,e)),s=Array.from(t.slice((l-3)*i,l*i));return"complex64"===r&&(n=re(n),s=re(s)),["["+n.map((e,t)=>te(e,o[t],r)).join(", ")+", ..., "+s.map((e,t)=>te(e,o[l-3+t],r)).join(", ")+"]"]}return["["+("complex64"===r?re(t):Array.from(t)).map((e,t)=>te(e,o[t],r)).join(", ")+"]"]}const c=n.slice(1),h=s.slice(1),d=s[0]*i,p=[];if(l>20){for(let n=0;n<3;n++){const s=n*d,a=s+d;p.push(...e(t.slice(s,a),c,r,h,o,!1))}p.push("...");for(let n=l-3;n<l;n++){const s=n*d,a=s+d;p.push(...e(t.slice(s,a),c,r,h,o,n===l-1))}}else for(let n=0;n<l;n++){const s=n*d,a=s+d;p.push(...e(t.slice(s,a),c,r,h,o,n===l-1))}const f=2===u?",":"";p[0]="["+p[0]+f;for(let e=1;e<p.length-1;e++)p[e]=" "+p[e]+f;let m=",\n";for(let e=2;e<u;e++)m+="\n";return p[p.length-1]=" "+p[p.length-1]+"]"+(a?"":m),p}(e,t,n,s,o),l=["Tensor"];return r&&(l.push("  dtype: "+n),l.push("  rank: "+a),l.push(`  shape: [${t}]`),l.push("  values:")),l.push(i.map(e=>"    "+e).join("\n")),l.join("\n")}function te(e,t,n){let r;return r=Array.isArray(e)?parseFloat(e[0].toFixed(7))+" + "+parseFloat(e[1].toFixed(7))+"j":x(e)?`'${e}'`:"bool"===n?ne(e):parseFloat(e.toFixed(7)).toString(),d(r,t)}function ne(e){return 0===e?"false":"true"}function re(e){const t=[];for(let n=0;n<e.length;n+=2)t.push([e[n],e[n+1]]);return t}class se{constructor(e,t,n){if(this.dtype=t,this.shape=e.slice(),this.size=u(e),null!=n){const e=n.length;o(e===this.size,()=>`Length of values '${e}' does not match the size inferred by the shape '${this.size}'.`)}if("complex64"===t)throw new Error("complex64 dtype TensorBuffers are not supported. Please create a TensorBuffer for the real and imaginary parts separately and call tf.complex(real, imag).");this.values=n||g(t,this.size),this.strides=I(e)}set(e,...t){0===t.length&&(t=[0]),o(t.length===this.rank,()=>`The number of provided coordinates (${t.length}) must match the rank (${this.rank})`);const n=this.locToIndex(t);this.values[n]=e}get(...e){0===e.length&&(e=[0]);let t=0;for(const n of e){if(n<0||n>=this.shape[t]){const t=`Requested out of range element at ${e}.   Buffer shape=`+this.shape;throw new Error(t)}t++}let n=e[e.length-1];for(let t=0;t<e.length-1;++t)n+=this.strides[t]*e[t];return this.values[n]}locToIndex(e){if(0===this.rank)return 0;if(1===this.rank)return e[0];let t=e[e.length-1];for(let n=0;n<e.length-1;++n)t+=this.strides[n]*e[n];return t}indexToLoc(e){if(0===this.rank)return[];if(1===this.rank)return[e];const t=new Array(this.shape.length);for(let n=0;n<t.length-1;++n)t[n]=Math.floor(e/this.strides[n]),e-=t[n]*this.strides[n];return t[t.length-1]=e,t}get rank(){return this.shape.length}toTensor(){return oe().makeTensor(this.values,this.shape,this.dtype)}}let oe=null,ae=null;class ie{constructor(e,t,n,r){this.kept=!1,this.isDisposedInternal=!1,this.shape=e.slice(),this.dtype=t||"float32",this.size=u(e),this.strides=I(e),this.dataId=n,this.id=r,this.rankType=this.rank<5?this.rank.toString():"higher"}get rank(){return this.shape.length}async buffer(){const e=await this.data();return ae.buffer(this.shape,this.dtype,e)}bufferSync(){return ae.buffer(this.shape,this.dtype,this.dataSync())}async array(){const e=await this.data();return _(this.shape,e)}arraySync(){return _(this.shape,this.dataSync())}async data(){this.throwIfDisposed();const e=oe().read(this.dataId);if("string"===this.dtype){const t=await e;try{return t.map(e=>J(e))}catch(e){throw new Error("Failed to decode the string bytes into utf-8. To get the original bytes, call tensor.bytes().")}}return e}dataSync(){this.throwIfDisposed();const e=oe().readSync(this.dataId);if("string"===this.dtype)try{return e.map(e=>J(e))}catch(e){throw new Error("Failed to decode the string bytes into utf-8. To get the original bytes, call tensor.bytes().")}return e}async bytes(){this.throwIfDisposed();const e=await oe().read(this.dataId);return"string"===this.dtype?e:new Uint8Array(e.buffer)}dispose(){this.isDisposed||(oe().disposeTensor(this),this.isDisposedInternal=!0)}get isDisposed(){return this.isDisposedInternal}throwIfDisposed(){if(this.isDisposed)throw new Error("Tensor is disposed.")}print(e=!1){return ae.print(this,e)}clone(){return this.throwIfDisposed(),ae.clone(this)}toString(e=!1){return ee(this.dataSync(),this.shape,this.dtype,e)}cast(e){return this.throwIfDisposed(),ae.cast(this,e)}variable(e=!0,t,n){return this.throwIfDisposed(),oe().makeVariable(this,e,t,n)}}Object.defineProperty(ie,Symbol.hasInstance,{value:e=>!!e&&null!=e.data&&null!=e.dataSync&&null!=e.throwIfDisposed}),L("Tensor",()=>ie);class le extends ie{constructor(e,t,n,r){super(e.shape,e.dtype,e.dataId,r),this.trainable=t,this.name=n}assign(e){if(e.dtype!==this.dtype)throw new Error(`dtype of the new value (${e.dtype}) and previous value (${this.dtype}) must match`);if(!c(e.shape,this.shape))throw new Error(`shape of the new value (${e.shape}) and previous value (${this.shape}) must match`);oe().disposeTensor(this),this.dataId=e.dataId,oe().incRef(this,null)}dispose(){oe().disposeVariable(this),this.isDisposedInternal=!0}}var ue,ce,he,de,pe;Object.defineProperty(le,Symbol.hasInstance,{value:e=>e instanceof ie&&null!=e.assign&&e.assign instanceof Function}),(ue=e.Rank||(e.Rank={})).R0="R0",ue.R1="R1",ue.R2="R2",ue.R3="R3",ue.R4="R4",ue.R5="R5",ue.R6="R6",function(e){e.float32="float32",e.int32="int32",e.bool="int32",e.complex64="complex64"}(ce||(ce={})),function(e){e.float32="float32",e.int32="int32",e.bool="bool",e.complex64="complex64"}(he||(he={})),function(e){e.float32="float32",e.int32="float32",e.bool="float32",e.complex64="complex64"}(de||(de={})),function(e){e.float32="complex64",e.int32="complex64",e.bool="complex64",e.complex64="complex64"}(pe||(pe={}));const fe={float32:de,int32:ce,bool:he,complex64:pe};function me(e,t){if("string"===e||"string"===t){if("string"===e&&"string"===t)return"string";throw new Error(`Can not upcast ${e} with ${t}`)}return fe[e][t]}function ge(e,t){if(e.dtype===t.dtype)return[e,t];const n=me(e.dtype,t.dtype);return[e.cast(n),t.cast(n)]}function be(e,t){o(e.dtype===t.dtype,()=>`The dtypes of the first(${e.dtype}) and second(${t.dtype}) input must match`)}function ye(e){const t=[];return function e(t,n,r){if(null==t)return;if(t instanceof ie)return void n.push(t);if(s=t,!Array.isArray(s)&&"object"!=typeof s)return;var s;const o=t;for(const t in o){const s=o[t];r.has(s)||(r.add(s),e(s,n,r))}}(e,t,new Set),t}var we=Object.freeze({__proto__:null,makeTypesMatch:ge,assertTypesMatch:be,isTensorInList:function(e,t){return t.some(t=>t.id===e.id)},getTensorsInContainer:ye});function ke(e){return null!=e.kernelName}class ve{constructor(){this.registeredVariables={},this.nextTapeNodeId=0,this.numBytes=0,this.numTensors=0,this.numStringTensors=0,this.numDataBuffers=0,this.gradientDepth=0,this.kernelDepth=0,this.scopeStack=[],this.numDataMovesStack=[],this.nextScopeId=0,this.tensorInfo=new WeakMap,this.profiling=!1,this.activeProfile={newBytes:0,newTensors:0,peakBytes:0,kernels:[],result:null,get kernelNames(){return Array.from(new Set(this.kernels.map(e=>e.name)))}}}dispose(){for(const e in this.registeredVariables)this.registeredVariables[e].dispose()}}class xe{constructor(e){this.ENV=e,this.registry={},this.registryFactory={},this.pendingBackendInitId=0,this.state=new ve}async ready(){if(null!=this.pendingBackendInit)return this.pendingBackendInit.then(()=>{});if(null!=this.backendInstance)return;const e=this.getSortedBackends();for(let t=0;t<e.length;t++){const n=e[t];if(await this.initializeBackend(n).success)return void await this.setBackend(n)}throw new Error("Could not initialize any backends, all backend initializations failed.")}get backend(){if(null!=this.pendingBackendInit)throw new Error(`Backend '${this.backendName}' has not yet been initialized. Make sure to await tf.ready() or await tf.setBackend() before calling other methods`);if(null==this.backendInstance){const{name:e,asyncInit:t}=this.initializeBackendsAndReturnBest();if(t)throw new Error(`The highest priority backend '${e}' has not yet been initialized. Make sure to await tf.ready() or await tf.setBackend() before calling other methods`);this.setBackend(e)}return this.backendInstance}backendNames(){return Object.keys(this.registryFactory)}findBackend(e){if(!(e in this.registry)){if(!(e in this.registryFactory))return null;{const{asyncInit:t}=this.initializeBackend(e);if(t)return null}}return this.registry[e]}findBackendFactory(e){return e in this.registryFactory?this.registryFactory[e].factory:null}registerBackend(e,t,n=1){return e in this.registryFactory?(console.warn(e+" backend was already registered. Reusing existing backend factory."),!1):(this.registryFactory[e]={factory:t,priority:n},!0)}async setBackend(e){if(null==this.registryFactory[e])throw new Error(`Backend name '${e}' not found in registry`);if(this.backendName=e,null==this.registry[e]){this.backendInstance=null;const{success:t,asyncInit:n}=this.initializeBackend(e);if(!(n?await t:t))return!1}return this.backendInstance=this.registry[e],this.setupRegisteredKernels(),this.profiler=new Z(this.backendInstance),!0}setupRegisteredKernels(){q(this.backendName).forEach(e=>{null!=e.setupFunc&&e.setupFunc(this.backendInstance)})}disposeRegisteredKernels(e){q(e).forEach(t=>{null!=t.disposeFunc&&t.disposeFunc(this.registry[e])})}initializeBackend(e){const n=this.registryFactory[e];if(null==n)throw new Error(`Cannot initialize backend ${e}, no registration found.`);try{const r=n.factory();if(!r||r instanceof t||"function"!=typeof r.then)return this.registry[e]=r,{success:!0,asyncInit:!1};{const t=++this.pendingBackendInitId,n=r.then(n=>!(t<this.pendingBackendInitId)&&(this.registry[e]=n,this.pendingBackendInit=null,!0)).catch(n=>(t<this.pendingBackendInitId||(this.pendingBackendInit=null,console.warn(`Initialization of backend ${e} failed`),console.warn(n.stack||n.message)),!1));return this.pendingBackendInit=n,{success:n,asyncInit:!0}}}catch(t){return console.warn(`Initialization of backend ${e} failed`),console.warn(t.stack||t.message),{success:!1,asyncInit:!1}}}removeBackend(e){if(!(e in this.registryFactory))throw new Error(e+" backend not found in registry");this.backendName===e&&null!=this.pendingBackendInit&&this.pendingBackendInitId++,e in this.registry&&(this.disposeRegisteredKernels(e),this.registry[e].dispose(),delete this.registry[e]),delete this.registryFactory[e],this.backendName===e&&(this.pendingBackendInit=null,this.backendName=null,this.backendInstance=null)}getSortedBackends(){if(0===Object.keys(this.registryFactory).length)throw new Error("No backend found in registry.");return Object.keys(this.registryFactory).sort((e,t)=>this.registryFactory[t].priority-this.registryFactory[e].priority)}initializeBackendsAndReturnBest(){const e=this.getSortedBackends();for(let t=0;t<e.length;t++){const n=e[t],{success:r,asyncInit:s}=this.initializeBackend(n);if(s||r)return{name:n,asyncInit:s}}throw new Error("Could not initialize any backends, all backend initializations failed.")}moveData(e,t){const n=this.state.tensorInfo.get(t),r=n.backend,s=this.readSync(t);r.disposeData(t),n.backend=e,e.move(t,s,n.shape,n.dtype),this.shouldCheckForMemLeaks()&&this.state.numDataMovesStack[this.state.numDataMovesStack.length-1]++}tidy(e,t){let n,r=null;if(null==t){if("function"!=typeof e)throw new Error("Please provide a function to tidy()");t=e}else{if("string"!=typeof e&&!(e instanceof String))throw new Error("When calling with two arguments, the first argument to tidy() must be a string");if("function"!=typeof t)throw new Error("When calling with two arguments, the 2nd argument to tidy() must be a function");r=e}return this.scopedRun(()=>this.startScope(r),()=>this.endScope(n),()=>(n=t(),n instanceof Promise&&console.error("Cannot return a Promise inside of tidy."),n))}scopedRun(e,t,n){e();try{const e=n();return t(),e}catch(e){throw t(),e}}nextTensorId(){return xe.nextTensorId++}nextVariableId(){return xe.nextVariableId++}clone(e){const t=this.makeTensorFromDataId(e.dataId,e.shape,e.dtype),n={x:e};return this.addTapeNode(this.state.activeScope.name,n,[t],e=>({x:()=>{const t={x:e},n={dtype:"float32"};return Se.runKernel("Cast",t,n)}}),[],{}),t}runKernel(e,t,n){if(!(null!=K(e,this.backendName)))throw new Error(`Kernel '${e}' not registered for backend '${this.backendName}'`);return this.runKernelFunc({kernelName:e,inputs:t,attrs:n})}shouldCheckForMemLeaks(){return this.ENV.getBool("IS_TEST")}checkKernelForMemLeak(e,t,n){const r=this.backend.numDataIds();let s=0;n.forEach(e=>{s+="complex64"===e.dtype?3:1});const o=this.state.numDataMovesStack[this.state.numDataMovesStack.length-1],a=r-t-s-o;if(a>0)throw new Error(`Backend '${this.backendName}' has an internal memory leak (${a} data ids) after running '${e}'`)}runKernelFunc(e){let t,n=[];const r=this.isTapeOn(),s=this.state.numBytes,a=this.state.numTensors;let i,l;this.shouldCheckForMemLeaks()&&this.state.numDataMovesStack.push(0);const u=ke(e)?e.kernelName:null!=this.state.activeScope?this.state.activeScope.name:"";if(ke(e)){const{kernelName:t,inputs:s,attrs:a}=e;null==this.backendName&&this.backend;const u=K(t,this.backendName);o(null!=u,()=>`Cannot find registered kernel '${t}' for backend '${this.backendName}'`),i=()=>{const e=this.backend.numDataIds();l=u.kernelFunc({inputs:s,attrs:a,backend:this.backend});const o=Array.isArray(l)?l:[l];this.shouldCheckForMemLeaks()&&this.checkKernelForMemLeak(t,e,o);const i=o.map(e=>{if(null!=e.rank)return e;const{dataId:t,shape:n,dtype:r}=e;return this.makeTensorFromDataId(t,n,r)});if(r){const e=this.getTensorsForGradient(t,s,i);n=this.saveTensorsForBackwardMode(e)}return i}}else{const{forwardFunc:t}=e,s=e=>{r&&(n=e.map(e=>this.keep(this.clone(e))))};i=()=>{const e=this.backend.numDataIds();l=this.tidy(()=>t(this.backend,s));const n=Array.isArray(l)?l:[l];return this.shouldCheckForMemLeaks()&&this.checkKernelForMemLeak(u,e,n),n}}const{inputs:c,attrs:h}=e,d=ke(e)?null:e.backwardsFunc;let p;return this.scopedRun(()=>this.state.kernelDepth++,()=>this.state.kernelDepth--,()=>{this.ENV.getBool("DEBUG")||this.state.profiling?(p=this.profiler.profileKernel(u,c,()=>i()),this.ENV.getBool("DEBUG")&&this.profiler.logKernelProfile(p),t=p.outputs):t=i()}),r&&this.addTapeNode(u,c,t,d,n,h),this.state.profiling&&this.state.activeProfile.kernels.push({name:u,bytesAdded:this.state.numBytes-s,totalBytesSnapshot:this.state.numBytes,tensorsAdded:this.state.numTensors-a,totalTensorsSnapshot:this.state.numTensors,inputShapes:Object.keys(c).map(e=>null!=c[e]?c[e].shape:null),outputShapes:t.map(e=>e.shape),kernelTimeMs:p.timeMs,extraInfo:p.extraInfo}),Array.isArray(l)?t:t[0]}saveTensorsForBackwardMode(e){return e.map(e=>this.keep(this.clone(e)))}getTensorsForGradient(e,t,n){const r=W(e);if(null!=r){const e=r.inputsToSave||[],s=r.outputsToSave||[];let a;r.saveAllInputs?(o(Array.isArray(t),()=>"saveAllInputs is true, expected inputs to be an array."),a=Object.keys(t).map(e=>t[e])):a=e.map(e=>t[e]);const i=n.filter((e,t)=>s[t]);return a.concat(i)}return[]}makeTensor(e,t,n,r){if(null==e)throw new Error("Values passed to engine.makeTensor() are null");n=n||"float32",r=r||this.backend;let s=e;"string"===n&&x(e[0])&&(s=e.map(e=>j(e)));const o=r.write(s,t,n),a=new ie(t,n,o,this.nextTensorId());if(this.incRef(a,r),"string"===n){const e=this.state.tensorInfo.get(o),t=v(s);this.state.numBytes+=t-e.bytes,e.bytes=t}return a}makeTensorFromDataId(e,t,n,r){const s=new ie(t,n=n||"float32",e,this.nextTensorId());return this.incRef(s,r),s}makeVariable(e,t=!0,n,r){n=n||this.nextVariableId().toString(),null!=r&&r!==e.dtype&&(e=e.cast(r));const s=new le(e,t,n,this.nextTensorId());if(null!=this.state.registeredVariables[s.name])throw new Error(`Variable with name ${s.name} was already registered`);return this.state.registeredVariables[s.name]=s,this.incRef(s,this.backend),s}incRef(e,t){const n=this.state.tensorInfo.has(e.dataId)?this.state.tensorInfo.get(e.dataId).refCount:0;if(this.state.numTensors++,"string"===e.dtype&&this.state.numStringTensors++,0===n){this.state.numDataBuffers++;let n=0;"complex64"!==e.dtype&&"string"!==e.dtype&&(n=e.size*k(e.dtype)),this.state.tensorInfo.set(e.dataId,{backend:t||this.backend,dtype:e.dtype,shape:e.shape,bytes:n,refCount:0}),this.state.numBytes+=n}this.state.tensorInfo.get(e.dataId).refCount++,e instanceof le||this.track(e)}disposeTensor(e){if(!this.state.tensorInfo.has(e.dataId))return;this.state.numTensors--,"string"===e.dtype&&this.state.numStringTensors--;const t=this.state.tensorInfo.get(e.dataId);t.refCount<=1?("complex64"!==e.dtype&&(this.state.numBytes-=t.bytes),this.state.numDataBuffers--,t.backend.disposeData(e.dataId),this.state.tensorInfo.delete(e.dataId)):this.state.tensorInfo.get(e.dataId).refCount--}disposeVariables(){for(const e in this.state.registeredVariables){const t=this.state.registeredVariables[e];this.disposeVariable(t)}}disposeVariable(e){this.disposeTensor(e),null!=this.state.registeredVariables[e.name]&&delete this.state.registeredVariables[e.name]}memory(){const e=this.backend.memory();return e.numTensors=this.state.numTensors,e.numDataBuffers=this.state.numDataBuffers,e.numBytes=this.state.numBytes,this.state.numStringTensors>0&&(e.unreliable=!0,null==e.reasons&&(e.reasons=[]),e.reasons.push("Memory usage by string tensors is approximate (2 bytes per character)")),e}async profile(e){this.state.profiling=!0;const t=this.state.numBytes,n=this.state.numTensors;this.state.activeProfile.kernels=[],this.state.activeProfile.result=await e(),this.state.profiling=!1,this.state.activeProfile.peakBytes=Math.max(...this.state.activeProfile.kernels.map(e=>e.totalBytesSnapshot)),this.state.activeProfile.newBytes=this.state.numBytes-t,this.state.activeProfile.newTensors=this.state.numTensors-n;for(const e of this.state.activeProfile.kernels)e.kernelTimeMs=await e.kernelTimeMs,e.extraInfo=await e.extraInfo;return this.state.activeProfile}isTapeOn(){return this.state.gradientDepth>0&&0===this.state.kernelDepth}addTapeNode(e,t,n,r,s,o){const a={id:this.state.nextTapeNodeId++,kernelName:e,inputs:t,outputs:n,saved:s},i=W(e);null!=i&&(r=i.gradFunc),null!=r&&(a.gradient=e=>(e=e.map((e,t)=>{if(null==e){const e=n[t],r=D(e.size,e.dtype);return this.makeTensor(r,e.shape,e.dtype)}return e}),r(e.length>1?e:e[0],s,o))),this.state.activeTape.push(a)}keep(e){return e.kept=!0,e}startTape(){0===this.state.gradientDepth&&(this.state.activeTape=[]),this.state.gradientDepth++}endTape(){this.state.gradientDepth--}startScope(e){const t={track:[],name:"unnamed scope",id:this.state.nextScopeId++};e&&(t.name=e),this.state.scopeStack.push(t),this.state.activeScope=t}endScope(e){const t=ye(e),n=new Set(t.map(e=>e.id));for(let e=0;e<this.state.activeScope.track.length;e++){const t=this.state.activeScope.track[e];t.kept||n.has(t.id)||t.dispose()}const r=this.state.scopeStack.pop();this.state.activeScope=0===this.state.scopeStack.length?null:this.state.scopeStack[this.state.scopeStack.length-1],t.forEach(e=>{e.kept||e.scopeId!==r.id||this.track(e)})}gradients(e,t,n,r=!1){if(o(t.length>0,()=>"gradients() received an empty list of xs."),null!=n&&"float32"!==n.dtype)throw new Error(`dy must have 'float32' dtype, but has '${n.dtype}'`);const s=this.scopedRun(()=>this.startTape(),()=>this.endTape(),()=>this.tidy("forward",e));o(s instanceof ie,()=>"The result y returned by f() must be a tensor.");const a=function(e,t,n){const r={},s={};for(let e=0;e<t.length;e++)r[t[e].id]=!0;for(let n=0;n<e.length;n++){const o=e[n],a=o.inputs;for(const e in a){const n=a[e];let i=!1;for(let e=0;e<t.length;e++)if(r[n.id]){o.outputs.forEach(e=>r[e.id]=!0),i=!0,s[o.id]=!0;break}if(i)break}}const o={};o[n.id]=!0;const a={};for(let t=e.length-1;t>=0;t--){const n=e[t],r=n.inputs;for(let e=0;e<n.outputs.length;e++)if(o[n.outputs[e].id]){for(const e in r)o[r[e].id]=!0,a[n.id]=!0;break}}const i=[];for(let t=0;t<e.length;t++){const n=e[t];if(s[n.id]&&a[n.id]){const e={};for(const t in n.inputs){const s=n.inputs[t];r[s.id]&&(e[t]=s)}const t=Object.assign({},n);t.inputs=e,t.outputs=n.outputs,i.push(t)}}return i}(this.state.activeTape,t,s);if(!r&&0===a.length&&t.length>0)throw new Error("Cannot compute gradient of y=f(x) with respect to x. Make sure that the f you passed encloses all operations that lead from x to y.");return this.tidy("backward",()=>{const e={};e[s.id]=null==n?function(e){const t=$(u(e),"float32");return Se.makeTensor(t,e,"float32")}(s.shape):n,function(e,t,n,r){for(let s=t.length-1;s>=0;s--){const o=t[s],a=[];if(o.outputs.forEach(t=>{const n=e[t.id];null!=n?a.push(n):a.push(null)}),null==o.gradient)throw new Error(`Cannot compute gradient: gradient function not found for ${o.kernelName}.`);const i=o.gradient(a);for(const t in o.inputs){if(!(t in i))throw new Error(`Cannot backprop through input ${t}. Available gradients found: ${Object.keys(i)}.`);const s=n(()=>i[t]());if("float32"!==s.dtype)throw new Error(`Error in gradient for op ${o.kernelName}. The gradient of input ${t} must have 'float32' dtype, but has '${s.dtype}'`);const a=o.inputs[t];if(!c(s.shape,a.shape))throw new Error(`Error in gradient for op ${o.kernelName}. The gradient of input '${t}' has shape '${s.shape}', which does not match the shape of the input '${a.shape}'`);if(null==e[a.id])e[a.id]=s;else{const t=e[a.id];e[a.id]=r(t,s),t.dispose()}}}}(e,a,e=>this.tidy(e),Ae);const r=t.map(t=>e[t.id]);return 0===this.state.gradientDepth&&(this.state.activeTape.forEach(e=>{for(const t of e.saved)t.dispose()}),this.state.activeTape=null),{value:s,grads:r}})}customGrad(e){return o(M(e),()=>"The f passed in customGrad(f) must be a function."),(...t)=>{let n;o(t.every(e=>e instanceof ie),()=>"The args passed in customGrad(f)(x1, x2,...) must all be tensors");const r={};t.forEach((e,t)=>{r[t]=e});return this.runKernelFunc({forwardFunc:(r,s)=>(n=e(...t,s),o(n.value instanceof ie,()=>"The function f passed in customGrad(f) must return an object where `obj.value` is a tensor"),o(M(n.gradFunc),()=>"The function f passed in customGrad(f) must return an object where `obj.gradFunc` is a function."),n.value),backwardsFunc:(e,r)=>{const s=n.gradFunc(e,r),a=Array.isArray(s)?s:[s];o(a.length===t.length,()=>"The function f passed in customGrad(f) must return an object where `obj.gradFunc` is a function that returns the same number of tensors as inputs passed to f(...)."),o(a.every(e=>e instanceof ie),()=>"The function f passed in customGrad(f) must return an object where `obj.gradFunc` is a function that returns a list of only tensors.");const i={};return a.forEach((e,t)=>{i[t]=()=>e}),i},inputs:r})}}readSync(e){return this.state.tensorInfo.get(e).backend.readSync(e)}read(e){return this.state.tensorInfo.get(e).backend.read(e)}async time(e){const t=H(),n=await this.backend.time(e);return n.wallMs=H()-t,n}track(e){return null!=this.state.activeScope&&(e.scopeId=this.state.activeScope.id,this.state.activeScope.track.push(e)),e}get registeredVariables(){return this.state.registeredVariables}reset(){this.pendingBackendInitId++,this.state.dispose(),this.ENV.reset(),this.state=new ve;for(const e in this.registry)this.disposeRegisteredKernels(e),this.registry[e].dispose(),delete this.registry[e];this.backendName=null,this.backendInstance=null,this.pendingBackendInit=null}}function Ee(){const t=P();if(null==t._tfengine){const e=new C(t);t._tfengine=new xe(e)}var n;return n=t._tfengine.ENV,e.ENV=n,oe=()=>t._tfengine,t._tfengine}xe.nextTensorId=0,xe.nextVariableId=0;const Se=Ee();function Ae(e,t){const n={a:e,b:t};return Se.runKernel("Add",n)}function Me(){return"undefined"!=typeof window&&null!=window.document||"undefined"!=typeof WorkerGlobalScope}var Ne=Object.freeze({__proto__:null,isMobile:function(){if("undefined"!=typeof navigator&&null!=navigator){const e=navigator.userAgent||navigator.vendor||window.opera;return/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino/i.test(e)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(e.substr(0,4))}return!1},isBrowser:Me});const Ie=F();function _e(e,t){let n=e;if(w(e))return"string"===t?[]:[e.length];if(!Array.isArray(e))return[];const r=[];for(;Array.isArray(n)||w(n)&&"string"!==t;)r.push(n.length),n=n[0];return Array.isArray(e)&&F().getBool("TENSORLIKE_CHECK_SHAPE_CONSISTENCY")&&function e(t,n,r){if(r=r||[],!Array.isArray(t)&&!w(t))return void o(0===n.length,()=>`Element arr[${r.join("][")}] is a primitive, but should be an array/TypedArray of ${n[0]} elements`);o(n.length>0,()=>`Element arr[${r.join("][")}] should be a primitive, but is an array of ${t.length} elements`),o(t.length===n[0],()=>`Element arr[${r.join("][")}] should have ${n[0]} elements, but has ${t.length} elements`);const s=n.slice(1);for(let n=0;n<t.length;++n)e(t[n],s,r.concat(n))}(e,r,[]),r}function $e(e,t,n,r){if("string_or_numeric"!==e){if(null==e)throw new Error("Expected dtype cannot be null.");if("numeric"!==e&&e!==t||"numeric"===e&&"string"===t)throw new Error(`Argument '${n}' passed to '${r}' must be ${e} tensor, but got ${t} tensor`)}}function De(e,t,n,r="numeric"){if(e instanceof ie)return $e(r,e.dtype,t,n),e;let s=A(e);if("string"!==s&&["bool","int32","float32"].indexOf(r)>=0&&(s=r),$e(r,s,t,n),null==e||!w(e)&&!Array.isArray(e)&&"number"!=typeof e&&"boolean"!=typeof e&&"string"!=typeof e){const r=null==e?"null":e.constructor.name;throw new Error(`Argument '${t}' passed to '${n}' must be a Tensor or TensorLike, but got '${r}'`)}const o=_e(e,s);w(e)||Array.isArray(e)||(e=[e]);const a="string"!==s?V(e,s):l(e,[],!0);return Se.makeTensor(a,o,s)}function Te(e,t,n,r="numeric"){if(!Array.isArray(e))throw new Error(`Argument ${t} passed to ${n} must be a \`Tensor[]\` or \`TensorLike[]\``);return e.map((e,s)=>De(e,`${t}[${s}]`,n,r))}Ie.registerFlag("DEBUG",()=>!1,e=>{e&&console.warn("Debugging mode is ON. The output of every math call will be downloaded to CPU and checked for NaNs. This significantly impacts performance.")}),Ie.registerFlag("IS_BROWSER",()=>Me()),Ie.registerFlag("IS_NODE",()=>"undefined"!=typeof process&&void 0!==process.versions&&void 0!==process.versions.node),Ie.registerFlag("IS_CHROME",()=>"undefined"!=typeof navigator&&null!=navigator&&null!=navigator.userAgent&&/Chrome/.test(navigator.userAgent)&&/Google Inc/.test(navigator.vendor)),Ie.registerFlag("PROD",()=>!1),Ie.registerFlag("TENSORLIKE_CHECK_SHAPE_CONSISTENCY",()=>Ie.getBool("DEBUG")),Ie.registerFlag("DEPRECATION_WARNINGS_ENABLED",()=>!0),Ie.registerFlag("IS_TEST",()=>!1),Ie.registerFlag("CHECK_COMPUTATION_FOR_ERRORS",()=>!0);function Re(e){const t=Object.keys(e);if(1!==t.length)throw new Error("Please provide an object with a single key (operation name) mapping to a function. Got an object with "+t.length+" keys.");let n=t[0];const r=e[n];n.endsWith("_")&&(n=n.substring(0,n.length-1)),n+="__op";const s=(...e)=>{Se.startScope(n);try{const t=r(...e);return R(t)&&console.error("Cannot return a Promise inside of tidy."),Se.endScope(t),t}catch(e){throw Se.endScope(null),e}};return Object.defineProperty(s,"name",{value:n,configurable:!0}),s}const Ce=Re({complex_:function(e,t){const n=De(e,"real","complex"),r=De(t,"imag","complex");a(n.shape,r.shape,`real and imag shapes, ${n.shape} and ${r.shape}, must match in call to tf.complex().`);const s={real:n,imag:r};return Se.runKernel("Complex",s)}});function Fe(e,t,n,r){if(null==r&&(r=A(e)),"complex64"===r)throw new Error("Cannot construct a complex64 tensor directly. Please use tf.complex(real, imag).");if(!w(e)&&!Array.isArray(e)&&"number"!=typeof e&&"boolean"!=typeof e&&"string"!=typeof e)throw new Error("values passed to tensor(values) must be a number/boolean/string or an array of numbers/booleans/strings, or a TypedArray");if(null!=t){T(t);const e=u(t),r=u(n);o(e===r,()=>`Based on the provided shape, [${t}], the tensor should have ${e} values but has ${r}`);for(let e=0;e<n.length;++e){const r=n[e],s=e!==n.length-1||r!==u(t.slice(e));o(n[e]===t[e]||!s,()=>`Error creating a new Tensor. Inferred shape (${n}) does not match the provided shape (${t}). `)}}return w(e)||Array.isArray(e)||(e=[e]),t=t||n,e="string"!==r?V(e,r):l(e,[],!0),Se.makeTensor(e,t,r)}function Be(e,t,n){return Fe(e,t,_e(e,n),n)}const Pe={float32:4,float16:2,int32:4,uint16:2,uint8:1,bool:1,complex64:8};function Le(e,t){const n={};let r,s=0;for(const o of t){const t=o.name,a=o.dtype,i=o.shape,l=u(i);let c;if("quantization"in o){const n=o.quantization;if("uint8"===n.dtype||"uint16"===n.dtype){if(!("min"in n)||!("scale"in n))throw new Error(`Weight ${o.name} with quantization ${n.dtype} doesn't have corresponding metadata min and scale.`)}else{if("float16"!==n.dtype)throw new Error(`Weight ${o.name} has unknown quantization dtype ${n.dtype}. Supported quantization dtypes are: 'uint8', 'uint16', and 'float16'.`);if("float32"!==a)throw new Error(`Weight ${o.name} is quantized with ${n.dtype} which only supports weights of type float32 not ${a}.`)}const i=Pe[n.dtype],u=e.slice(s,s+l*i),h="uint8"===n.dtype?new Uint8Array(u):new Uint16Array(u);if("float32"===a)if("uint8"===n.dtype||"uint16"===n.dtype){c=new Float32Array(h.length);for(let e=0;e<h.length;e++){const t=h[e];c[e]=t*n.scale+n.min}}else{if("float16"!==n.dtype)throw new Error(`Unsupported quantization type ${n.dtype} for weight type float32.`);void 0===r&&(r=Ge()),c=r(h)}else{if("int32"!==a)throw new Error(`Unsupported dtype in weight '${t}': ${a}`);if("uint8"!==n.dtype&&"uint16"!==n.dtype)throw new Error(`Unsupported quantization type ${n.dtype} for weight type int32.`);c=new Int32Array(h.length);for(let e=0;e<h.length;e++){const t=h[e];c[e]=Math.round(t*n.scale+n.min)}}s+=l*i}else if("string"===a){const t=u(o.shape);c=[];for(let n=0;n<t;n++){const t=new Uint32Array(e.slice(s,s+4))[0];s+=4;const n=new Uint8Array(e.slice(s,s+t));c.push(n),s+=t}}else{const r=Pe[a],o=e.slice(s,s+l*r);if("float32"===a)c=new Float32Array(o);else if("int32"===a)c=new Int32Array(o);else if("bool"===a)c=new Uint8Array(o);else{if("complex64"!==a)throw new Error(`Unsupported dtype in weight '${t}': ${a}`);{c=new Float32Array(o);const e=new Float32Array(c.length/2),r=new Float32Array(c.length/2);for(let t=0;t<e.length;t++)e[t]=c[2*t],r[t]=c[2*t+1];const s=Be(e,i,"float32"),a=Be(r,i,"float32");n[t]=Ce(s,a),s.dispose(),a.dispose()}}s+=l*r}"complex64"!==a&&(n[t]=Be(c,i,a))}return n}function ze(e){if(null===e)throw new Error("Invalid input value: "+JSON.stringify(e));let t=0;const n=[];e.forEach(e=>{if(t+=e.byteLength,n.push(e.byteLength===e.buffer.byteLength?e:new e.constructor(e)),!(e instanceof Float32Array||e instanceof Int32Array||e instanceof Uint8Array))throw new Error("Unsupported TypedArray subtype: "+e.constructor.name)});const r=new Uint8Array(t);let s=0;return n.forEach(e=>{r.set(new Uint8Array(e.buffer),s),s+=e.byteLength}),r.buffer}const Oe="undefined"!=typeof Buffer&&("undefined"==typeof Blob||"undefined"==typeof atob||"undefined"==typeof btoa);function Ke(e){return Oe?Buffer.byteLength(e):new Blob([e]).size}function We(e){if(1===e.length)return e[0];let t=0;e.forEach(e=>{t+=e.byteLength});const n=new Uint8Array(t);let r=0;return e.forEach(e=>{n.set(new Uint8Array(e),r),r+=e.byteLength}),n.buffer}function qe(e){for(e=e.trim();e.endsWith("/");)e=e.slice(0,e.length-1);const t=e.split("/");return t[t.length-1]}function Ue(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("Expected JSON model topology, received ArrayBuffer.");return{dateSaved:new Date,modelTopologyType:"JSON",modelTopologyBytes:null==e.modelTopology?0:Ke(JSON.stringify(e.modelTopology)),weightSpecsBytes:null==e.weightSpecs?0:Ke(JSON.stringify(e.weightSpecs)),weightDataBytes:null==e.weightData?0:e.weightData.byteLength}}function Ge(){const e=function(){const e=e=>{let t=e<<13,n=0;for(;0==(8388608&t);)n-=8388608,t<<=1;return t&=-8388609,n+=947912704,t|n},t=new Uint32Array(2048);t[0]=0;for(let n=1;n<1024;n++)t[n]=e(n);for(let e=1024;e<2048;e++)t[e]=939524096+(e-1024<<13);return t}(),t=function(){const e=new Uint32Array(64);e[0]=0,e[31]=1199570944,e[32]=2147483648,e[63]=3347054592;for(let t=1;t<31;t++)e[t]=t<<23;for(let t=33;t<63;t++)e[t]=2147483648+(t-32<<23);return e}(),n=function(){const e=new Uint32Array(64);for(let t=0;t<64;t++)e[t]=1024;return e[0]=e[32]=0,e}();return r=>{const s=new ArrayBuffer(4*r.length),o=new Uint32Array(s);for(let s=0;s<r.length;s++){const a=r[s],i=e[n[a>>10]+(1023&a)]+t[a>>10];o[s]=i}return new Float32Array(s)}}class Ve{constructor(){this.saveRouters=[],this.loadRouters=[]}static getInstance(){return null==Ve.instance&&(Ve.instance=new Ve),Ve.instance}static registerSaveRouter(e){Ve.getInstance().saveRouters.push(e)}static registerLoadRouter(e){Ve.getInstance().loadRouters.push(e)}static getSaveHandlers(e){return Ve.getHandlers(e,"save")}static getLoadHandlers(e,t){return Ve.getHandlers(e,"load",t)}static getHandlers(e,t,n){const r=[];return("load"===t?Ve.getInstance().loadRouters:Ve.getInstance().saveRouters).forEach(t=>{const s=t(e,n);null!==s&&r.push(s)}),r}}function He(){if(!F().getBool("IS_BROWSER"))throw new Error("Failed to obtain IndexedDB factory because the current environmentis not a web browser.");const e="undefined"==typeof window?self:window,t=e.indexedDB||e.mozIndexedDB||e.webkitIndexedDB||e.msIndexedDB||e.shimIndexedDB;if(null==t)throw new Error("The current browser does not appear to support IndexedDB.");return t}function je(e){const t=e.result;t.createObjectStore("models_store",{keyPath:"modelPath"}),t.createObjectStore("model_info_store",{keyPath:"modelPath"})}class Je{constructor(e){if(this.indexedDB=He(),null==e||!e)throw new Error("For IndexedDB, modelPath must not be null, undefined or empty.");this.modelPath=e}async save(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserLocalStorage.save() does not support saving model topology in binary formats yet.");return this.databaseAction(this.modelPath,e)}async load(){return this.databaseAction(this.modelPath)}databaseAction(e,t){return new Promise((e,n)=>{const r=this.indexedDB.open("tensorflowjs",1);r.onupgradeneeded=()=>je(r),r.onsuccess=()=>{const s=r.result;if(null==t){const t=s.transaction("models_store","readonly"),r=t.objectStore("models_store").get(this.modelPath);r.onsuccess=()=>{if(null==r.result)return s.close(),n(new Error(`Cannot find model with path '${this.modelPath}' in IndexedDB.`));e(r.result.modelArtifacts)},r.onerror=e=>(s.close(),n(r.error)),t.oncomplete=()=>s.close()}else{const r=Ue(t),o=s.transaction("model_info_store","readwrite");let a=o.objectStore("model_info_store");const i=a.put({modelPath:this.modelPath,modelArtifactsInfo:r});let l;i.onsuccess=()=>{l=s.transaction("models_store","readwrite");const i=l.objectStore("models_store").put({modelPath:this.modelPath,modelArtifacts:t,modelArtifactsInfo:r});i.onsuccess=()=>e({modelArtifactsInfo:r}),i.onerror=e=>{a=o.objectStore("model_info_store");const t=a.delete(this.modelPath);t.onsuccess=()=>(s.close(),n(i.error)),t.onerror=e=>(s.close(),n(i.error))}},i.onerror=e=>(s.close(),n(i.error)),o.oncomplete=()=>{null==l?s.close():l.oncomplete=()=>s.close()}}},r.onerror=e=>n(r.error)})}}Je.URL_SCHEME="indexeddb://";const Ye=e=>{return F().getBool("IS_BROWSER")&&!Array.isArray(e)&&e.startsWith(Je.URL_SCHEME)?(t=e.slice(Je.URL_SCHEME.length),new Je(t)):null;var t};Ve.registerSaveRouter(Ye),Ve.registerLoadRouter(Ye);class Ze{constructor(){this.indexedDB=He()}async listModels(){return new Promise((e,t)=>{const n=this.indexedDB.open("tensorflowjs",1);n.onupgradeneeded=()=>je(n),n.onsuccess=()=>{const r=n.result,s=r.transaction("model_info_store","readonly"),o=s.objectStore("model_info_store").getAll();o.onsuccess=()=>{const t={};for(const e of o.result)t[e.modelPath]=e.modelArtifactsInfo;e(t)},o.onerror=e=>(r.close(),t(o.error)),s.oncomplete=()=>r.close()},n.onerror=e=>t(n.error)})}async removeModel(e){var t;return e=(t=e).startsWith(Je.URL_SCHEME)?t.slice(Je.URL_SCHEME.length):t,new Promise((t,n)=>{const r=this.indexedDB.open("tensorflowjs",1);r.onupgradeneeded=()=>je(r),r.onsuccess=()=>{const s=r.result,o=s.transaction("model_info_store","readwrite"),a=o.objectStore("model_info_store"),i=a.get(e);let l;i.onsuccess=()=>{if(null==i.result)return s.close(),n(new Error(`Cannot find model with path '${e}' in IndexedDB.`));{const r=a.delete(e),o=()=>{l=s.transaction("models_store","readwrite");const r=l.objectStore("models_store").delete(e);r.onsuccess=()=>t(i.result.modelArtifactsInfo),r.onerror=e=>n(i.error)};r.onsuccess=o,r.onerror=e=>(o(),s.close(),n(i.error))}},i.onerror=e=>(s.close(),n(i.error)),o.oncomplete=()=>{null==l?s.close():l.oncomplete=()=>s.close()}},r.onerror=e=>n(r.error)})}}const Xe="tensorflowjs_models",Qe="info",et="model_topology",tt="weight_specs",nt="weight_data",rt="model_metadata";function st(e){return{info:[Xe,e,Qe].join("/"),topology:[Xe,e,et].join("/"),weightSpecs:[Xe,e,tt].join("/"),weightData:[Xe,e,nt].join("/"),modelMetadata:[Xe,e,rt].join("/")}}function ot(e){const t=e.split("/");if(t.length<3)throw new Error("Invalid key format: "+e);return t.slice(1,t.length-1).join("/")}class at{constructor(e){if(!F().getBool("IS_BROWSER")||"undefined"==typeof window||void 0===window.localStorage)throw new Error("The current environment does not support local storage.");if(this.LS=window.localStorage,null==e||!e)throw new Error("For local storage, modelPath must not be null, undefined or empty.");this.modelPath=e,this.keys=st(this.modelPath)}async save(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserLocalStorage.save() does not support saving model topology in binary formats yet.");{const t=JSON.stringify(e.modelTopology),n=JSON.stringify(e.weightSpecs),r=Ue(e);try{this.LS.setItem(this.keys.info,JSON.stringify(r)),this.LS.setItem(this.keys.topology,t),this.LS.setItem(this.keys.weightSpecs,n),this.LS.setItem(this.keys.weightData,function(e){if(Oe)return Buffer.from(e).toString("base64");const t=new Uint8Array(e);let n="";for(let e=0,r=t.length;e<r;e++)n+=String.fromCharCode(t[e]);return btoa(n)}(e.weightData));const s={format:e.format,generatedBy:e.generatedBy,convertedBy:e.convertedBy};return null!=e.signature&&(s.signature=e.signature),null!=e.userDefinedMetadata&&(s.userDefinedMetadata=e.userDefinedMetadata),null!=e.modelInitializer&&(s.modelInitializer=e.modelInitializer),this.LS.setItem(this.keys.modelMetadata,JSON.stringify(s)),{modelArtifactsInfo:r}}catch(e){throw this.LS.removeItem(this.keys.info),this.LS.removeItem(this.keys.topology),this.LS.removeItem(this.keys.weightSpecs),this.LS.removeItem(this.keys.weightData),this.LS.removeItem(this.keys.modelMetadata),new Error(`Failed to save model '${this.modelPath}' to local storage: size quota being exceeded is a possible cause of this failure: modelTopologyBytes=${r.modelTopologyBytes}, weightSpecsBytes=${r.weightSpecsBytes}, weightDataBytes=${r.weightDataBytes}.`)}}}async load(){const e=JSON.parse(this.LS.getItem(this.keys.info));if(null==e)throw new Error(`In local storage, there is no model with name '${this.modelPath}'`);if("JSON"!==e.modelTopologyType)throw new Error("BrowserLocalStorage does not support loading non-JSON model topology yet.");const t={},n=JSON.parse(this.LS.getItem(this.keys.topology));if(null==n)throw new Error(`In local storage, the topology of model '${this.modelPath}' is missing.`);t.modelTopology=n;const r=JSON.parse(this.LS.getItem(this.keys.weightSpecs));if(null==r)throw new Error(`In local storage, the weight specs of model '${this.modelPath}' are missing.`);t.weightSpecs=r;const s=this.LS.getItem(this.keys.modelMetadata);if(null!=s){const e=JSON.parse(s);t.format=e.format,t.generatedBy=e.generatedBy,t.convertedBy=e.convertedBy,null!=e.signature&&(t.signature=e.signature),null!=e.userDefinedMetadata&&(t.userDefinedMetadata=e.userDefinedMetadata),null!=e.modelInitializer&&(t.modelInitializer=e.modelInitializer)}const o=this.LS.getItem(this.keys.weightData);if(null==o)throw new Error(`In local storage, the binary weight values of model '${this.modelPath}' are missing.`);return t.weightData=function(e){if(Oe){const t=Buffer.from(e,"base64");return t.buffer.slice(t.byteOffset,t.byteOffset+t.byteLength)}const t=atob(e),n=new Uint8Array(t.length);for(let e=0;e<t.length;++e)n.set([t.charCodeAt(e)],e);return n.buffer}(o),t}}at.URL_SCHEME="localstorage://";const it=e=>{return F().getBool("IS_BROWSER")&&!Array.isArray(e)&&e.startsWith(at.URL_SCHEME)?(t=e.slice(at.URL_SCHEME.length),new at(t)):null;var t};Ve.registerSaveRouter(it),Ve.registerLoadRouter(it);class lt{constructor(){o(F().getBool("IS_BROWSER"),()=>"Current environment is not a web browser"),o("undefined"==typeof window||void 0!==window.localStorage,()=>"Current browser does not appear to support localStorage"),this.LS=window.localStorage}async listModels(){const e={},t=Xe+"/",n="/"+Qe;for(let r=0;r<this.LS.length;++r){const s=this.LS.key(r);if(s.startsWith(t)&&s.endsWith(n)){e[ot(s)]=JSON.parse(this.LS.getItem(s))}}return e}async removeModel(e){var t;const n=st(e=(t=e).startsWith(at.URL_SCHEME)?t.slice(at.URL_SCHEME.length):t);if(null==this.LS.getItem(n.info))throw new Error(`Cannot find model at path '${e}'`);const r=JSON.parse(this.LS.getItem(n.info));return this.LS.removeItem(n.info),this.LS.removeItem(n.topology),this.LS.removeItem(n.weightSpecs),this.LS.removeItem(n.weightData),r}}class ut{constructor(){this.managers={}}static getInstance(){return null==ut.instance&&(ut.instance=new ut),ut.instance}static registerManager(e,t){o(null!=e,()=>"scheme must not be undefined or null."),e.endsWith("://")&&(e=e.slice(0,e.indexOf("://"))),o(e.length>0,()=>"scheme must not be an empty string.");const n=ut.getInstance();o(null==n.managers[e],()=>`A model store manager is already registered for scheme '${e}'.`),n.managers[e]=t}static getManager(e){const t=this.getInstance().managers[e];if(null==t)throw new Error(`Cannot find model manager for scheme '${e}'`);return t}static getSchemes(){return Object.keys(this.getInstance().managers)}}function ct(e){if(-1===e.indexOf("://"))throw new Error("The url string provided does not contain a scheme. Supported schemes are: "+ut.getSchemes().join(","));return{scheme:e.split("://")[0],path:e.split("://")[1]}}async function ht(e,t,n=!1){o(e!==t,()=>`Old path and new path are the same: '${e}'`);const r=Ve.getLoadHandlers(e);o(r.length>0,()=>`Copying failed because no load handler is found for source URL ${e}.`),o(r.length<2,()=>`Copying failed because more than one (${r.length}) load handlers for source URL ${e}.`);const s=r[0],a=Ve.getSaveHandlers(t);o(a.length>0,()=>`Copying failed because no save handler is found for destination URL ${t}.`),o(a.length<2,()=>`Copying failed because more than one (${r.length}) save handlers for destination URL ${t}.`);const i=a[0],l=ct(e).scheme,u=ct(e).path,c=l===ct(e).scheme,h=await s.load();n&&c&&await ut.getManager(l).removeModel(u);const d=await i.save(h);return n&&!c&&await ut.getManager(l).removeModel(u),d.modelArtifactsInfo}class dt{fetch(e,t){return fetch(e,t)}now(){return performance.now()}encode(e,t){if("utf-8"!==t&&"utf8"!==t)throw new Error("Browser's encoder only supports utf-8, but got "+t);return null==this.textEncoder&&(this.textEncoder=new TextEncoder),this.textEncoder.encode(e)}decode(e,t){return new TextDecoder(t).decode(e)}}if(F().get("IS_BROWSER")){F().setPlatform("browser",new dt);try{ut.registerManager(at.URL_SCHEME,new lt)}catch(e){}try{ut.registerManager(Je.URL_SCHEME,new Ze)}catch(e){}}const pt=()=>require("node-fetch");let ft;class mt{constructor(){this.util=require("util"),this.textEncoder=new this.util.TextEncoder}fetch(e,t){return null!=F().global.fetch?F().global.fetch(e,t):(null==ft&&(ft=pt()),ft(e,t))}now(){const e=process.hrtime();return 1e3*e[0]+e[1]/1e6}encode(e,t){if("utf-8"!==t&&"utf8"!==t)throw new Error("Node built-in encoder only supports utf-8, but got "+t);return this.textEncoder.encode(e)}decode(e,t){return 0===e.length?"":new this.util.TextDecoder(t).decode(e)}}function gt(e,t="float32",n){return t=t||"float32",T(e),new se(e,t,n)}F().get("IS_NODE")&&F().setPlatform("node",new mt);const bt=Re({cast_:function(e,t){const n=De(e,"x","cast");if(!y(t))throw new Error("Failed to cast to unknown dtype "+t);if("string"===t&&"string"!==n.dtype||"string"!==t&&"string"===n.dtype)throw new Error("Only strings can be casted to strings");const r={x:n},s={dtype:t};return Se.runKernel("Cast",r,s)}});const yt=Re({clone_:function(e){const t={x:De(e,"x","clone","string_or_numeric")};return Se.runKernel("Identity",t)}});function wt(e,t=!1){console.log(e.toString(t))}Ee(),ae={buffer:gt,cast:bt,clone:yt,print:wt};function kt(e){return new Promise(e=>setTimeout(e)).then(e)}class vt{constructor(e){if(!F().getBool("IS_BROWSER"))throw new Error("browserDownloads() cannot proceed because the current environment is not a browser.");e.startsWith(vt.URL_SCHEME)&&(e=e.slice(vt.URL_SCHEME.length)),null!=e&&0!==e.length||(e="model"),this.modelTopologyFileName=e+".json",this.weightDataFileName=e+".weights.bin"}async save(e){if("undefined"==typeof document)throw new Error("Browser downloads are not supported in this environment since `document` is not present");const t=window.URL.createObjectURL(new Blob([e.weightData],{type:"application/octet-stream"}));if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserDownloads.save() does not support saving model topology in binary formats yet.");{const n=[{paths:["./"+this.weightDataFileName],weights:e.weightSpecs}],r={modelTopology:e.modelTopology,format:e.format,generatedBy:e.generatedBy,convertedBy:e.convertedBy,weightsManifest:n};null!=e.signature&&(r.signature=e.signature),null!=e.userDefinedMetadata&&(r.userDefinedMetadata=e.userDefinedMetadata),null!=e.modelInitializer&&(r.modelInitializer=e.modelInitializer);const s=window.URL.createObjectURL(new Blob([JSON.stringify(r)],{type:"application/json"})),o=null==this.jsonAnchor?document.createElement("a"):this.jsonAnchor;if(o.download=this.modelTopologyFileName,o.href=s,await kt(()=>o.dispatchEvent(new MouseEvent("click"))),null!=e.weightData){const e=null==this.weightDataAnchor?document.createElement("a"):this.weightDataAnchor;e.download=this.weightDataFileName,e.href=t,await kt(()=>e.dispatchEvent(new MouseEvent("click")))}return{modelArtifactsInfo:Ue(e)}}}}vt.URL_SCHEME="downloads://";class xt{constructor(e){if(null==e||e.length<1)throw new Error("When calling browserFiles, at least 1 file is required, but received "+e);this.files=e}async load(){const e=this.files[0],t=this.files.slice(1);return new Promise((n,r)=>{const s=new FileReader;s.onload=s=>{const o=JSON.parse(s.target.result),a=o.modelTopology;if(null==a)return void r(new Error("modelTopology field is missing from file "+e.name));0===t.length&&n({modelTopology:a});const i=o.weightsManifest;if(null==i)return void r(new Error("weightManifest field is missing from file "+e.name));let l;try{l=this.checkManifestAndWeightFiles(i,t)}catch(e){return void r(e)}const u=[],c=[],h=[];i.forEach(e=>{e.paths.forEach(e=>{c.push(e),h.push(null)}),u.push(...e.weights)}),i.forEach(e=>{e.paths.forEach(e=>{const t=new FileReader;t.onload=t=>{const r=t.target.result,s=c.indexOf(e);if(h[s]=r,-1===h.indexOf(null)){const e={modelTopology:a,weightSpecs:u,weightData:We(h),format:o.format,generatedBy:o.generatedBy,convertedBy:o.convertedBy};null!=o.signature&&(e.signature=o.signature),null!=o.userDefinedMetadata&&(e.userDefinedMetadata=o.userDefinedMetadata),null!=o.modelInitializer&&(e.modelInitializer=o.modelInitializer),n(e)}},t.onerror=t=>r(`Failed to weights data from file of path '${e}'.`),t.readAsArrayBuffer(l[e])})})},s.onerror=t=>r(`Failed to read model topology and weights manifest JSON from file '${e.name}'. BrowserFiles supports loading Keras-style tf.Model artifacts only.`),s.readAsText(e)})}checkManifestAndWeightFiles(e,t){const n=[],r=t.map(e=>qe(e.name)),s={};for(const o of e)o.paths.forEach(e=>{const o=qe(e);if(-1!==n.indexOf(o))throw new Error(`Duplicate file basename found in weights manifest: '${o}'`);if(n.push(o),-1===r.indexOf(o))throw new Error(`Weight file with basename '${o}' is not provided.`);s[e]=t[r.indexOf(o)]});if(n.length!==t.length)throw new Error(`Mismatch in the number of files in weights manifest (${n.length}) and the number of weight files provided (${t.length}).`);return s}}function Et(e,t,n,r){!function(e){o(null!=e&&Array.isArray(e)&&e.length>0,()=>"promises must be a none empty array")}(e),function(e,t){o(e>=0&&e<=1,()=>"Progress fraction must be in range [0, 1], but got startFraction "+e),o(t>=0&&t<=1,()=>"Progress fraction must be in range [0, 1], but got endFraction "+t),o(t>=e,()=>`startFraction must be no more than endFraction, but got startFraction ${e} and endFraction `+t)}(n=null==n?0:n,r=null==r?1:r);let s=0;return Promise.all(e.map(o=>(o.then(o=>{const a=n+ ++s/e.length*(r-n);return t(a),o}),o)))}async function St(e,t){null==t&&(t={});const n=null==t.fetchFunc?F().platform.fetch:t.fetchFunc,r=e.map(e=>n(e,t.requestInit,{isBinary:!0})),s=(null==t.onProgress?await Promise.all(r):await Et(r,t.onProgress,0,.5)).map(e=>e.arrayBuffer());return null==t.onProgress?await Promise.all(s):await Et(s,t.onProgress,.5,1)}function At(e){return async(t,n="",r)=>{const s=t.map(()=>!1),o={},a=null!=r?r.map(()=>!1):[],i=[];if(t.forEach((e,t)=>{let n=0;e.weights.forEach(e=>{const l="quantization"in e?e.quantization.dtype:e.dtype,c=Pe[l]*u(e.shape),h=()=>{s[t]=!0,null==o[t]&&(o[t]=[]),o[t].push({manifestEntry:e,groupOffset:n,sizeBytes:c})};null!=r?r.forEach((t,n)=>{t===e.name&&(h(),a[n]=!0)}):h(),i.push(e.name),n+=c})}),!a.every(e=>e)){const e=r.filter((e,t)=>!a[t]);throw new Error("Could not find weights in manifest with names: "+e.join(", ")+". \nManifest JSON has weights with names: "+i.join(", ")+".")}const l=s.reduce((e,t,n)=>(t&&e.push(n),e),[]),c=[];l.forEach(e=>{t[e].paths.forEach(e=>{const t=n+(n.endsWith("/")?"":"/")+e;c.push(t)})});const h=await e(c),d={};let p=0;return l.forEach(e=>{const n=t[e].paths.length;let r=0;for(let e=0;e<n;e++)r+=h[p+e].byteLength;const s=new ArrayBuffer(r),a=new Uint8Array(s);let i=0;for(let e=0;e<n;e++){const t=new Uint8Array(h[p+e]);a.set(t,i),i+=t.byteLength}o[e].forEach(e=>{const t=Le(s.slice(e.groupOffset,e.groupOffset+e.sizeBytes),[e.manifestEntry]);for(const e in t)d[e]=t[e]}),p+=n}),d}}Ve.registerSaveRouter(e=>F().getBool("IS_BROWSER")&&!Array.isArray(e)&&e.startsWith(vt.URL_SCHEME)?function(e="model"){return new vt(e)}(e.slice(vt.URL_SCHEME.length)):null);class Mt{constructor(e,t){if(this.DEFAULT_METHOD="POST",null==t&&(t={}),this.weightPathPrefix=t.weightPathPrefix,this.onProgress=t.onProgress,this.weightUrlConverter=t.weightUrlConverter,null!=t.fetchFunc?(o("function"==typeof t.fetchFunc,()=>"Must pass a function that matches the signature of `fetch` (see https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API)"),this.fetch=t.fetchFunc):this.fetch=F().platform.fetch,o(null!=e&&e.length>0,()=>"URL path for http must not be null, undefined or empty."),Array.isArray(e)&&o(2===e.length,()=>`URL paths for http must have a length of 2, (actual length is ${e.length}).`),this.path=e,null!=t.requestInit&&null!=t.requestInit.body)throw new Error("requestInit is expected to have no pre-existing body, but has one.");this.requestInit=t.requestInit||{}}async save(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserHTTPRequest.save() does not support saving model topology in binary formats yet.");const t=Object.assign({method:this.DEFAULT_METHOD},this.requestInit);t.body=new FormData;const n=[{paths:["./model.weights.bin"],weights:e.weightSpecs}],r={modelTopology:e.modelTopology,format:e.format,generatedBy:e.generatedBy,convertedBy:e.convertedBy,weightsManifest:n};null!=e.signature&&(r.signature=e.signature),null!=e.userDefinedMetadata&&(r.userDefinedMetadata=e.userDefinedMetadata),null!=e.modelInitializer&&(r.modelInitializer=e.modelInitializer),t.body.append("model.json",new Blob([JSON.stringify(r)],{type:"application/json"}),"model.json"),null!=e.weightData&&t.body.append("model.weights.bin",new Blob([e.weightData],{type:"application/octet-stream"}),"model.weights.bin");const s=await this.fetch(this.path,t);if(s.ok)return{modelArtifactsInfo:Ue(e),responses:[s]};throw new Error("BrowserHTTPRequest.save() failed due to HTTP response status "+s.status+".")}async load(){const e=await this.fetch(this.path,this.requestInit);if(!e.ok)throw new Error(`Request to ${this.path} failed with status code `+e.status+". Please verify this URL points to the model JSON of the model to load.");let t;try{t=await e.json()}catch(e){let t=`Failed to parse model JSON of response from ${this.path}.`;throw this.path.endsWith(".pb")?t+=" Your path contains a .pb file extension. Support for .pb models have been removed in TensorFlow.js 1.0 in favor of .json models. You can re-convert your Python TensorFlow model using the TensorFlow.js 1.0 conversion scripts or you can convert your.pb models with the 'pb2json'NPM script in the tensorflow/tfjs-converter repository.":t+=" Please make sure the server is serving valid JSON for this request.",new Error(t)}const n=t.modelTopology,r=t.weightsManifest,s=t.generatedBy,o=t.convertedBy,a=t.format,i=t.signature,l=t.userDefinedMetadata;if(null==n&&null==r)throw new Error(`The JSON from HTTP path ${this.path} contains neither model topology or manifest for weights.`);let u,c;if(null!=r){const e=await this.loadWeights(r);[u,c]=e}const h={modelTopology:n,weightSpecs:u,weightData:c,generatedBy:s,convertedBy:o,format:a};null!=i&&(h.signature=i),null!=l&&(h.userDefinedMetadata=l);const d=t.modelInitializer;return d&&(h.modelInitializer=d),h}async loadWeights(e){const t=Array.isArray(this.path)?this.path[1]:this.path,[n,r]=function(e){const t=e.lastIndexOf("/"),n=e.lastIndexOf("?"),r=e.substring(0,t),s=n>t?e.substring(n):"";return[r+"/",s]}(t),s=this.weightPathPrefix||n,o=[];for(const t of e)o.push(...t.weights);const a=[],i=[];for(const t of e)for(const e of t.paths)null!=this.weightUrlConverter?i.push(this.weightUrlConverter(e)):a.push(s+e+r);return this.weightUrlConverter&&a.push(...await Promise.all(i)),[o,We(await St(a,{requestInit:this.requestInit,fetchFunc:this.fetch,onProgress:this.onProgress}))]}}function Nt(e){return null!=e.match(Mt.URL_SCHEME_REGEX)}Mt.URL_SCHEME_REGEX=/^https?:\/\//;const It=(e,t)=>{if("undefined"==typeof fetch&&(null==t||null==t.fetchFunc))return null;{let n=!0;if(n=Array.isArray(e)?e.every(e=>Nt(e)):Nt(e),n)return _t(e,t)}return null};function _t(e,t){return new Mt(e,t)}Ve.registerSaveRouter(It),Ve.registerLoadRouter(It);class $t{constructor(e){this.modelArtifacts=e}async load(){return this.modelArtifacts}}class Dt{constructor(e){this.saveHandler=e}async save(e){return this.saveHandler(e)}}var Tt=Object.freeze({__proto__:null,browserFiles:function(e){return new xt(e)},browserHTTPRequest:function(e,t){return _t(e,t)},concatenateArrayBuffers:We,decodeWeights:Le,encodeWeights:async function(e,t){const n=[],r=[],s=Array.isArray(e)?e.map(e=>e.name):Object.keys(e);for(let o=0;o<s.length;++o){const a=s[o],i=Array.isArray(e)?e[o].tensor:e[a];if("float32"!==i.dtype&&"int32"!==i.dtype&&"bool"!==i.dtype&&"string"!==i.dtype&&"complex64"!==i.dtype)throw new Error(`Unsupported dtype in weight '${a}': ${i.dtype}`);const l={name:a,shape:i.shape,dtype:i.dtype};if("string"===i.dtype){const e=new Promise(async e=>{const t=await i.bytes(),n=t.reduce((e,t)=>e+t.length,0)+4*t.length,r=new Uint8Array(n);let s=0;for(let e=0;e<t.length;e++){const n=t[e],o=new Uint8Array(new Uint32Array([n.length]).buffer);r.set(o,s),s+=4,r.set(n,s),s+=n.length}e(r)});r.push(e)}else r.push(i.data());null!=t&&(l.group=t),n.push(l)}return{data:ze(await Promise.all(r)),specs:n}},fromMemory:function(e,t,n,r){if(1===arguments.length){return null!=e.modelTopology||null!=e.weightSpecs?new $t(e):(console.warn("Please call tf.io.fromMemory() with only one argument. The argument should be of type ModelArtifacts. The multi-argument signature of tf.io.fromMemory() has been deprecated and will be removed in a future release."),new $t({modelTopology:e}))}return console.warn("Please call tf.io.fromMemory() with only one argument. The argument should be of type ModelArtifacts. The multi-argument signature of tf.io.fromMemory() has been deprecated and will be removed in a future release."),new $t({modelTopology:e,weightSpecs:t,weightData:n,trainingConfig:r})},getLoadHandlers:(e,t)=>Ve.getLoadHandlers(e,t),getModelArtifactsInfoForJSON:Ue,getSaveHandlers:e=>Ve.getSaveHandlers(e),http:_t,isHTTPScheme:Nt,loadWeights:async function(e,t="",n,r){return At(e=>St(e,{requestInit:r}))(e,t,n)},registerLoadRouter:e=>Ve.registerLoadRouter(e),registerSaveRouter:e=>Ve.registerSaveRouter(e),weightsLoaderFactory:At,withSaveHandler:function(e){return new Dt(e)},copyModel:async function(e,t){return ht(e,t,!1)},listModels:async function(){const e=ut.getSchemes(),t={};for(const n of e){const e=await ut.getManager(n).listModels();for(const r in e){t[n+"://"+r]=e[r]}}return t},moveModel:async function(e,t){return ht(e,t,!0)},removeModel:async function(e){const t=ct(e);return ut.getManager(t.scheme).removeModel(t.path)}});const Rt=Re({matMul_:function(e,t,n=!1,r=!1){let s=De(e,"a","matMul"),o=De(t,"b","matMul");[s,o]=ge(s,o);const a={a:s,b:o},i={transposeA:n,transposeB:r};return Se.runKernel("BatchMatMul",a,i)}});const Ct=Re({oneHot_:function(e,t,n=1,r=0){if(t<2)throw new Error("Error in oneHot: depth must be >=2, but it is "+t);const s={indices:De(e,"indices","oneHot","int32")},o={depth:t,onValue:n,offValue:r};return Se.runKernel("OneHot",s,o)}});const Ft=Re({transpose_:function(e,t){const n=De(e,"x","transpose");if(null==t&&(t=n.shape.map((e,t)=>t).reverse()),o(n.rank===t.length,()=>`Error in transpose: rank of input ${n.rank} must match length of perm ${t}.`),t.forEach(e=>{o(e>=0&&e<n.rank,()=>"All entries in 'perm' must be between 0 and "+(n.rank-1)+" but got "+t)}),n.rank<=1)return n.clone();const r={x:n},s={perm:t};return Se.runKernel("Transpose",r,s)}});const Bt=Re({confusionMatrix_:function(e,t,n){const r=De(e,"labels","confusionMatrix"),s=De(t,"predictions","confusionMatrix");o(null==n||n>0&&Number.isInteger(n),()=>"If provided, numClasses must be a positive integer, but got "+n),o(1===r.rank,()=>"Expected the rank of labels to be 1, but got "+r.rank),o(1===s.rank,()=>"Expected the rank of predictions to be 1, but got "+s.rank),o(r.shape[0]===s.shape[0],()=>`Mismatch in the number of examples: ${r.shape[0]} vs. ${s.shape[0]}. Labels and predictions should have the same number of elements.`),o(n>0&&Number.isInteger(n),()=>"numClasses is required to be a positive integer, but got "+n);const a=Ct(bt(r,"int32"),n),i=Ct(bt(s,"int32"),n),l=Ft(a),u=Rt(l,i);return bt(u,"int32")}});var Pt=Object.freeze({__proto__:null,confusionMatrix:Bt});function Lt(e,t,n){if(i(e),null!=t&&3!==t.length)throw new Error("tensor3d() requires shape to have three numbers");const r=_e(e,n);if(3!==r.length&&1!==r.length)throw new Error("tensor3d() requires values to be number[][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor3d() requires shape to be provided when `values` are a flat array");return Fe(e,t,r,n)}let zt;const Ot=Re({fromPixels_:function(e,t=3){if(t>4)throw new Error("Cannot construct Tensor with more than 4 channels from pixels.");if(null==e)throw new Error("pixels passed to tf.browser.fromPixels() can not be null");let n=!1,r=!1,s=!1,o=!1,a=!1;if(e.data instanceof Uint8Array)n=!0;else if("undefined"!=typeof ImageData&&e instanceof ImageData)r=!0;else if("undefined"!=typeof HTMLVideoElement&&e instanceof HTMLVideoElement)s=!0;else if("undefined"!=typeof HTMLImageElement&&e instanceof HTMLImageElement)o=!0;else{if(null==e.getContext)throw new Error("pixels passed to tf.browser.fromPixels() must be either an HTMLVideoElement, HTMLImageElement, HTMLCanvasElement, ImageData in browser, or OffscreenCanvas, ImageData in webworker or {data: Uint32Array, width: number, height: number}, but was "+e.constructor.name);a=!0}if(s){const t=2;if(s&&e.readyState<t)throw new Error("The video element has not loaded data yet. Please wait for `loadeddata` event on the <video> element.")}if(null!=K("FromPixels",Se.backendName)){const n={pixels:e},r={numChannels:t};return Se.runKernel("FromPixels",n,r)}const[i,l]=s?[e.videoWidth,e.videoHeight]:[e.width,e.height];let u,c;if(a?u=e.getContext("2d").getImageData(0,0,i,l).data:r||n?u=e.data:(o||s)&&(null==zt&&(zt=document.createElement("canvas").getContext("2d")),zt.canvas.width=i,zt.canvas.height=l,zt.drawImage(e,0,0,i,l),u=zt.getImageData(0,0,i,l).data),4===t)c=new Int32Array(u);else{const e=i*l;c=new Int32Array(e*t);for(let n=0;n<e;n++)for(let e=0;e<t;++e)c[n*t+e]=u[4*n+e]}return Lt(c,[l,i,t],"int32")}});var Kt=Object.freeze({__proto__:null,toPixels:async function(e,t){let n=De(e,"img","toPixels");if(!(e instanceof ie)){const e=n;n=bt(e,"int32"),e.dispose()}if(2!==n.rank&&3!==n.rank)throw new Error(`toPixels only supports rank 2 or 3 tensors, got rank ${n.rank}.`);const[r,s]=n.shape.slice(0,2),o=2===n.rank?1:n.shape[2];if(o>4||2===o)throw new Error("toPixels only supports depth of size 1, 3 or 4 but got "+o);if("float32"!==n.dtype&&"int32"!==n.dtype)throw new Error(`Unsupported type for toPixels: ${n.dtype}. Please use float32 or int32 tensors.`);const a=await n.data(),i="float32"===n.dtype?255:1,l=new Uint8ClampedArray(s*r*4);for(let e=0;e<r*s;++e){const t=[0,0,0,255];for(let r=0;r<o;r++){const s=a[e*o+r];if("float32"===n.dtype){if(s<0||s>1)throw new Error(`Tensor values for a float32 Tensor must be in the range [0 - 1] but encountered ${s}.`)}else if("int32"===n.dtype&&(s<0||s>255))throw new Error(`Tensor values for a int32 Tensor must be in the range [0 - 255] but encountered ${s}.`);1===o?(t[0]=s*i,t[1]=s*i,t[2]=s*i):t[r]=s*i}const r=4*e;l[r+0]=Math.round(t[0]),l[r+1]=Math.round(t[1]),l[r+2]=Math.round(t[2]),l[r+3]=Math.round(t[3])}if(null!=t){t.width=s,t.height=r;const e=t.getContext("2d"),n=new ImageData(l,s,r);e.putImageData(n,0,0)}return n!==e&&n.dispose(),l},fromPixels:Ot});function Wt(e,t){const n=e.shape.length,r=t.shape.length;if(n<1)throw new Error(`tf.gatherND() expects the input to be rank 1 or higher, but the rank was ${n}.`);if(r<1)throw new Error(`tf.gatherND() expects the indices to be rank 1 or higher, but the rank was ${r}.`);if("int32"!==t.dtype)throw new Error(`tf.gatherND() expects the indices to be int32 type, but the dtype was ${t.dtype}.`);if(t.shape[r-1]>n)throw new Error(`index innermost dimension length must be <= tensor rank; saw: ${t.shape[r-1]} vs. ${n}`);if(0===u(e.shape))throw new Error(`Requested more than 0 entries, but input is empty. Input shape: ${e.shape}.`);const s=t.shape,o=s[s.length-1];let a=1;for(let e=0;e<s.length-1;++e)a*=s[e];const i=e.shape,l=s.slice();l.pop();let c=1;for(let e=o;e<n;++e)c*=i[e],l.push(i[e]);const h=[...I(e.shape).map(e=>e/c),1].slice(0,o);return[l,a,c,h]}var qt=Object.freeze({__proto__:null,prepareAndValidate:Wt});function Ut(e,t,n){const r=t.rank>1?t.shape[t.rank-1]:1,s=t.rank>1?t.rank-1:1,o="Must have updates.shape = indices.shape[:batchDim] + shape[sliceDim:], got updates.shape: "+n.shape+`, indices.shape: ${t.shape}, shape: ${e}`+`, sliceDim: ${r}, and batchDim: ${s}.`;if(n.rank<s)throw new Error(o+` update.rank < ${s}. `);if(e.length<r+(n.rank-s))throw new Error(o+" Output shape length < "+(r+(n.rank-s)));if(n.rank!==s+e.length-r)throw new Error(o+" update.rank != "+(s+e.length-r));for(let e=0;e<s;++e)if(n.shape[e]!==t.shape[e])throw new Error(o+` updates.shape[${e}] (${n.shape[e]}) != indices.shape[${e}] (${t.shape[e]}).`);for(let t=0;t<n.rank-s;++t)if(n.shape[t+s]!==e[t+r])throw new Error(o+` updates.shape[${t+s}] (${n.shape[t+s]}) != shape[${t+s}] (${e[t+s]})`)}function Gt(e,t,n){if(t.rank<1)throw new Error(`tf.scatterND() expects the indices to be rank 1 or higher, but the rank was ${t.rank}.`);if(e.rank<1)throw new Error(`tf.scatterND() expects the updates to be rank 1 or higher, but the rank was ${e.rank}.`);if("int32"!==t.dtype)throw new Error("The dtype of 'indices' should be int32, but got dtype: "+t.dtype);if(n.length<1)throw new Error("Output rank must be greater or equal to 1, but got shape: "+n);if(0===n.length){if(0===t.size)throw new Error("Indices specified for empty output. indices shape: "+t.shape);if(0===e.size)throw new Error("Updates specified for empty output. updates shape: "+e.shape)}Ut(n,t,e)}function Vt(e,t,n){const r=t.shape.length,s=r>1?t.shape[r-1]:1,o=n.length;let a=1;for(let e=s;e<o;++e)a*=n[e];const i=s<1?1:s;return{sliceRank:s,numUpdates:u(t.shape)/i,sliceSize:a,strides:[...I(n.slice(0,s)),1],outputSize:u(n)}}var Ht=Object.freeze({__proto__:null,validateUpdateShape:Ut,validateInput:Gt,calculateShapes:Vt});function jt(e){const t=[];let n=0;for(;e>0;)1&e&&t.push(n),e/=2,n++;return t}function Jt(e,t,n){const r=[];for(let s=0;s<e.length;s++)r[s]=Math.ceil((t[s]-e[s])/n[s]);return r}function Yt(e,t,n,r){const s=[...e];for(let e=s.length;e<r.length;e++)s.push(1);for(let e=0;e<n;e++)0===e?s[t]=1:(s.splice(t,0,1),s.pop());return s}function Zt(e,t,n){return n<=e?n:n-(t-1)}function Xt(e,t){const n=[];for(let r=0;r<e;r++)n.push(t+r);return n}function Qt(e,t,n,r,s,o,a,i,l){const u=e.length;let c=new Array(u),h=new Array(u),d=new Array(u);if(t.length&&n>0){const l=t[0],u=n+1;c=en(a,l,u,r,e),h=tn(i,l,u,s,e),d=Yt(o,l,u,e)}else for(let t=0;t<u;t++)c[t]=rn(a,r,o,e,t,l),h[t]=sn(i,s,o,e,t,l),d[t]=nn(o,t,l);return{begin:c,end:h,strides:d}}function en(e,t,n,r,s){const o=[...s],a=Xt(n,t);for(let s=0;s<o.length;s++)if(a.indexOf(s)>-1)o[s]=0;else{const a=Zt(t,n,s);let i=r[a];e&1<<a&&(i=0),o[s]=i}return o}function tn(e,t,n,r,o){const a=[...o],i=Xt(n,t);for(let s=0;s<a.length;s++)if(i.indexOf(s)>-1)a[s]=Number.MAX_SAFE_INTEGER;else{const o=Zt(t,n,s);let i=r[o];e&1<<o&&(i=Number.MAX_SAFE_INTEGER),a[s]=i}for(let e=0;e<a.length;e++){const t=o[e];a[e]<0&&(a[e]+=t),a[e]=s(0,a[e],o[e])}return a}function nn(e,t,n){let r=e[t];return(n&1<<t||null==r)&&(r=1),r}function rn(e,t,n,r,o,a){let i=t[o];const l=n[o]||1;(e&1<<o||a&1<<o||null==i)&&(i=l>0?Number.MIN_SAFE_INTEGER:Number.MAX_SAFE_INTEGER);const u=r[o];return i<0&&(i+=u),i=s(0,i,u-1),i}function sn(e,t,n,r,o,a){let i=t[o];const l=n[o]||1;(e&1<<o||a&1<<o||null==i)&&(i=l>0?Number.MAX_SAFE_INTEGER:Number.MIN_SAFE_INTEGER);const u=r[o];return i<0&&(i+=u),i=l>0?s(0,i,u):s(-1,i,u-1),i}var on=Object.freeze({__proto__:null,assertParamsValid:function(e,t,n){const r=e.shape.length;o(r===t.length,()=>`Error in slice${r}D: Length of begin ${t} must match the rank of the array (${r}).`),o(r===n.length,()=>`Error in slice${r}D: Length of size ${n} must match the rank of the array (${r}).`);for(let s=0;s<r;++s)o(t[s]+n[s]<=e.shape[s],()=>`Error in slice${r}D: begin[${s}] + size[${s}] (${t[s]+n[s]}) would overflow input.shape[${s}] (${e.shape[s]})`)},maskToAxes:jt,computeOutShape:Jt,stridesWithElidedDims:Yt,getNormalizedAxes:Qt,startIndicesWithElidedDims:en,stopIndicesWithElidedDims:tn,stridesForAxis:nn,startForAxis:rn,stopForAxis:sn,isSliceContinous:function(e,t,n){let r=n.length;for(let e=0;e<n.length;e++)if(n[e]>1){r=e;break}for(let s=r+1;s<n.length;s++)if(t[s]>0||n[s]!==e[s])return!1;return!0},computeFlatOffset:function(e,t){let n=e.length>0?e[e.length-1]:1;for(let r=0;r<e.length-1;r++)n+=e[r]*t[r];return n},parseSliceParams:function(e,t,n){let r;const s=e.shape.length;let a;return r="number"==typeof t?[t,...new Array(s-1).fill(0)]:t.length<s?t.concat(new Array(s-t.length).fill(0)):t.slice(),r.forEach(e=>{o(-1!==e,()=>"slice() does not support negative begin indexing.")}),a=null==n?new Array(s).fill(-1):"number"==typeof n?[n,...new Array(s-1).fill(-1)]:n.length<s?n.concat(new Array(s-n.length).fill(-1)):n,a=a.map((t,n)=>t>=0?t:(o(-1===t,()=>`Negative size values should be exactly -1 but got ${t} for the slice() size at index ${n}.`),e.shape[n]-r[n])),[r,a]},sliceInfo:function(e,t,n,r,s,o,a,i,l){let u=t.slice(),c=n.slice(),h=r;null==r&&(h=new Array(u.length));const d=jt(a);if(d.length>1)throw new Error("Multiple ellipses in slice is not allowed.");if(0!==a&&0!==i)throw new Error("Using both ellipsisMask and newAxisMask is not yet supported.");if(0!==a&&0!==l)throw new Error("Using both ellipsisMask and shrinkAxisMask is not yet supported.");const p=e.length-u.length,f=jt(i),m=e.slice();f.forEach(e=>{u[e]=0,c[e]=1,m.splice(e,0,1)});const{begin:g,end:b,strides:y}=Qt(m,d,p,u,c,h,s,o,a);u=g,c=b,h=y;const w=jt(l);w.forEach(e=>{c[e]=u[e]+1,h[e]=1});const k=Jt(u,c,h),v=k.filter((e,t)=>-1===w.indexOf(t));return{nonStrided:h.every(e=>1===e),$begin:u,$end:c,$strides:h,size:k,newShape:m,outShape:v}}});class an{getClassName(){return this.constructor.className}static fromConfig(e,t){return new e(t)}}class ln{constructor(){this.classNameMap={}}static getMap(){return null==ln.instance&&(ln.instance=new ln),ln.instance}static register(e){ln.getMap().classNameMap[e.className]=[e,e.fromConfig]}}function un(e){o(null!=e.className,()=>"Class being registered does not have the static className property defined."),o("string"==typeof e.className,()=>"className is required to be a string, but got type "+typeof e.className),o(e.className.length>0,()=>"Class being registered has an empty-string as its className, which is disallowed."),ln.register(e)}var cn=Object.freeze({__proto__:null,Serializable:an,SerializationMap:ln,registerClass:un});function hn(){return 32===Se.backend.floatPrecision()?.001:.1}function dn(e,t,n){let r=!0;if((w(e)||w(t))&&(r=!1),w(e)&&w(t)&&(r=!0),r){const n=e.constructor.name,r=t.constructor.name;if(n!==r)throw new Error(`Arrays are of different type. Actual: ${n}. Expected: `+r)}if(Array.isArray(e)&&Array.isArray(t)){const n=_e(e),r=_e(t);if(!c(n,r))throw new Error(`Arrays have different shapes. Actual: [${n}]. Expected: [${r}]`)}const s=w(e)?e:l(e),o=w(t)?t:l(t);if(s.length!==o.length)throw new Error(`Arrays have different lengths actual: ${s.length} vs expected: ${o.length}.\nActual:   ${s}.\nExpected: ${o}.`);for(let e=0;e<o.length;++e){const t=s[e],r=o[e];if(!n(t,r))throw new Error(`Arrays differ: actual[${e}] = ${t}, expected[${e}] = ${r}.\nActual:   ${s}.\nExpected: ${o}.`)}}function pn(e,t,n){return!isFinite(e)&&!isFinite(t)||!(isNaN(e)||isNaN(t)||Math.abs(e-t)>n)}var fn=Object.freeze({__proto__:null,TEST_EPSILON_FLOAT16:.1,expectArraysClose:function(e,t,n){return null==n&&(n=hn()),dn(e,t,(e,t)=>pn(e,t,n))},testEpsilon:hn,expectPromiseToFail:function(e,t){e().then(()=>t.fail(),()=>t())},expectArraysEqual:function(e,t){const n="string"==typeof t||"number"==typeof t||"boolean"==typeof t?[t]:t;return x(e)||x(e[0])||x(t)||x(t[0])?dn(e,n,(e,t)=>e==t):dn(e,t,(e,t)=>pn(e,t,0))},expectNumbersClose:function(e,t,n){if(null==n&&(n=hn()),!pn(e,t,n))throw new Error(`Numbers differ: actual === ${e}, expected === ${t}`)},expectValuesInRange:function(e,t,n){for(let r=0;r<e.length;r++)if(e[r]<t||e[r]>n)throw new Error(`Value out of range:${e[r]} low: ${t}, high: ${n}`)},expectArrayBuffersEqual:function(e,t){expect(new Float32Array(e)).toEqual(new Float32Array(t))},encodeStrings:function e(t){for(let n=0;n<t.length;n++){const r=t[n];Array.isArray(r)?e(r):t[n]=j(r)}return t}});function mn(e){F().getBool("DEPRECATION_WARNINGS_ENABLED")&&console.warn(e+" You can disable deprecation warnings with tf.disableDeprecationWarnings().")}function gn(e,t){return Se.tidy(e,t)}function bn(e){ye(e).forEach(e=>e.dispose())}function yn(e){return Se.keep(e)}const wn=Re({add_:function(e,t){let n=De(e,"a","add"),r=De(t,"b","add");[n,r]=ge(n,r);const s={a:n,b:r};return Se.runKernel("Add",s)}});const kn=Re({floorDiv_:function(e,t){let n=De(e,"a","floorDiv"),r=De(t,"b","floorDiv");[n,r]=ge(n,r);const s={a:n,b:r};return Se.runKernel("FloorDiv",s)}});const vn=Re({div_:function(e,t){let n=De(e,"a","div"),r=De(t,"b","div");if([n,r]=ge(n,r),"int32"===n.dtype&&"int32"===r.dtype)return kn(n,r);const s={a:n,b:r};return Se.runKernel("RealDiv",s,{})}});const xn=Re({mul_:function(e,t){let n=De(e,"a","mul"),r=De(t,"b","mul");[n,r]=ge(n,r);const s={a:n,b:r};return Se.runKernel("Multiply",s)}});const En=Re({abs_:function(e){const t=De(e,"x","abs");if("complex64"===t.dtype){const e={x:t};return Se.runKernel("ComplexAbs",e)}{const e={x:t};return Se.runKernel("Abs",e)}}});const Sn=Re({acos_:function(e){const t={x:De(e,"x","acos")};return Se.runKernel("Acos",t)}});const An=Re({acosh_:function(e){const t={x:De(e,"x","acosh")};return Se.runKernel("Acosh",t)}});const Mn=Re({addN_:function(e){o(Array.isArray(e),()=>"The argument passed to tf.addN() must be a list of tensors"),o(e.length>=1,()=>"Must pass at least one tensor to tf.addN(), but got "+e.length);const t=e.map((e,t)=>De(e,"tensors"+t,"addN")),n=t[0];t.forEach(e=>{if(e.dtype!==n.dtype)throw new Error("All tensors passed to tf.addN() must have the same dtype")}),t.forEach(e=>{if(!c(e.shape,n.shape))throw new Error("All tensors passed to tf.addN() must have the same shape")});const r=t;return Se.runKernel("AddN",r)}});const Nn=Re({all_:function(e,t=null,n=!1){const r={x:De(e,"x","all","bool")},s={axis:t,keepDims:n};return Se.runKernel("All",r,s)}});const In=Re({any_:function(e,t=null,n=!1){const r={x:De(e,"x","any","bool")},s={axis:t,keepDims:n};return Se.runKernel("Any",r,s)}});const _n=Re({argMax_:function(e,t=0){const n={x:De(e,"x","argMax")},r={axis:t};return Se.runKernel("ArgMax",n,r)}});const $n=Re({argMin_:function(e,t=0){const n={x:De(e,"x","argMin")},r={axis:t};return Se.runKernel("ArgMin",n,r)}});const Dn=Re({asin_:function(e){const t={x:De(e,"x","asin")};return Se.runKernel("Asin",t)}});const Tn=Re({asinh_:function(e){const t={x:De(e,"x","asinh")};return Se.runKernel("Asinh",t)}});const Rn=Re({atan_:function(e){const t={x:De(e,"x","atan")};return Se.runKernel("Atan",t)}});const Cn=Re({atan2_:function(e,t){let n=De(e,"a","atan2"),r=De(t,"b","atan2");[n,r]=ge(n,r);const s={a:n,b:r};return Se.runKernel("Atan2",s)}});const Fn=Re({atanh_:function(e){const t={x:De(e,"x","atanh")};return Se.runKernel("Atanh",t)}});function Bn(e,t,n,r,s,o,a="channelsLast"){const[i,l]=On(t);let u;if("channelsLast"===a)u=[i,l,e[3],e[3]];else{if("channelsFirst"!==a)throw new Error("Unknown dataFormat "+a);u=[i,l,e[1],e[1]]}return Pn(e,u,n,r,s,o,!1,a)}function Pn(e,t,n,r,s,o,a=!1,i="channelsLast"){let[l,u,c,h]=[-1,-1,-1,-1];if("channelsLast"===i)[l,u,c,h]=e;else{if("channelsFirst"!==i)throw new Error("Unknown dataFormat "+i);[l,h,u,c]=e}const[d,p,,f]=t,[m,g]=On(n),[b,y]=On(r),w=Wn(d,b),k=Wn(p,y),{padInfo:v,outHeight:x,outWidth:E}=function(e,t,n,r,s,o,a,i,l){let u,c,h;if("number"==typeof e){u={top:e,bottom:e,left:e,right:e,type:0===e?"VALID":"NUMBER"};const s=function(e,t,n,r,s){null==r&&(r=zn(e,t,n));const o=e[0],a=e[1],i=qn((o-t+2*r)/n+1,s),l=qn((a-t+2*r)/n+1,s);return[i,l]}([t,n],o,r,e,i);c=s[0],h=s[1]}else if("same"===e){c=Math.ceil(t/r),h=Math.ceil(n/s);const e=Math.max(0,(c-1)*r+o-t),i=Math.max(0,(h-1)*s+a-n),l=Math.floor(e/2),d=e-l,p=Math.floor(i/2);u={top:l,bottom:d,left:p,right:i-p,type:"SAME"}}else if("valid"===e)u={top:0,bottom:0,left:0,right:0,type:"VALID"},c=Math.ceil((t-o+1)/r),h=Math.ceil((n-a+1)/s);else{if("object"!=typeof e)throw Error("Unknown padding parameter: "+e);{const d="channelsLast"===l?e[1][0]:e[2][0],p="channelsLast"===l?e[1][1]:e[2][1],f="channelsLast"===l?e[2][0]:e[3][0],m="channelsLast"===l?e[2][1]:e[3][1];u={top:d,bottom:p,left:f,right:m,type:0===d&&0===p&&0===f&&0===m?"VALID":"EXPLICIT"},c=qn((t-o+d+p)/r+1,i),h=qn((n-a+f+m)/s+1,i)}}return{padInfo:u,outHeight:c,outWidth:h}}(s,u,c,m,g,w,k,o,i),S=a?f*h:f;let A;return"channelsFirst"===i?A=[l,S,x,E]:"channelsLast"===i&&(A=[l,x,E,S]),{batchSize:l,dataFormat:i,inHeight:u,inWidth:c,inChannels:h,outHeight:x,outWidth:E,outChannels:S,padInfo:v,strideHeight:m,strideWidth:g,filterHeight:d,filterWidth:p,effectiveFilterHeight:w,effectiveFilterWidth:k,dilationHeight:b,dilationWidth:y,inShape:e,outShape:A,filterShape:t}}function Ln(e,t,n,r,s,o=!1,a="channelsLast",i){let[l,u,c,h,d]=[-1,-1,-1,-1,-1];if("channelsLast"===a)[l,u,c,h,d]=e;else{if("channelsFirst"!==a)throw new Error("Unknown dataFormat "+a);[l,d,u,c,h]=e}const[p,f,m,,g]=t,[b,y,w]=Kn(n),[k,v,x]=Kn(r),E=Wn(p,k),S=Wn(f,v),A=Wn(m,x),{padInfo:M,outDepth:N,outHeight:I,outWidth:_}=function(e,t,n,r,s,o,a,i,l,u,c){let h,d,p,f;if("number"==typeof e){h={top:e,bottom:e,left:e,right:e,front:e,back:e,type:0===e?"VALID":"NUMBER"};const o=function(e,t,n,r,s,o){null==s&&(s=zn(e,t,r));const a=e[0],i=e[1],l=e[2],u=qn((a-t+2*s)/r+1,o),c=qn((i-t+2*s)/r+1,o),h=qn((l-t+2*s)/r+1,o);return[u,c,h,n]}([t,n,r,1],i,1,s,e,c);d=o[0],p=o[1],f=o[2]}else if("same"===e){d=Math.ceil(t/s),p=Math.ceil(n/o),f=Math.ceil(r/a);const e=(d-1)*s+i-t,c=(p-1)*o+l-n,m=(f-1)*a+u-r,g=Math.floor(e/2),b=e-g,y=Math.floor(c/2),w=c-y,k=Math.floor(m/2);h={top:y,bottom:w,left:k,right:m-k,front:g,back:b,type:"SAME"}}else{if("valid"!==e)throw Error("Unknown padding parameter: "+e);h={top:0,bottom:0,left:0,right:0,front:0,back:0,type:"VALID"},d=Math.ceil((t-i+1)/s),p=Math.ceil((n-l+1)/o),f=Math.ceil((r-u+1)/a)}return{padInfo:h,outDepth:d,outHeight:p,outWidth:f}}(s,u,c,h,b,y,w,E,S,A,i),$=o?g*d:g;let D;return"channelsFirst"===a?D=[l,$,N,I,_]:"channelsLast"===a&&(D=[l,N,I,_,$]),{batchSize:l,dataFormat:a,inDepth:u,inHeight:c,inWidth:h,inChannels:d,outDepth:N,outHeight:I,outWidth:_,outChannels:$,padInfo:M,strideDepth:b,strideHeight:y,strideWidth:w,filterDepth:p,filterHeight:f,filterWidth:m,effectiveFilterDepth:E,effectiveFilterHeight:S,effectiveFilterWidth:A,dilationDepth:k,dilationHeight:v,dilationWidth:x,inShape:e,outShape:D,filterShape:t}}function zn(e,t,n,r=1){const s=Wn(t,r);return Math.floor((e[0]*(n-1)-n+s)/2)}function On(e){return"number"==typeof e?[e,e,e]:2===e.length?[e[0],e[1],1]:e}function Kn(e){return"number"==typeof e?[e,e,e]:e}function Wn(e,t){return t<=1?e:e+(e-1)*(t-1)}function qn(e,t){if(!t)return Math.trunc(e);switch(t){case"round":return Math.round(e);case"ceil":return Math.ceil(e);case"floor":return Math.floor(e);default:throw new Error("Unknown roundingMode "+t)}}function Un(e){const[t,n,r]=On(e);return 1===t&&1===n&&1===r}function Gn(e,t){return Un(e)||Un(t)}function Vn(e){if("NHWC"===e)return"channelsLast";if("NCHW"===e)return"channelsFirst";throw new Error("Unknown dataFormat "+e)}const Hn=Re({reshape_:function(e,t){const n={x:De(e,"x","reshape","string_or_numeric")},r={shape:t};return Se.runKernel("Reshape",n,r)}});const jn=Re({avgPool_:function(e,t,n,r,s){const a=De(e,"x","avgPool","float32");o(Gn(n,1),()=>`Error in avgPool: Either strides or dilations must be 1. Got strides ${n} and dilations '1'`);let i=a,l=!1;3===a.rank&&(l=!0,i=Hn(a,[1,a.shape[0],a.shape[1],a.shape[2]])),o(4===i.rank,()=>`Error in avgPool: x must be rank 4 but got rank ${i.rank}.`),null!=s&&o(h(r),()=>`Error in avgPool: pad must be an integer when using, dimRoundingMode ${s} but got pad ${r}.`);const u={x:i},c={filterSize:t,strides:n,pad:r,dimRoundingMode:s};let d=Se.runKernel("AvgPool",u,c);return d=bt(d,a.dtype),l?Hn(d,[d.shape[1],d.shape[2],d.shape[3]]):d}});const Jn=Re({avgPool3d_:function(e,t,n,r,s,a="NDHWC",i){null==i?i=[1,1,1]:mn("dilations is deprecated, this field will be gone in v3.0.0.");const l=De(e,"x","avgPool3d","float32");let u=l,c=!1;4===l.rank&&(c=!0,u=Hn(l,[1,l.shape[0],l.shape[1],l.shape[2],l.shape[3]])),o(5===u.rank,()=>`Error in avgPool3d: x must be rank 5 but got rank ${u.rank}.`),o("NDHWC"===a,()=>"Error in avgPool3d: Only NDHWC is currently supported, but got dataFormat of "+a),o(Gn(n,i),()=>`Error in avgPool3d: Either strides or dilations must be 1. Got strides ${n} and dilations '${i}'`),null!=s&&o(h(r),()=>`Error in avgPool3d: pad must be an integer when using, dimRoundingMode ${s} but got pad ${r}.`);const d={x:u},p={filterSize:t,strides:n,pad:r,dimRoundingMode:s,dataFormat:a,dilations:i};let f=Se.runKernel("AvgPool3D",d,p);return f=bt(f,u.dtype),c?Hn(f,[f.shape[1],f.shape[2],f.shape[3],f.shape[4]]):f}});const Yn=Re({concat_:function(e,t=0){o(e.length>=1,()=>"Pass at least one tensor to concat");const n=Te(e,"tensors","concat","string_or_numeric");if("complex64"===n[0].dtype&&n.forEach(e=>{if("complex64"!==e.dtype)throw new Error(`Cannot concatenate complex64 tensors with a tensor\n          with dtype ${e.dtype}. `)}),1===n.length)return yt(n[0]);const r=n,s={axis:t};return Se.runKernel("Concat",r,s)}});const Zn=Re({sigmoid_:function(e){const t={x:De(e,"x","sigmoid")};return Se.runKernel("Sigmoid",t)}});const Xn=Re({slice_:function(e,t,n){const r=De(e,"x","slice","string_or_numeric");if(0===r.rank)throw new Error("Slicing scalar is not possible");const s={x:r},o={begin:t,size:n};return Se.runKernel("Slice",s,o)}});const Qn=Re({tanh_:function(e){const t={x:De(e,"x","tanh")};return Se.runKernel("Tanh",t)}});const er=Re({basicLSTMCell_:function(e,t,n,r,s,o){const a=De(e,"forgetBias","basicLSTMCell"),i=De(t,"lstmKernel","basicLSTMCell"),l=De(n,"lstmBias","basicLSTMCell"),u=De(r,"data","basicLSTMCell"),c=De(s,"c","basicLSTMCell"),h=De(o,"h","basicLSTMCell"),d=Yn([u,h],1),p=Rt(d,i),f=wn(p,l),m=f.shape[0],g=f.shape[1]/4,b=[m,g],y=Xn(f,[0,0],b),w=Xn(f,[0,g],b),k=Xn(f,[0,2*g],b),v=Xn(f,[0,3*g],b),x=wn(xn(Zn(y),Qn(w)),xn(c,Zn(wn(a,k))));return[x,xn(Qn(x),Zn(v))]}});const tr=Re({batchToSpaceND_:function(e,t,n){const r=De(e,"x","batchToSpaceND"),s=t.reduce((e,t)=>e*t);o(r.rank>=1+t.length,()=>`input rank is ${r.rank} but should be > than blockShape.length ${t.length}`),o(n.length===t.length,()=>`crops.length is ${n.length} but should be equal to blockShape.length  ${t.length}`),o(r.shape[0]%s==0,()=>`input tensor batch is ${r.shape[0]} but is not divisible by the product of the elements of blockShape ${t.join(" * ")} === ${s}`);const a={x:r},i={blockShape:t,crops:n};return Se.runKernel("BatchToSpaceND",a,i)}});const nr=Re({batchNorm_:function(e,t,n,r,s,a){null==a&&(a=.001);const i=De(e,"x","batchNorm"),l=De(t,"mean","batchNorm"),u=De(n,"variance","batchNorm");let c,h;null!=s&&(c=De(s,"scale","batchNorm")),null!=r&&(h=De(r,"offset","batchNorm")),o(l.rank===u.rank,()=>"Batch normalization gradient requires mean and variance to have equal ranks."),o(null==h||l.rank===h.rank,()=>"Batch normalization gradient requires mean and offset to have equal ranks."),o(null==c||l.rank===c.rank,()=>"Batch normalization gradient requires mean and scale to have equal ranks.");const d={x:function(e){let t;return t=0===e.rank||1===e.rank?Hn(e,[1,1,1,e.size]):2===e.rank?Hn(e,[1,1,e.shape[0],e.shape[1]]):3===e.rank?Hn(e,[1,e.shape[0],e.shape[1],e.shape[2]]):e,t}(i),scale:c,offset:h,mean:l,variance:u},p={varianceEpsilon:a},f=Se.runKernel("FusedBatchNorm",d,p);return Hn(f,i.shape)}});const rr=Re({batchNorm2d_:function(e,t,n,r,s,a){const i=De(e,"x","batchNorm"),l=De(t,"mean","batchNorm"),u=De(n,"variance","batchNorm");let c,h;return null!=s&&(c=De(s,"scale","batchNorm")),null!=r&&(h=De(r,"offset","batchNorm")),o(2===i.rank,()=>"Error in batchNorm2D: x must be rank 2 but got rank "+i.rank+"."),o(2===l.rank||1===l.rank,()=>`Error in batchNorm2D: mean must be rank 2 or rank 1 but got rank ${l.rank}.`),o(2===u.rank||1===u.rank,()=>`Error in batchNorm2D: variance must be rank 2 or rank 1 but got rank ${u.rank}.`),null!=c&&o(2===c.rank||1===c.rank,()=>`Error in batchNorm2D: scale must be rank 2 or rank 1 but got rank ${c.rank}.`),null!=h&&o(2===h.rank||1===h.rank,()=>`Error in batchNorm2D: offset must be rank 2 or rank 1 but got rank ${h.rank}.`),nr(i,l,u,h,c,a)}});const sr=Re({batchNorm3d_:function(e,t,n,r,s,a){const i=De(e,"x","batchNorm"),l=De(t,"mean","batchNorm"),u=De(n,"variance","batchNorm");let c,h;return null!=s&&(c=De(s,"scale","batchNorm")),null!=r&&(h=De(r,"offset","batchNorm")),o(3===i.rank,()=>"Error in batchNorm3D: x must be rank 3 but got rank "+i.rank+"."),o(3===l.rank||1===l.rank,()=>`Error in batchNorm3D: mean must be rank 3 or rank 1 but got rank ${l.rank}.`),o(3===u.rank||1===u.rank,()=>`Error in batchNorm3D: variance must be rank 3 or rank 1 but got rank ${u.rank}.`),null!=c&&o(3===c.rank||1===c.rank,()=>`Error in batchNorm3D: scale must be rank 3 or rank 1 but got rank ${c.rank}.`),null!=h&&o(3===h.rank||1===h.rank,()=>`Error in batchNorm3D: offset must be rank 3 or rank 1 but got rank ${h.rank}.`),nr(i,l,u,h,c,a)}});const or=Re({batchNorm4d_:function(e,t,n,r,s,a){const i=De(e,"x","batchNorm"),l=De(t,"mean","batchNorm"),u=De(n,"variance","batchNorm");let c,h;return null!=s&&(c=De(s,"scale","batchNorm")),null!=r&&(h=De(r,"offset","batchNorm")),o(4===i.rank,()=>"Error in batchNorm4D: x must be rank 4 but got rank "+i.rank+"."),o(4===l.rank||1===l.rank,()=>`Error in batchNorm4D: mean must be rank 4 or rank 1 but got rank ${l.rank}.`),o(4===u.rank||1===u.rank,()=>`Error in batchNorm4D: variance must be rank 4 or rank 1 but got rank ${u.rank}.`),null!=c&&o(4===c.rank||1===c.rank,()=>`Error in batchNorm4D: scale must be rank 4 or rank 1 but got rank ${c.rank}.`),null!=h&&o(4===h.rank||1===h.rank,()=>`Error in batchNorm4D: offset must be rank 4 or rank 1 but got rank ${h.rank}.`),nr(i,l,u,h,c,a)}});const ar=Re({bincount_:function(e,t,n){const r=De(e,"x","bincount"),s=De(t,"weights","bincount");o("int32"===r.dtype,()=>"Error in bincount: input dtype must be int32, but got "+r.dtype),o(n>=0,()=>`size must be non-negative, but got ${n}.`),o(s.size===r.size||0===s.size,()=>`Error in bincount: weights must have the same size as input or0-length, but got input shape: ${r.shape}, weights shape: `+s.shape+".");const a={x:r,weights:s},i={size:n};return Se.runKernel("Bincount",a,i)}});const ir=Re({broadcastTo_:function(e,t){let n=De(e,"broadcastTo","x");const r=n.shape;if(t.some(e=>!(e>0)||e%1!=0))throw new Error(`broadcastTo(): Invalid broadcast shape [${t}].`);if(t.length<n.rank)throw new Error(`broadcastTo(): shape.length=${t.length} < input.rank=${n.rank}.`);if(t.length>n.rank){const e=n.shape.slice();for(;e.length<t.length;)e.unshift(1);n=Hn(n,e)}const s=n.shape,o=Array.from(t);for(let e=t.length-1;e>=0;e--)if(s[e]===t[e])o[e]=1;else if(1!==n.shape[e])throw new Error(`broadcastTo(): [${r}] cannot be broadcast to [${t}].`);if(0===o.map((e,t)=>e>1?t:-1).filter(e=>e>=0).length)return yt(n);const a={x:n},i={reps:o};return Se.runKernel("Tile",a,i)}});const lr=Re({ceil_:function(e){const t={x:De(e,"x","ceil")};return Se.runKernel("Ceil",t)}});const ur=Re({clipByValue_:function(e,t,n){const r=De(e,"x","clipByValue");o(t<=n,()=>`Error in clip: min (${t}) must be less than or equal to max (${n}).`);const s={x:r},a={clipValueMin:t,clipValueMax:n};return Se.runKernel("ClipByValue",s,a)}});const cr=Re({concat1d_:function(e){return Yn(e,0)}});const hr=Re({concat2d_:function(e,t){return Yn(e,t)}});const dr=Re({concat3d_:function(e,t){return Yn(e,t)}});const pr=Re({concat4d_:function(e,t){return Yn(e,t)}});const fr=Re({conv2d_:function(e,t,n,r,s="NHWC",a=[1,1],i){const l=De(e,"x","conv2d"),u=De(t,"filter","conv2d");let c=l,d=!1;3===l.rank&&(d=!0,c=Hn(l,[1,l.shape[0],l.shape[1],l.shape[2]])),o(4===c.rank,()=>`Error in conv2d: input must be rank 4, but got rank ${c.rank}.`),o(4===u.rank,()=>"Error in conv2d: filter must be rank 4, but got rank "+u.rank+"."),null!=i&&o(h(r),()=>`Error in conv2d: pad must be an integer when using, dimRoundingMode ${i} but got pad ${r}.`);const p="NHWC"===s?c.shape[3]:c.shape[1];o(p===u.shape[2],()=>`Error in conv2d: depth of input (${p}) must match input depth for filter ${u.shape[2]}.`),o(Gn(n,a),()=>`Error in conv2D: Either strides or dilations must be 1. Got strides ${n} and dilations '${a}'`);const f={x:c,filter:u},m={strides:n,pad:r,dataFormat:s,dilations:a,dimRoundingMode:i},g=Se.runKernel("Conv2D",f,m);return d?Hn(g,[g.shape[1],g.shape[2],g.shape[3]]):g}});const mr=Re({conv1d_:function(e,t,n,r,s="NWC",a=1,i){const l=De(e,"x","conv1d"),u=De(t,"filter","conv1d");let c=l,d=!1;2===l.rank&&(d=!0,c=Hn(l,[1,l.shape[0],l.shape[1]])),o(3===c.rank,()=>`Error in conv1d: input must be rank 3, but got rank ${c.rank}.`),o(3===u.rank,()=>"Error in conv1d: filter must be rank 3, but got rank "+u.rank+"."),null!=i&&o(h(r),()=>`Error in conv1d: pad must be an integer when using, dimRoundingMode ${i} but got pad ${r}.`),o(c.shape[2]===u.shape[1],()=>`Error in conv1d: depth of input (${c.shape[2]}) must match input depth for filter ${u.shape[1]}.`),o(Gn(n,a),()=>`Error in conv1D: Either stride or dilation must be 1. Got stride ${n} and dilation '${a}'`),o("NWC"===s,()=>`Error in conv1d: got dataFormat of ${s} but only NWC is currently supported.`);const p=Hn(u,[1,u.shape[0],u.shape[1],u.shape[2]]),f=Hn(c,[c.shape[0],1,c.shape[1],c.shape[2]]),m=fr(f,p,[1,n],r,"NHWC",[1,a],i);return Hn(m,d?[m.shape[2],m.shape[3]]:[m.shape[0],m.shape[2],m.shape[3]])}});const gr=Re({conv2DBackpropInput_:function(e,t,n,r,s,a="NHWC",i){o(e.length===t.rank,()=>`Length of inShape (${e.length}) and rank of dy (${t.rank}) must match`);let l=e,u=t,c=!1;3===t.rank&&(c=!0,u=Hn(t,[1,t.shape[0],t.shape[1],t.shape[2]]),l=[1,e[0],e[1],e[2]]),o(4===l.length,()=>"Error in conv2dDerInput: inShape must be length 4, but got length "+l.length+"."),o(4===u.rank,()=>"Error in conv2dDerInput: dy must be rank 4, but got rank "+u.rank),o(4===n.rank,()=>"Error in conv2dDerInput: filter must be rank 4, but got rank "+n.rank);const d="NHWC"===a?l[3]:l[1],p="NHWC"===a?u.shape[3]:u.shape[1];o(d===n.shape[2],()=>`Error in conv2dDerInput: depth of input (${d}) must match input depth for filter ${n.shape[2]}.`),o(p===n.shape[3],()=>`Error in conv2dDerInput: depth of output (${p}) must match output depth for filter ${n.shape[3]}.`),null!=i&&o(h(s),()=>`Error in conv2dDerInput: pad must be an integer when using, dimRoundingMode ${i} but got pad ${s}.`);const f={dy:u,filter:n},m={strides:r,pad:s,dataFormat:a,dimRoundingMode:i,inputShape:l},g=Se.runKernel("Conv2DBackpropInput",f,m);return c?Hn(g,[g.shape[1],g.shape[2],g.shape[3]]):g}});const br=Re({conv2dTranspose_:function(e,t,n,r,s,o){const a=De(e,"x","conv2dTranspose"),i=De(t,"filter","conv2dTranspose");return gr(n,a,i,r,s,"NHWC",o)}});const yr=Re({conv3d_:function(e,t,n,r,s="NDHWC",a=[1,1,1]){const i=De(e,"x","conv3d"),l=De(t,"filter","conv3d");let u=i,c=!1;4===i.rank&&(c=!0,u=Hn(i,[1,i.shape[0],i.shape[1],i.shape[2],i.shape[3]])),o(5===u.rank,()=>`Error in conv3d: input must be rank 5, but got rank ${u.rank}.`),o(5===l.rank,()=>"Error in conv3d: filter must be rank 5, but got rank "+l.rank+"."),o(u.shape[4]===l.shape[3],()=>`Error in conv3d: depth of input (${u.shape[4]}) must match input depth for filter ${l.shape[3]}.`),o(Gn(n,a),()=>`Error in conv3D: Either strides or dilations must be 1. Got strides ${n} and dilations '${a}'`),o("NDHWC"===s,()=>`Error in conv3d: got dataFormat of ${s} but only NDHWC is currently supported.`);const h={x:u,filter:l},d={strides:n,pad:r,dataFormat:s,dilations:a},p=Se.runKernel("Conv3D",h,d);return c?Hn(p,[p.shape[1],p.shape[2],p.shape[3],p.shape[4]]):p}});const wr=Re({conv3DBackpropInput_:function(e,t,n,r,s){o(e.length===t.rank,()=>`Length of inShape (${e.length}) and rank of dy (${t.rank}) must match`);let a=e,i=t,l=!1;4===t.rank&&(l=!0,i=Hn(t,[1,t.shape[0],t.shape[1],t.shape[2],t.shape[3]]),a=[1,e[0],e[1],e[2],e[3]]);const u=a[4],c=i.shape[4];o(5===a.length,()=>"Error in conv3dDerInput: inShape must be length 5, but got length "+a.length+"."),o(5===i.rank,()=>"Error in conv3dDerInput: dy must be rank 5, but got rank "+i.rank),o(5===n.rank,()=>"Error in conv3dDerInput: filter must be rank 5, but got rank "+n.rank),o(u===n.shape[3],()=>`Error in conv3dDerInput: depth of input (${u}) must match input depth for filter ${n.shape[3]}.`),o(c===n.shape[4],()=>`Error in conv3dDerInput: depth of output (${c}) must match output depth for filter ${n.shape[4]}.`);const h={dy:i,filter:n},d={pad:s,strides:r,inputShape:a},p=Se.runKernel("Conv3DBackpropInputV2",h,d);return l?Hn(p,[p.shape[1],p.shape[2],p.shape[3],p.shape[4]]):p}});const kr=Re({conv3dTranspose_:function(e,t,n,r,s){const o=De(e,"x","conv3dTranspose"),a=De(t,"filter","conv3dTranspose");return wr(n,o,a,r,s)}});const vr=Re({cos_:function(e){const t={x:De(e,"x","cos")};return Se.runKernel("Cos",t)}});const xr=Re({cosh_:function(e){const t={x:De(e,"x","cosh")};return Se.runKernel("Cosh",t)}});const Er=Re({cumsum_:function(e,t=0,n=!1,r=!1){const s={x:De(e,"x","cumsum")},o={axis:t,exclusive:n,reverse:r};return Se.runKernel("Cumsum",s,o)}});const Sr=Re({denseBincount_:function(e,t,n,r=!1){const s=De(e,"x","denseBincount"),a=De(t,"weights","denseBincount");o("int32"===s.dtype,()=>"Error in denseBincount: input dtype must be int32, but got "+s.dtype),o(s.rank<=2,()=>`Error in denseBincount: input must be at most rank 2, but got rank ${s.rank}.`),o(n>=0,()=>`size must be non-negative, but got ${n}.`),o(a.size===s.size||0===a.size,()=>`Error in denseBincount: weights must have the same shape as x or 0-length, but got x shape: ${s.shape}, weights shape: `+a.shape+".");const i={x:s,weights:a},l={size:n,binaryOutput:r};return Se.runKernel("DenseBincount",i,l)}});const Ar=Re({depthToSpace_:function(e,t,n="NHWC"){const r=De(e,"x","depthToSpace"),s="NHWC"===n?r.shape[1]:r.shape[2],a="NHWC"===n?r.shape[2]:r.shape[3],i="NHWC"===n?r.shape[3]:r.shape[1];o(s*t>=0,()=>`Negative dimension size caused by overflow when multiplying\n    ${s} and ${t}  for depthToSpace with input shape\n    ${r.shape}`),o(a*t>=0,()=>`Negative dimension size caused by overflow when multiplying\n    ${a} and ${t} for depthToSpace with input shape\n        ${r.shape}`),o(i%(t*t)==0,()=>`Dimension size must be evenly divisible by ${t*t} but is ${i} for depthToSpace with input shape ${r.shape}`);const l={x:r},u={blockSize:t,dataFormat:n};return Se.runKernel("DepthToSpace",l,u)}});const Mr=Re({depthwiseConv2d_:function(e,t,n,r,s="NHWC",a=[1,1],i){const l=De(e,"x","depthwiseConv2d"),u=De(t,"filter","depthwiseConv2d");let c=l,d=!1;3===l.rank&&(d=!0,c=Hn(l,[1,l.shape[0],l.shape[1],l.shape[2]])),o(4===c.rank,()=>`Error in depthwiseConv2d: input must be rank 4, but got rank ${c.rank}.`),o(4===u.rank,()=>"Error in depthwiseConv2d: filter must be rank 4, but got rank "+u.rank+"."),o(c.shape[3]===u.shape[2],()=>`Error in depthwiseConv2d: number of input channels (${c.shape[3]}) must match the inChannels dimension in filter ${u.shape[2]}.`),null!=i&&o(h(r),()=>`Error in depthwiseConv2d: pad must be an integer when using, dimRoundingMode ${i} but got pad ${r}.`);const p={x:c,filter:u},f={strides:n,pad:r,dataFormat:s,dilations:a,dimRoundingMode:i},m=Se.runKernel("DepthwiseConv2dNative",p,f);return d?Hn(m,[m.shape[1],m.shape[2],m.shape[3]]):m}});const Nr=Re({diag_:function(e){const t={x:De(e,"x","diag")};return Se.runKernel("Diag",t)}});const Ir=Re({dilation2d_:function(e,t,n,r,s=[1,1],a="NHWC"){const i=De(e,"x","dilation2d"),l=De(t,"filter","dilation2d");o(3===i.rank||4===i.rank,()=>"Error in dilation2d: input must be rank 3 or 4, but got rank "+i.rank+"."),o(3===l.rank,()=>"Error in dilation2d: filter must be rank 3, but got rank "+l.rank+"."),o("NHWC"===a,()=>"Error in dilation2d: Only NHWC is currently supported, but got dataFormat of "+a);let u=i,c=!1;3===i.rank&&(u=Hn(i,[1,i.shape[0],i.shape[1],i.shape[2]]),c=!0);const h={x:u,filter:l},d={strides:n,pad:r,dilations:s},p=Se.runKernel("Dilation2D",h,d);return c?Hn(p,[p.shape[1],p.shape[2],p.shape[3]]):p}});function _r(e,t){const n=[];for(let r=0;r<t.length;r++){const s=e[e.length-r-1],o=t.length-r-1,a=t[o];(null==s||1===s&&a>1)&&n.unshift(o)}return n}function $r(e,t){const n=[],r=Math.max(e.length,t.length);for(let s=0;s<r;s++){let r=e[e.length-s-1];null==r&&(r=1);let o=t[t.length-s-1];if(null==o&&(o=1),1===r)n.unshift(o);else if(1===o)n.unshift(r);else{if(r!==o){throw Error(`Operands could not be broadcast together with shapes ${e} and ${t}.`)}n.unshift(r)}}return n}const Dr=Re({equal_:function(e,t){let n=De(e,"a","equal"),r=De(t,"b","equal");[n,r]=ge(n,r),$r(n.shape,r.shape);const s={a:n,b:r};return Se.runKernel("Equal",s)}});const Tr=Re({where_:function(e,t,n){const r=De(t,"a","where"),s=De(n,"b","where"),i=De(e,"condition","where","bool"),l=$r(r.shape,s.shape),u=ir(r,l),c=ir(s,l);1===i.rank&&o(i.shape[0]===r.shape[0],()=>"The first dimension of `a` must match the size of `condition`."),1!==i.rank&&a(i.shape,c.shape,"Error in where: ");const h={condition:i,t:u,e:c};return Se.runKernel("Select",h)}});const Rr=Re({zerosLike_:function(e){const t={x:De(e,"x","zerosLike")};return Se.runKernel("ZerosLike",t)}});const Cr=Re({divNoNan_:function(e,t){let n=De(e,"a","div"),r=De(t,"b","div");[n,r]=ge(n,r);const s=vn(n,r),o=Rr(s),a=Dr(r,o);return Tr(a,o,s)}});const Fr=Re({dot_:function(e,t){const n=De(e,"t1","dot"),r=De(t,"t2","dot");o(!(1!==n.rank&&2!==n.rank||1!==r.rank&&2!==r.rank),()=>`Error in dot: inputs must all be rank 1 or 2, but got ranks ${n.rank} and ${r.rank}.`);const s=1===n.rank?n.size:n.shape[1],a=1===r.rank?r.size:r.shape[0];if(o(s===a,()=>`Error in dot: inner dimensions of inputs must match, but got ${s} and ${a}.`),1===n.rank&&1===r.rank){const e=Hn(n,[1,-1]),t=Hn(r,[-1,1]),s=Rt(e,t);return Hn(s,[])}if(1===n.rank&&2===r.rank){const e=Hn(n,[1,-1]),t=Hn(r,[r.shape[0],r.shape[1]]),s=Rt(e,t);return Hn(s,[s.size])}if(2===n.rank&&1===r.rank){const e=Hn(r,[-1,1]),t=Rt(n,e);return Hn(t,[t.size])}{const e=Hn(r,[r.shape[0],r.shape[1]]);return Rt(n,e)}}});const Br=Re({elu_:function(e){const t={x:De(e,"x","elu")};return Se.runKernel("Elu",t)}});const Pr=Re({erf_:function(e){let t=De(e,"x","erf");o("int32"===t.dtype||"float32"===t.dtype,()=>"Input dtype must be `int32` or `float32`."),"int32"===t.dtype&&(t=bt(t,"float32"));const n={x:t};return Se.runKernel("Erf",n)}});const Lr=Re({exp_:function(e){const t={x:De(e,"x","exp")};return Se.runKernel("Exp",t)}});const zr=Re({expandDims_:function(e,t=0){const n=De(e,"x","expandDims","string_or_numeric");o(t<=n.rank,()=>"Axis must be <= rank of the tensor");const r={input:n},s={dim:t};return Se.runKernel("ExpandDims",r,s)}});const Or=Re({expm1_:function(e){const t={x:De(e,"x","expm1")};return Se.runKernel("Expm1",t)}});const Kr=Re({tile_:function(e,t){const n=De(e,"x","tile","string_or_numeric");o(n.rank===t.length,()=>`Error in transpose: rank of input ${n.rank} must match length of reps ${t}.`);const r={x:n},s={reps:t};return Se.runKernel("Tile",r,s)}});const Wr=Re({eye_:function(e,t,n,r="float32"){null==t&&(t=e);const s=gt([e,t],r),o=e<=t?e:t;for(let e=0;e<o;++e)s.set(1,e,e);const a=Hn(s.toTensor(),[e,t]);if(null==n)return a;if(1===n.length)return Kr(zr(a,0),[n[0],1,1]);if(2===n.length)return Kr(zr(zr(a,0),0),[n[0],n[1],1,1]);if(3===n.length)return Kr(zr(zr(zr(a,0),0),0),[n[0],n[1],n[2],1,1]);throw new Error(`eye() currently supports only 1D and 2D batchShapes, but received ${n.length}D.`)}});function qr(e,t,n){const r={shape:e,value:t,dtype:n};return Se.runKernel("Fill",{},r)}const Ur=Re({floor_:function(e){const t={x:De(e,"x","floor")};return Se.runKernel("Floor",t)}});const Gr=Re({gather_:function(e,t,n=0,r=0){const s={x:De(e,"x","gather"),indices:De(t,"indices","gather","int32")},o={axis:n,batchDims:r};return Se.runKernel("GatherV2",s,o)}});const Vr=Re({greater_:function(e,t){let n=De(e,"a","greater"),r=De(t,"b","greater");[n,r]=ge(n,r),$r(n.shape,r.shape);const s={a:n,b:r};return Se.runKernel("Greater",s)}});const Hr=Re({greaterEqual_:function(e,t){let n=De(e,"a","greaterEqual"),r=De(t,"b","greaterEqual");[n,r]=ge(n,r),$r(n.shape,r.shape);const s={a:n,b:r};return Se.runKernel("GreaterEqual",s)}});const jr=Re({imag_:function(e){const t={input:De(e,"input","imag")};return Se.runKernel("Imag",t)}});const Jr=Re({isFinite_:function(e){const t={x:De(e,"x","isFinite")};return Se.runKernel("IsFinite",t)}});const Yr=Re({isInf_:function(e){const t={x:De(e,"x","isInf")};return Se.runKernel("IsInf",t)}});const Zr=Re({isNaN_:function(e){const t={x:De(e,"x","isNaN")};return Se.runKernel("IsNan",t)}});const Xr=Re({leakyRelu_:function(e,t=.2){const n={x:De(e,"x","leakyRelu")},r={alpha:t};return Se.runKernel("LeakyRelu",n,r)}});const Qr=Re({less_:function(e,t){let n=De(e,"a","less"),r=De(t,"b","less");[n,r]=ge(n,r),$r(n.shape,r.shape);const s={a:n,b:r};return Se.runKernel("Less",s)}});const es=Re({lessEqual_:function(e,t){let n=De(e,"a","lessEqual"),r=De(t,"b","lessEqual");[n,r]=ge(n,r),$r(n.shape,r.shape);const s={a:n,b:r};return Se.runKernel("LessEqual",s)}});const ts=Re({localResponseNormalization_:function(e,t=5,n=1,r=1,s=.5){const a=De(e,"x","localResponseNormalization");o(4===a.rank||3===a.rank,()=>`Error in localResponseNormalization: x must be rank 3 or 4 but got\n               rank ${a.rank}.`),o(h(t),()=>`Error in localResponseNormalization: depthRadius must be an integer but got depthRadius ${t}.`);let i=a,l=!1;3===a.rank&&(l=!0,i=Hn(a,[1,a.shape[0],a.shape[1],a.shape[2]]));const u={x:i},c={depthRadius:t,bias:n,alpha:r,beta:s},d=Se.runKernel("LRN",u,c);return l?Hn(d,[d.shape[1],d.shape[2],d.shape[3]]):d}});const ns=Re({log_:function(e){const t={x:De(e,"x","log")};return Se.runKernel("Log",t)}});const rs=Re({log1p_:function(e){const t={x:De(e,"x","log1p")};return Se.runKernel("Log1p",t)}});function ss(e,t){o(M(e),()=>"The f passed in variableGrads(f) must be a function"),o(null==t||Array.isArray(t)&&t.every(e=>e instanceof le),()=>"The varList passed in variableGrads(f, varList) must be an array of variables");const n=null!=t;if(!n){t=[];for(const e in Se.registeredVariables)t.push(Se.registeredVariables[e])}const r=n?t.filter(e=>!e.trainable):null,s=t.length;o((t=t.filter(e=>e.trainable)).length>0,()=>`variableGrads() expects at least one of the input variables to be trainable, but none of the ${s} variables is trainable.`);const{value:a,grads:i}=Se.gradients(e,t,null,!0);o(i.some(e=>null!=e),()=>"Cannot find a connection between any variable and the result of the loss function y=f(x). Please make sure the operations that use variables are inside the function f passed to minimize()."),o(0===a.rank,()=>`The f passed in variableGrads(f) must return a scalar, but it returned a rank-${a.rank} tensor`);const l={};return t.forEach((e,t)=>{null!=i[t]&&(l[e.name]=i[t])}),null!=r&&r.forEach(e=>l[e.name]=null),{value:a,grads:l}}function os(e){return Se.customGrad(e)}function as(e){if(e.filter(e=>null==e).length>0)throw new Error("Cannot compute gradient of y=f(x) with respect to x. Make sure that\n    the f you passed encloses all operations that lead from x to y.")}const is=Re({neg_:function(e){const t={x:De(e,"x","neg")};return Se.runKernel("Neg",t)}});const ls=Re({softplus_:function(e){const t={x:De(e,"x","softplus")};return Se.runKernel("Softplus",t)}});const us=Re({logSigmoid_:function(e){const t=De(e,"x","logSigmoid");return os(e=>({value:is(ls(is(e))),gradFunc:t=>xn(t,Zn(is(e)))}))(t)}});const cs=Re({max_:function(e,t=null,n=!1){const r={x:De(e,"x","max")},s={reductionIndices:t,keepDims:n};return Se.runKernel("Max",r,s)}});const hs=Re({sub_:function(e,t){let n=De(e,"a","sub"),r=De(t,"b","sub");[n,r]=ge(n,r);const s={a:n,b:r};return Se.runKernel("Sub",s)}});const ds=Re({sum_:function(e,t=null,n=!1){let r=De(e,"x","sum");"bool"===r.dtype&&(r=bt(r,"int32"));const s={x:r},o={axis:t,keepDims:n};return Se.runKernel("Sum",s,o)}});const ps=Re({logSoftmax_:function(e,t=-1){const n=De(e,"logits","logSoftmax");if(-1===t&&(t=n.rank-1),t!==n.rank-1)throw Error(`Log Softmax along a non-last dimension is not yet supported. Logits was rank ${n.rank} and axis was ${t}`);return os((e,n)=>{const r=cs(e,t,!0),s=hs(e,r),o=hs(bt(s,"float32"),ns(ds(Lr(s),t,!0)));n([o]);return{value:o,gradFunc:(e,n)=>{const[r]=n,s=Lr(r);return hs(e,xn(ds(e,t,!0),s))}}})(n)}});function fs(e,t){for(let n=0;n<e.length;++n)if(e[e.length-n-1]!==t-1-n)return!1;return!0}function ms(e,t,n){const r=e.length+t.length,s=[];let o=0,a=0;for(let i=0;i<r;i++)-1===n.indexOf(i)?s.push(e[o++]):s.push(t[a++]);return s}function gs(e,t){return ms(e,t.map(e=>1),t)}const bs=Re({logSumExp_:function(e,t=null,n=!1){const r=De(e,"x","logSumExp"),s=p(t,r.shape),o=cs(r,s,!0),a=hs(r,o),i=Lr(a),l=ds(i,s),u=ns(l),c=wn(Hn(o,u.shape),u);if(n){const e=gs(c.shape,s);return Hn(c,e)}return c}});const ys=Re({logicalAnd_:function(e,t){const n=De(e,"a","logicalAnd","bool"),r=De(t,"b","logicalAnd","bool");$r(n.shape,r.shape);const s={a:n,b:r};return Se.runKernel("LogicalAnd",s)}});const ws=Re({logicalNot_:function(e){const t={x:De(e,"x","logicalNot","bool")};return Se.runKernel("LogicalNot",t)}});const ks=Re({logicalOr_:function(e,t){const n=De(e,"a","logicalOr","bool"),r=De(t,"b","logicalOr","bool");$r(n.shape,r.shape);const s={a:n,b:r};return Se.runKernel("LogicalOr",s)}});const vs=Re({logicalXor_:function(e,t){const n=De(e,"a","logicalXor","bool"),r=De(t,"b","logicalXor","bool");return $r(n.shape,r.shape),ys(ks(e,t),ws(ys(e,t)))}});const xs=Re({maxPool_:function(e,t,n,r,s){const a=De(e,"x","maxPool");let i=a,l=!1;3===a.rank&&(l=!0,i=Hn(a,[1,a.shape[0],a.shape[1],a.shape[2]])),o(4===i.rank,()=>`Error in maxPool: input must be rank 4 but got rank ${i.rank}.`),o(Gn(n,1),()=>`Error in maxPool: Either strides or dilations must be 1. Got strides ${n} and dilations '1'`),null!=s&&o(h(r),()=>`Error in maxPool: pad must be an integer when using, dimRoundingMode ${s} but got pad ${r}.`);const u={x:i},c={filterSize:t,strides:n,pad:r,dimRoundingMode:s},d=Se.runKernel("MaxPool",u,c);return l?Hn(d,[d.shape[1],d.shape[2],d.shape[3]]):d}});const Es=Re({maxPool3d_:function(e,t=[1,1,1],n,r,s,a="NDHWC",i){null==i?i=[1,1,1]:mn("dilations is deprecated, this field will be gone in v3.0.0.");const l=De(e,"x","maxPool3d");let u=l,c=!1;4===l.rank&&(c=!0,u=Hn(l,[1,l.shape[0],l.shape[1],l.shape[2],l.shape[3]])),o(5===u.rank,()=>`Error in maxPool3d: x must be rank 5 but got rank ${u.rank}.`),o("NDHWC"===a,()=>"Error in maxPool3d: Only NDHWC is currently supported, but got dataFormat of "+a),o(Gn(n,i),()=>`Error in maxPool3d: Either strides or dilations must be 1. Got strides ${n} and dilations '${i}'`),null!=s&&o(h(r),()=>`Error in maxPool3d: pad must be an integer when using, dimRoundingMode ${s} but got pad ${r}.`);const d={x:u},p={filterSize:t,strides:n,pad:r,dimRoundingMode:s,dataFormat:a,dilations:i},f=Se.runKernel("MaxPool3D",d,p);return c?Hn(f,[f.shape[1],f.shape[2],f.shape[3],f.shape[4]]):f}});const Ss=Re({maxPoolWithArgmax_:function(e,t,n,r,s=!1){const o={x:De(e,"x","maxPoolWithArgmax")},a={filterSize:t,strides:n,pad:r,includeBatchInIndex:s},i=Se.runKernel("MaxPoolWithArgmax",o,a);return{result:i[0],indexes:i[1]}}});const As=Re({maximum_:function(e,t){let n=De(e,"a","maximum"),r=De(t,"b","maximum");[n,r]=ge(n,r),"bool"===n.dtype&&(n=bt(n,"int32"),r=bt(r,"int32")),$r(n.shape,r.shape);const s={a:n,b:r};return Se.runKernel("Maximum",s)}});const Ms=Re({mean_:function(e,t=null,n=!1){const r={x:De(e,"x","mean")},s={axis:t,keepDims:n};return Se.runKernel("Mean",r,s)}});const Ns=Re({min_:function(e,t=null,n=!1){const r={x:De(e,"x","min")},s={axis:t,keepDims:n};return Se.runKernel("Min",r,s)}});const Is=Re({minimum_:function(e,t){let n=De(e,"a","minimum"),r=De(t,"b","minimum");[n,r]=ge(n,r),"bool"===n.dtype&&(n=bt(n,"int32"),r=bt(r,"int32")),$r(n.shape,r.shape);const s={a:n,b:r};return Se.runKernel("Minimum",s)}});const _s=Re({mirrorPad_:function(e,t,n){o("reflect"===n||"symmetric"===n,()=>`Invalid mode. Mode must be either reflect or symmetric. Got ${n}.`);const r=De(e,"x","mirrorPad");if(0===r.rank)throw new Error("mirrorPad(scalar) is not defined. Pass non-scalar to mirrorPad");o(t.length===r.rank,()=>`Padding doesn't match input. Must be ${r.rank}. Got ${t.length}.`);const s="reflect"===n?1:0;for(let e=0;e<r.rank;e++)o(2===t[e].length,()=>"Invalid number of paddings. Must be length of 2 each."),o(t[e][0]>=0&&t[e][0]<=r.shape[e]-s&&t[e][1]>=0&&t[e][1]<=r.shape[e]-s,()=>`Padding in dimension ${e} cannot be greater than or equal to ${r.shape[e]-s} or less than 0 for input of shape `+r.shape);const a={paddings:t,mode:n},i={x:r};return Se.runKernel("MirrorPad",i,a)}});const $s=Re({mod_:function(e,t){let n=De(e,"a","mod"),r=De(t,"b","mod");[n,r]=ge(n,r);const s={a:n,b:r};return Se.runKernel("Mod",s)}});const Ds=Re({square_:function(e){const t=De(e,"x","square");return Se.runKernel("Square",{x:t},{})}});const Ts=Re({moments_:function(e,t=null,n=!1){const r=p(t,(e=De(e,"x","moments")).shape),s=Ms(e,r,n);let o=s.shape;n||(o=gs(s.shape,r));const a=Ds(hs(bt(e,"float32"),Hn(s,o)));return{mean:s,variance:Ms(a,r,n)}}});const Rs=Re({multiRNNCell_:function(e,t,n,r){const s=De(t,"data","multiRNNCell"),o=Te(n,"c","multiRNNCell"),a=Te(r,"h","multiRNNCell");let i=s;const l=[];for(let t=0;t<e.length;t++){const n=e[t](i,o[t],a[t]);l.push(n[0]),l.push(n[1]),i=n[1]}const u=[],c=[];for(let e=0;e<l.length;e+=2)u.push(l[e]),c.push(l[e+1]);return[u,c]}});const Cs=Re({multinomial_:function(e,t,n,r=!1){const s=De(e,"logits","multinomial"),o=s.size,a=s.rank;if(o<2)throw new Error("Error in multinomial: you need at least 2 outcomes, but got "+o+".");if(a>2)throw new Error("Rank of probabilities must be 1 or 2, but is "+a);n=n||Math.random();const i={logits:1===a?Hn(s,[1,-1]):s},l={numSamples:t,seed:n,normalized:r},u=Se.runKernel("Multinomial",i,l);return 1===a?Hn(u,[u.size]):u}});const Fs=Re({notEqual_:function(e,t){let n=De(e,"a","notEqual"),r=De(t,"b","notEqual");[n,r]=ge(n,r),$r(n.shape,r.shape);const s={a:n,b:r};return Se.runKernel("NotEqual",s)}});function Bs(e,t="float32"){if("complex64"===t){const t=Bs(e,"float32"),n=Bs(e,"float32");return Ce(t,n)}const n=D(u(e),t);return Se.makeTensor(n,e,t)}function Ps(e,t="float32"){if("complex64"===t){const t=Ps(e,"float32"),n=Bs(e,"float32");return Ce(t,n)}const n=$(u(e),t);return Se.makeTensor(n,e,t)}const Ls=Re({onesLike_:function(e){const t={x:De(e,"x","onesLike")};return Se.runKernel("OnesLike",t)}});const zs=Re({outerProduct_:function(e,t){const n=De(e,"v1","outerProduct"),r=De(t,"v2","outerProduct");o(1===n.rank&&1===r.rank,()=>`Error in outerProduct: inputs must be rank 1, but got ranks ${n.rank} and ${r.rank}.`);const s=Hn(n,[-1,1]),a=Hn(r,[1,-1]);return Rt(s,a)}});const Os=Re({pad_:function(e,t,n=0){const r=De(e,"x","pad");if(0===r.rank)throw new Error("pad(scalar) is not defined. Pass non-scalar to pad");const s={paddings:t,constantValue:n},o={x:r};return Se.runKernel("PadV2",o,s)}});const Ks=Re({pad1d_:function(e,t,n=0){return o(2===t.length,()=>"Invalid number of paddings. Must be length of 2."),Os(e,[t],n)}});const Ws=Re({pad2d_:function(e,t,n=0){return o(2===t.length&&2===t[0].length&&2===t[1].length,()=>"Invalid number of paddings. Must be length of 2 each."),Os(e,t,n)}});const qs=Re({pad3d_:function(e,t,n=0){return o(3===t.length&&2===t[0].length&&2===t[1].length&&2===t[2].length,()=>"Invalid number of paddings. Must be length of 2 each."),Os(e,t,n)}});const Us=Re({pad4d_:function(e,t,n=0){return o(4===t.length&&2===t[0].length&&2===t[1].length&&2===t[2].length&&2===t[3].length,()=>"Invalid number of paddings. Must be length of 2 each."),Os(e,t,n)}});const Gs=Re({spaceToBatchND_:function(e,t,n){const r=De(e,"x","spaceToBatchND");o(r.rank>=1+t.length,()=>`input rank ${r.rank} should be > than [blockShape] ${t.length}`),o(n.length===t.length,()=>`paddings.shape[0] ${n.length} must be equal to [blockShape] ${t.length}`),o(r.shape.reduce((e,r,s)=>s>0&&s<=t.length?e&&(r+n[s-1][0]+n[s-1][1])%t[s-1]==0:e,!0),()=>`input spatial dimensions ${r.shape.slice(1)} with paddings ${n.toString()} must be divisible by blockShapes ${t.toString()}`);const s={x:r},a={blockShape:t,paddings:n};return Se.runKernel("SpaceToBatchND",s,a)}});const Vs=Re({pool_:function(e,t,n,r,s,a){null==s&&(s=[1,1]),null==a&&(a=1),0===r&&(r="valid");const i=De(e,"x","maxPool");let l=i,u=!1;3===i.rank&&(u=!0,l=Hn(i,[1,i.shape[0],i.shape[1],i.shape[2]])),o(Gn(a,s),()=>`Error in pool: Either strides or dilations must be 1. Got strides ${a} and dilations '${s}'`);const c=Bn(l.shape,t,a,s,r),h=[c.dilationHeight,c.dilationWidth];let d;d="same"===r?function(e,t){const n=e.map((e,n)=>e+(e-1)*(t[n]-1)).map(e=>e-1),r=n.map(e=>Math.floor(e/2)),s=n.map((e,t)=>e-r[t]);return n.map((e,t)=>[r[t],s[t]])}([c.filterHeight,c.filterWidth],h):[[0,0],[0,0]];const p=1===h[0]&&1===h[1],[f,m]=function(e,t,n){const r=n.map(e=>e[0]),s=n.map(e=>e[1]),o=e.concat(r,s),a=t.map((e,t)=>(e-o[t]%e)%e),i=s.map((e,t)=>e+a[t]),l=t.map((e,t)=>[r[t],i[t]]),u=t.map((e,t)=>[0,a[t]]);return[l,u]}([c.inHeight,c.inWidth],h,d),g=p?r:"valid",b=p?l:Gs(l,h,f),y=("avg"===n?()=>jn(b,t,a,g):()=>xs(b,t,a,g))(),w=p?y:tr(y,h,m);return u?Hn(w,[w.shape[1],w.shape[2],w.shape[3]]):w}});const Hs=Re({pow_:function(e,t){let n=De(e,"base","pow"),r=De(t,"exp","pow");[n,r]=ge(n,r);const s={a:n,b:r};return Se.runKernel("Pow",s)}});const js=Re({prelu_:function(e,t){const n={x:De(e,"x","prelu"),alpha:De(t,"alpha","prelu")};return Se.runKernel("Prelu",n)}});const Js=Re({prod_:function(e,t=null,n=!1){let r=De(e,"x","prod");"bool"===r.dtype&&(r=bt(r,"int32"));const s={x:r},o={axis:t,keepDims:n};return Se.runKernel("Prod",s,o)}});const Ys=Re({rand_:function(e,t,n){const r=u(e);let s=null;if(null==n||"float32"===n)s=new Float32Array(r);else if("int32"===n)s=new Int32Array(r);else{if("bool"!==n)throw new Error("Unknown data type "+n);s=new Uint8Array(r)}for(let e=0;e<r;e++)s[e]=t();return Se.makeTensor(s,e,n)}});"undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self&&self;function Zs(e,t){return e(t={exports:{}},t.exports),t.exports}var Xs=Zs((function(e){!function(e,t,n){function r(e){var t,n=this,r=(t=4022871197,function(e){e=e.toString();for(var n=0;n<e.length;n++){var r=.02519603282416938*(t+=e.charCodeAt(n));r-=t=r>>>0,t=(r*=t)>>>0,t+=4294967296*(r-=t)}return 2.3283064365386963e-10*(t>>>0)});n.next=function(){var e=2091639*n.s0+2.3283064365386963e-10*n.c;return n.s0=n.s1,n.s1=n.s2,n.s2=e-(n.c=0|e)},n.c=1,n.s0=r(" "),n.s1=r(" "),n.s2=r(" "),n.s0-=r(e),n.s0<0&&(n.s0+=1),n.s1-=r(e),n.s1<0&&(n.s1+=1),n.s2-=r(e),n.s2<0&&(n.s2+=1),r=null}function s(e,t){return t.c=e.c,t.s0=e.s0,t.s1=e.s1,t.s2=e.s2,t}function o(e,t){var n=new r(e),o=t&&t.state,a=n.next;return a.int32=function(){return 4294967296*n.next()|0},a.double=function(){return a()+11102230246251565e-32*(2097152*a()|0)},a.quick=a,o&&("object"==typeof o&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.alea=o}(0,e,!1)})),Qs=Zs((function(e){!function(e,t,n){function r(e){var t=this,n="";t.x=0,t.y=0,t.z=0,t.w=0,t.next=function(){var e=t.x^t.x<<11;return t.x=t.y,t.y=t.z,t.z=t.w,t.w^=t.w>>>19^e^e>>>8},e===(0|e)?t.x=e:n+=e;for(var r=0;r<n.length+64;r++)t.x^=0|n.charCodeAt(r),t.next()}function s(e,t){return t.x=e.x,t.y=e.y,t.z=e.z,t.w=e.w,t}function o(e,t){var n=new r(e),o=t&&t.state,a=function(){return(n.next()>>>0)/4294967296};return a.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},a.int32=n.next,a.quick=a,o&&("object"==typeof o&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.xor128=o}(0,e,!1)})),eo=Zs((function(e){!function(e,t,n){function r(e){var t=this,n="";t.next=function(){var e=t.x^t.x>>>2;return t.x=t.y,t.y=t.z,t.z=t.w,t.w=t.v,(t.d=t.d+362437|0)+(t.v=t.v^t.v<<4^e^e<<1)|0},t.x=0,t.y=0,t.z=0,t.w=0,t.v=0,e===(0|e)?t.x=e:n+=e;for(var r=0;r<n.length+64;r++)t.x^=0|n.charCodeAt(r),r==n.length&&(t.d=t.x<<10^t.x>>>4),t.next()}function s(e,t){return t.x=e.x,t.y=e.y,t.z=e.z,t.w=e.w,t.v=e.v,t.d=e.d,t}function o(e,t){var n=new r(e),o=t&&t.state,a=function(){return(n.next()>>>0)/4294967296};return a.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},a.int32=n.next,a.quick=a,o&&("object"==typeof o&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.xorwow=o}(0,e,!1)})),to=Zs((function(e){!function(e,t,n){function r(e){var t=this;t.next=function(){var e,n,r=t.x,s=t.i;return e=r[s],n=(e^=e>>>7)^e<<24,n^=(e=r[s+1&7])^e>>>10,n^=(e=r[s+3&7])^e>>>3,n^=(e=r[s+4&7])^e<<7,e=r[s+7&7],n^=(e^=e<<13)^e<<9,r[s]=n,t.i=s+1&7,n},function(e,t){var n,r=[];if(t===(0|t))r[0]=t;else for(t=""+t,n=0;n<t.length;++n)r[7&n]=r[7&n]<<15^t.charCodeAt(n)+r[n+1&7]<<13;for(;r.length<8;)r.push(0);for(n=0;n<8&&0===r[n];++n);for(8==n?r[7]=-1:r[n],e.x=r,e.i=0,n=256;n>0;--n)e.next()}(t,e)}function s(e,t){return t.x=e.x.slice(),t.i=e.i,t}function o(e,t){null==e&&(e=+new Date);var n=new r(e),o=t&&t.state,a=function(){return(n.next()>>>0)/4294967296};return a.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},a.int32=n.next,a.quick=a,o&&(o.x&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.xorshift7=o}(0,e,!1)})),no=Zs((function(e){!function(e,t,n){function r(e){var t=this;t.next=function(){var e,n,r=t.w,s=t.X,o=t.i;return t.w=r=r+1640531527|0,n=s[o+34&127],e=s[o=o+1&127],n^=n<<13,e^=e<<17,n^=n>>>15,e^=e>>>12,n=s[o]=n^e,t.i=o,n+(r^r>>>16)|0},function(e,t){var n,r,s,o,a,i=[],l=128;for(t===(0|t)?(r=t,t=null):(t+="\0",r=0,l=Math.max(l,t.length)),s=0,o=-32;o<l;++o)t&&(r^=t.charCodeAt((o+32)%t.length)),0===o&&(a=r),r^=r<<10,r^=r>>>15,r^=r<<4,r^=r>>>13,o>=0&&(a=a+1640531527|0,s=0==(n=i[127&o]^=r+a)?s+1:0);for(s>=128&&(i[127&(t&&t.length||0)]=-1),s=127,o=512;o>0;--o)r=i[s+34&127],n=i[s=s+1&127],r^=r<<13,n^=n<<17,r^=r>>>15,n^=n>>>12,i[s]=r^n;e.w=a,e.X=i,e.i=s}(t,e)}function s(e,t){return t.i=e.i,t.w=e.w,t.X=e.X.slice(),t}function o(e,t){null==e&&(e=+new Date);var n=new r(e),o=t&&t.state,a=function(){return(n.next()>>>0)/4294967296};return a.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},a.int32=n.next,a.quick=a,o&&(o.X&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.xor4096=o}(0,e,!1)})),ro=Zs((function(e){!function(e,t,n){function r(e){var t=this,n="";t.next=function(){var e=t.b,n=t.c,r=t.d,s=t.a;return e=e<<25^e>>>7^n,n=n-r|0,r=r<<24^r>>>8^s,s=s-e|0,t.b=e=e<<20^e>>>12^n,t.c=n=n-r|0,t.d=r<<16^n>>>16^s,t.a=s-e|0},t.a=0,t.b=0,t.c=-1640531527,t.d=1367130551,e===Math.floor(e)?(t.a=e/4294967296|0,t.b=0|e):n+=e;for(var r=0;r<n.length+20;r++)t.b^=0|n.charCodeAt(r),t.next()}function s(e,t){return t.a=e.a,t.b=e.b,t.c=e.c,t.d=e.d,t}function o(e,t){var n=new r(e),o=t&&t.state,a=function(){return(n.next()>>>0)/4294967296};return a.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},a.int32=n.next,a.quick=a,o&&("object"==typeof o&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.tychei=o}(0,e,!1)})),so=Zs((function(e){!function(t,n){var r,s=this,o=n.pow(256,6),a=n.pow(2,52),i=2*a;function l(e,l,p){var f=[],m=h(function e(t,n){var r,s=[],o=typeof t;if(n&&"object"==o)for(r in t)try{s.push(e(t[r],n-1))}catch(e){}return s.length?s:"string"==o?t:t+"\0"}((l=1==l?{entropy:!0}:l||{}).entropy?[e,d(t)]:null==e?function(){try{var e;return r&&(e=r.randomBytes)?e=e(256):(e=new Uint8Array(256),(s.crypto||s.msCrypto).getRandomValues(e)),d(e)}catch(e){var n=s.navigator,o=n&&n.plugins;return[+new Date,s,o,s.screen,d(t)]}}():e,3),f),g=new u(f),b=function(){for(var e=g.g(6),t=o,n=0;e<a;)e=256*(e+n),t*=256,n=g.g(1);for(;e>=i;)e/=2,t/=2,n>>>=1;return(e+n)/t};return b.int32=function(){return 0|g.g(4)},b.quick=function(){return g.g(4)/4294967296},b.double=b,h(d(g.S),t),(l.pass||p||function(e,t,r,s){return s&&(s.S&&c(s,g),e.state=function(){return c(g,{})}),r?(n.random=e,t):e})(b,m,"global"in l?l.global:this==n,l.state)}function u(e){var t,n=e.length,r=this,s=0,o=r.i=r.j=0,a=r.S=[];for(n||(e=[n++]);s<256;)a[s]=s++;for(s=0;s<256;s++)a[s]=a[o=255&o+e[s%n]+(t=a[s])],a[o]=t;(r.g=function(e){for(var t,n=0,s=r.i,o=r.j,a=r.S;e--;)t=a[s=255&s+1],n=256*n+a[255&(a[s]=a[o=255&o+t])+(a[o]=t)];return r.i=s,r.j=o,n})(256)}function c(e,t){return t.i=e.i,t.j=e.j,t.S=e.S.slice(),t}function h(e,t){for(var n,r=e+"",s=0;s<r.length;)t[255&s]=255&(n^=19*t[255&s])+r.charCodeAt(s++);return d(t)}function d(e){return String.fromCharCode.apply(0,e)}if(n.seedrandom=l,h(n.random(),t),e.exports){e.exports=l;try{r=require("crypto")}catch(e){}}}([],Math)}));so.alea=Xs,so.xor128=Qs,so.xorwow=eo,so.xorshift7=to,so.xor4096=no,so.tychei=ro;var oo=so.alea;class ao{constructor(e,t,n,r,s){this.mean=e,this.stdDev=t,this.dtype=n,this.nextVal=NaN,this.truncated=r,this.truncated&&(this.upper=this.mean+2*this.stdDev,this.lower=this.mean-2*this.stdDev);const o=s||Math.random();this.random=oo(o.toString())}nextValue(){if(!isNaN(this.nextVal)){const e=this.nextVal;return this.nextVal=NaN,e}let e,t,n=!1;for(;!n;){let r,s,o;do{r=2*this.random()-1,s=2*this.random()-1,o=r*r+s*s}while(o>=1||0===o);const a=Math.sqrt(-2*Math.log(o)/o);e=this.mean+this.stdDev*r*a,t=this.mean+this.stdDev*s*a,this.truncated&&!this.isValidTruncated(e)||(n=!0)}return this.truncated&&!this.isValidTruncated(t)||(this.nextVal=this.convertValue(t)),this.convertValue(e)}convertValue(e){return null==this.dtype||"float32"===this.dtype?e:Math.round(e)}isValidTruncated(e){return e<=this.upper&&e>=this.lower}}class io{constructor(e,t,n,r){this.alpha=e,this.beta=1/t,this.dtype=n;const s=r||Math.random();this.randu=oo(s.toString()),this.randn=new ao(0,1,n,!1,this.randu()),this.d=e<1?e+2/3:e-1/3,this.c=1/Math.sqrt(9*this.d)}nextValue(){let e,t,n,r,s,o;for(;;){do{r=this.randn.nextValue(),o=1+this.c*r}while(o<=0);if(o*=o*o,e=r*r,t=1-.331*e*e,n=.5*e+this.d*(1-o+Math.log(o)),s=this.randu(),s<t||Math.log(s)<n)break}return o=1/this.beta*this.d*o,this.alpha<1&&(o*=Math.pow(this.randu(),1/this.alpha)),this.convertValue(o)}convertValue(e){return"float32"===this.dtype?e:Math.round(e)}}class lo{constructor(e=0,t=1,n,r){if(this.canReturnFloat=()=>null==this.dtype||"float32"===this.dtype,this.min=e,this.range=t-e,this.dtype=n,null==r&&(r=Math.random()),"number"==typeof r&&(r=r.toString()),!this.canReturnFloat()&&this.range<=1)throw new Error(`The difference between ${e} - ${t} <= 1 and dtype is not float`);this.random=oo(r)}convertValue(e){return this.canReturnFloat()?e:Math.round(e)}nextValue(){return this.convertValue(this.min+this.range*this.random())}}const uo=Re({randomGamma_:function(e,t,n=1,r="float32",s){if(null==n&&(n=1),null==r&&(r="float32"),"float32"!==r&&"int32"!==r)throw new Error("Unsupported data type "+r);const o=new io(t,n,r,s),a=gt(e,r);for(let e=0;e<a.values.length;e++)a.values[e]=o.nextValue();return a.toTensor()}});const co=Re({randomNormal_:function(e,t=0,n=1,r,s){if(null!=r&&"bool"===r)throw new Error("Unsupported data type "+r);const o=new ao(t,n,r,!1,s),a=gt(e,r);for(let e=0;e<a.values.length;e++)a.values[e]=o.nextValue();return a.toTensor()}});const ho=Re({randomUniform_:function(e,t=0,n=1,r="float32",s){const o=gt(e,r),a=new lo(t,n,null,s);for(let e=0;e<o.values.length;e++)o.values[e]=a.nextValue();return o.toTensor()}});function po(e,t,n=1,r="float32"){if(0===n)throw new Error("Cannot have a step of zero");const s={start:e,stop:t,step:n,dtype:r};return Se.runKernel("Range",{},s)}const fo=Re({real_:function(e){const t={input:De(e,"input","real")};return Se.runKernel("Real",t)}});const mo=Re({reciprocal_:function(e){const t={x:De(e,"x","reciprocal")};return Se.runKernel("Reciprocal",t)}});const go=Re({relu_:function(e){const t={x:De(e,"x","relu")};return Se.runKernel("Relu",t)}});const bo=Re({relu6_:function(e){const t={x:De(e,"x","relu6")};return Se.runKernel("Relu6",t)}});const yo=Re({reverse_:function(e,t){const n={x:De(e,"x","reverse")},r={dims:t};return Se.runKernel("Reverse",n,r)}});const wo=Re({reverse1d_:function(e){const t=De(e,"x","reverse");return o(1===t.rank,()=>`Error in reverse1D: x must be rank 1 but got rank ${t.rank}.`),yo(t,0)}});const ko=Re({reverse2d_:function(e,t){const n=De(e,"x","reverse");return o(2===n.rank,()=>`Error in reverse2D: x must be rank 2 but got rank ${n.rank}.`),yo(n,t)}});const vo=Re({reverse3d_:function(e,t){const n=De(e,"x","reverse");return o(3===n.rank,()=>`Error in reverse3D: x must be rank 3 but got rank ${n.rank}.`),yo(n,t)}});const xo=Re({reverse4d_:function(e,t){const n=De(e,"x","reverse");return o(4===n.rank,()=>`Error in reverse4D: x must be rank 4 but got rank ${n.rank}.`),yo(n,t)}});const Eo=Re({round_:function(e){const t={x:De(e,"x","round")};return Se.runKernel("Round",t)}});const So=Re({rsqrt_:function(e){const t={x:De(e,"x","rsqrt")};return Se.runKernel("Rsqrt",t)}});function Ao(e,t){if((w(e)&&"string"!==t||Array.isArray(e))&&"complex64"!==t)throw new Error("Error creating a new Scalar: value must be a primitive (number|boolean|string)");if("string"===t&&w(e)&&!(e instanceof Uint8Array))throw new Error("When making a scalar from encoded string, the value must be `Uint8Array`.");return Fe(e,[],[],t)}const Mo=Re({selu_:function(e){const t={x:De(e,"x","selu")};return Se.runKernel("Selu",t)}});const No=Re({separableConv2d_:function(e,t,n,r,s,a=[1,1],i="NHWC"){const l=De(e,"x","separableConv2d"),u=De(t,"depthwiseFilter","separableConv2d"),c=De(n,"pointwiseFilter","separableConv2d");let h=l,d=!1;if(3===l.rank&&(d=!0,h=Hn(l,[1,l.shape[0],l.shape[1],l.shape[2]])),"NCHW"===i)throw new Error("separableConv2d currently does not support dataFormat NCHW; only NHWC is supported");o(4===h.rank,()=>`Error in separableConv2d: input must be rank 4, but got rank ${h.rank}.`),o(4===u.rank,()=>`Error in separableConv2d: depthwise filter must be rank 4, but got rank ${u.rank}.`),o(4===c.rank,()=>`Error in separableConv2d: pointwise filter must be rank 4, but got rank ${u.rank}.`),o(1===c.shape[0],()=>`Error in separableConv2d: the first dimension of pointwise filter  must be 1, but got ${c.shape[0]}.`),o(1===c.shape[1],()=>`Error in separableConv2d: the second dimension of pointwise filter must be 1, but got ${c.shape[1]}.`);const p=u.shape[2],f=u.shape[3];o(c.shape[2]===p*f,()=>`Error in separableConv2d: the third dimension of pointwise filter must be ${p*f}, but got ${c.shape[2]}.`);const m=Mr(h,u,r,s,i,a),g=fr(m,c,1,"valid",i);return d?Hn(g,[g.shape[1],g.shape[2],g.shape[3]]):g}});const Io=async function(e,t){const n=De(e,"x","setdiff1d"),r=De(t,"y","setdiff1d");o(n.dtype===r.dtype,()=>`x and y should have the same dtype, but got x (${n.dtype}) and y (${r.dtype}).`),o(1===n.rank,()=>`x should be 1D tensor, but got x (${n.shape}).`),o(1===r.rank,()=>`y should be 1D tensor, but got y (${r.shape}).`);const s=await n.data(),a=await r.data(),i=new Set(a);let l=0;for(let e=0;e<s.length;e++)i.has(s[e])||l++;const u=new se([l],n.dtype),c=new se([l],"int32");for(let e=0,t=0;e<s.length;e++)i.has(s[e])||(u.values[t]=s[e],c.values[t]=e,t++);return[u.toTensor(),c.toTensor()]};const _o=Re({sign_:function(e){const t={x:De(e,"x","sign")};return Se.runKernel("Sign",t)}});const $o=Re({sin_:function(e){const t={x:De(e,"x","sin")};return Se.runKernel("Sin",t)}});const Do=Re({sinh_:function(e){const t={x:De(e,"x","sinh")};return Se.runKernel("Sinh",t)}});const To=Re({slice1d_:function(e,t,n){const r=De(e,"x","slice1d");return o(1===r.rank,()=>`slice1d expects a rank-1 tensor, but got a rank-${r.rank} tensor`),Xn(r,[t],[n])}});const Ro=Re({slice2d_:function(e,t,n){const r=De(e,"x","slice2d");return o(2===r.rank,()=>`slice2d expects a rank-2 tensor, but got a rank-${r.rank} tensor`),Xn(r,t,n)}});const Co=Re({slice3d_:function(e,t,n){const r=De(e,"x","slice3d");return o(3===r.rank,()=>`slice3d expects a rank-3 tensor, but got a rank-${r.rank} tensor`),Xn(r,t,n)}});const Fo=Re({slice4d_:function(e,t,n){const r=De(e,"x","slice4d");return o(4===r.rank,()=>`slice4d expects a rank-4 tensor, but got a rank-${r.rank} tensor`),Xn(r,t,n)}});const Bo=Re({softmax_:function(e,t=-1){const n=De(e,"logits","softmax","float32");if(-1===t&&(t=n.rank-1),t!==n.rank-1)throw Error(`Softmax along a non-last dimension is not yet supported. Logits was rank ${n.rank} and dim was ${t}`);const r={logits:n},s={dim:t};return Se.runKernel("Softmax",r,s)}});const Po=Re({fft_:function(e){o("complex64"===e.dtype,()=>`The dtype for tf.spectral.fft() must be complex64 but got ${e.dtype}.`);const t={input:e};return Se.runKernel("FFT",t)}});const Lo=Re({ifft_:function(e){o("complex64"===e.dtype,()=>`The dtype for tf.spectral.ifft() must be complex64 but got ${e.dtype}.`);const t={input:e};return Se.runKernel("IFFT",t)}});const zo=Re({irfft_:function(e){const t=e.shape[e.shape.length-1],n=e.size/t;let r;if(t<=2){const s=Hn(e,[n,t]);r=Lo(s)}else{const s=[n,2*(t-1)],o=Hn(fo(e),[n,t]),a=Hn(jr(e),[n,t]),i=yo(Xn(o,[0,1],[n,t-2]),1),l=xn(yo(Xn(a,[0,1],[n,t-2]),1),Ao(-1)),u=Yn([o,i],1),c=Yn([a,l],1),h=Hn(Ce(u,c),[s[0],s[1]]);r=Lo(h)}if(r=fo(r),3===e.rank&&0!==e.shape[0]){const t=r,n=e.shape[0];r=Hn(r,[n,r.shape[0]/n,r.shape[1]]),t.dispose()}return r}});const Oo=Re({split_:function(e,t,n=0){const r={x:De(e,"x","split")},s={numOrSizeSplits:t,axis:n};return Se.runKernel("SplitV",r,s)}});const Ko=Re({rfft_:function(e,t){o("float32"===e.dtype,()=>"The dtype for rfft() must be real value but got "+e.dtype);let n=e.shape[e.shape.length-1];const r=e.size/n;let s;if(null!=t&&t<n){const r=e.shape.map(e=>0),o=e.shape.map(e=>e);o[e.shape.length-1]=t,s=Xn(e,r,o),n=t}else if(null!=t&&t>n){const r=e.shape.map(e=>e);r[e.shape.length-1]=t-n,s=Yn([e,Bs(r)],e.shape.length-1),n=t}else s=e;const a=Rr(s),i=Hn(Ce(s,a),[r,n]),l=Po(i),u=Math.floor(n/2)+1,c=fo(l),h=jr(l),d=Oo(c,[u,n-u],c.shape.length-1),p=Oo(h,[u,n-u],h.shape.length-1),f=s.shape.slice();return f[s.shape.length-1]=u,Hn(Ce(d[0],p[0]),f)}});const Wo=Re({sqrt_:function(e){const t={x:De(e,"x","sqrt")};return Se.runKernel("Sqrt",t)}});const qo=Re({squaredDifference_:function(e,t){let n=De(e,"a","squaredDifference"),r=De(t,"b","squaredDifference");[n,r]=ge(n,r),$r(n.shape,r.shape);const s={a:n,b:r};return Se.runKernel("SquaredDifference",s,{})}});const Uo=Re({squeeze_:function(e,t){const n=De(e,"x","squeeze");return Hn(n,f(n.shape,t).newShape)}});const Go=Re({stack_:function(e,t=0){const n=Te(e,"tensors","stack","string_or_numeric");o(n.length>=1,()=>"Pass at least one tensor to tf.stack"),n.length>0&&o(t<=n[0].rank,()=>"Axis must be <= rank of the tensor");const r=n,s={axis:t};return Se.runKernel("Pack",r,s)}});const Vo=Re({step_:function(e,t=0){const n={x:De(e,"x","step")},r={alpha:t};return Se.runKernel("Step",n,r)}});const Ho=Re({stridedSlice_:function(e,t,n,r,s=0,o=0,a=0,i=0,l=0){const u={x:De(e,"x","stridedSlice")},c={begin:t,end:n,strides:r,beginMask:s,endMask:o,ellipsisMask:a,newAxisMask:i,shrinkAxisMask:l};return Se.runKernel("StridedSlice",u,c)}});const jo=Re({tan_:function(e){const t={x:De(e,"x","tan")};return Se.runKernel("Tan",t)}});function Jo(e,t){i(e);const n=_e(e,t);if(1!==n.length)throw new Error("tensor1d() requires values to be a flat/TypedArray");return Fe(e,null,n,t)}function Yo(e,t,n){if(i(e),null!=t&&2!==t.length)throw new Error("tensor2d() requires shape to have two numbers");const r=_e(e,n);if(2!==r.length&&1!==r.length)throw new Error("tensor2d() requires values to be number[][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor2d() requires shape to be provided when `values` are a flat/TypedArray");return Fe(e,t,r,n)}const Zo=Re({topk_:function(e,t=1,n=!0){const r=De(e,"x","topk");if(0===r.rank)throw new Error("topk() expects the input to be of rank 1 or higher");const s=r.shape[r.shape.length-1];if(t>s)throw new Error(`'k' passed to topk() must be <= the last dimension (${s}) but got `+t);const o={x:r},a={k:t,sorted:n},[i,l]=Se.runKernel("TopK",o,a);return{values:i,indices:l}}});const Xo=Re({truncatedNormal_:function(e,t=0,n=1,r,s){if(null!=r&&"bool"===r)throw new Error("Unsupported data type $ { dtype }");const o=new ao(t,n,r,!0,s),a=gt(e,r);for(let e=0;e<a.values.length;e++)a.values[e]=o.nextValue();return a.toTensor()}});const Qo=Re({unique_:function(e,t=0){const n=De(e,"x","unique","string_or_numeric");o(n.rank>0,()=>"The input tensor must be at least 1D");const r={x:n},s={axis:t},[a,i]=Se.runKernel("Unique",r,s);return{values:a,indices:i}}});const ea=Re({unsortedSegmentSum_:function(e,t,n){const r=De(e,"x","unsortedSegmentSum"),s=De(t,"segmentIds","unsortedSegmentSum","int32");o(h(n),()=>"numSegments must be of dtype int");const a={x:r,segmentIds:s},i={numSegments:n};return Se.runKernel("UnsortedSegmentSum",a,i)}});const ta=Re({unstack_:function(e,t=0){const n=De(e,"x","unstack","string_or_numeric");o(t>=-n.shape.length&&t<n.shape.length,()=>`Axis = ${t} is not in [-${n.shape.length}, ${n.shape.length})`);const r={value:n},s={axis:t};return Se.runKernel("Unpack",r,s)}});function na(e,t){const n=[];for(let e=0;e<t.length;e++)t[e]&&n.push(e);const r=gt(e,"int32"),s=gt([n.length,e.length],"int32");for(let t=0;t<n.length;t++){const o=r.indexToLoc(n[t]),a=t*e.length;s.values.set(o,a)}return s.toTensor()}const ra=async function(e){const t=De(e,"condition","whereAsync","bool"),n=await t.data(),r=na(t.shape,n);return e!==t&&t.dispose(),r};const sa=async function(e,t,n){const r=De(e,"tensor","boolMask"),s=De(t,"mask","boolMask","bool"),i=null==n?0:n,l=s.rank,u=r.shape;o(l>0,()=>"mask cannot be scalar"),a(u.slice(i,i+l),s.shape,"mask's shape must match the first K dimensions of tensor's shape,");let c=1;for(let e=i;e<i+l;e++)c*=u[e];const h=u.slice(0,i).concat([c],u.slice(i+l)),d=Hn(r,h),p=Hn(s,[-1]),f=await ra(p),m=Uo(f,[1]),g=Gr(d,m,i);return e!==r&&r.dispose(),t!==s&&s.dispose(),m.dispose(),d.dispose(),p.dispose(),f.dispose(),g};const oa=Re({norm_:function(e,t="euclidean",n=null,r=!1){const s=function e(t,n,r=null){if(0===t.rank)return En(t);if(1!==t.rank&&null===r)return e(Hn(t,[-1]),n,r);if(1===t.rank||"number"==typeof r||Array.isArray(r)&&1===r.length){if(1===n)return ds(En(t),r);if(n===1/0)return cs(En(t),r);if(n===-1/0)return Ns(En(t),r);if("euclidean"===n||2===n)return Wo(ds(Hs(En(t),Ao(2,"int32")),r));throw new Error("Error in norm: invalid ord value: "+n)}if(Array.isArray(r)&&2===r.length){if(1===n)return cs(ds(En(t),r[0]),r[1]-1);if(n===1/0)return cs(ds(En(t),r[1]),r[0]);if(n===-1/0)return Ns(ds(En(t),r[1]),r[0]);if("fro"===n||"euclidean"===n)return Wo(ds(Ds(t),r));throw new Error("Error in norm: invalid ord value: "+n)}throw new Error("Error in norm: invalid axis: "+r)}(e=De(e,"x","norm"),t,n);let o=s.shape;if(r){const t=p(n,e.shape);o=gs(s.shape,t)}return Hn(s,o)}});const aa=Re({movingAverage_:function(e,t,n,r,s=!0){const a=De(e,"v","movingAverage"),i=De(t,"x","movingAverage"),l=De(n,"decay","movingAverage");be(a,i),o(c(a.shape,i.shape),()=>"Shape mismatch in v and x");const u=Ao(1),h=hs(u,l);let d=xn(hs(i,a),h);if(s){o(null!=r,()=>"When using zeroDebias: true, step is required.");const e=De(r,"step","movingAverage");d=vn(d,hs(u,Hs(l,e)))}return wn(a,d)}});const ia=Re({scatterND_:function(e,t,n){const r=De(e,"indices","scatterND","int32"),s=De(t,"updates","scatterND");Gt(s,r,n);const o={indices:r,updates:s},a={shape:n};return Se.runKernel("ScatterNd",o,a)}});const la=Re({sparseToDense_:function(e,t,n,r=0){const s=De(e,"sparseIndices","sparseToDense","int32"),o=De(t,"sparseValues","sparseToDense"),a=De(r,"defaultValue","sparseToDense",o.dtype);!function(e,t,n,r){if("int32"!==e.dtype)throw new Error(`tf.sparseToDense() expects the indices to be int32 type, but the dtype was ${e.dtype}.`);if(e.rank>2)throw new Error(`sparseIndices should be a scalar, vector, or matrix, but got shape ${e.shape}.`);const s=e.rank>0?e.shape[0]:1,o=e.rank>1?e.shape[1]:1;if(n.length!==o)throw new Error(`outputShape has incorrect number of elements:, ${n.length}, should be: ${o}.`);const a=t.size;if(0!==t.rank&&(1!==t.rank||a!==s))throw new Error(`sparseValues has incorrect shape ${t.shape}, should be [] or [${s}]`);if(t.dtype!==r.dtype)throw new Error("sparseValues.dtype must match defaultValues.dtype")}(s,o,n,a);const i={sparseIndices:s,sparseValues:o,defaultValue:a},l={outputShape:n};return Se.runKernel("SparseToDense",i,l)}});const ua=Re({gatherND_:function(e,t){const n=De(t,"indices","gatherND","int32"),r={params:De(e,"x","gatherND"),indices:n};return Se.runKernel("GatherNd",r)}});const ca=Re({dropout_:function(e,t,n,r){const s=De(e,"x","dropout");if(o("float32"===s.dtype,()=>`x has to be a floating point tensor since it's going to be scaled, but got a ${s.dtype} tensor instead.`),o(t>=0&&t<1,()=>`rate must be a float in the range [0, 1), but got ${t}.`),0===t)return e instanceof ie?s.clone():s;const a=function(e,t){if(null==t)return e.shape.slice();if(c(e.shape,t))return t;if(e.shape.length===t.length){const n=[];for(let r=0;r<e.shape.length;r++)null==t[r]&&null!=e.shape[r]?n.push(e.shape[r]):n.push(t[r]);return n}return t}(s,n),i=1-t,l=vn(Ur(wn(ho(a,0,1,"float32",r),i)),i);return xn(s,l)}});function ha(e){return Math.floor(Math.pow(2,Math.ceil(Math.log(e)/Math.log(2))))}function da(e,t,n){const r=1-e%2,s=new Float32Array(e);for(let o=0;o<e;++o){const a=2*Math.PI*o/(e+r-1);s[o]=t-n*Math.cos(a)}return Jo(s,"float32")}const pa=async function(e,t,n=1){const r=De(e,"predictions","inTopK"),s=De(t,"targets","inTopK");o(r.rank>1,()=>"inTopK() expects the predictions to be of rank 2 or higher, but got "+r.rank),o(r.rank-1===s.rank,()=>`predictions rank should be 1 larger than targets rank, but got predictions rank ${r.rank} and targets rank ${s.rank}`),a(r.shape.slice(0,r.shape.length-1),s.shape,"predictions's shape should be align with the targets' shape, except the last dimension.");const i=r.shape[r.shape.length-1];o(n>0&&n<=i,()=>`'k' passed to inTopK() must be > 0 && <= the predictions last dimension (${i}), but got ${n}`);const l=await r.data(),u=await s.data(),[c,h]=[l.length/i,i],d=m("bool",c);for(let e=0;e<c;e++){const t=e*h,r=l.subarray(t,t+h),s=[];for(let e=0;e<r.length;e++)s.push({value:r[e],index:e});s.sort((e,t)=>t.value-e.value),d[e]=0;for(let t=0;t<n;t++)if(s[t].index===u[e]){d[e]=1;break}}return e!==r&&r.dispose(),t!==s&&s.dispose(),Be(d,s.shape,"bool")};const fa=Re({conv2DBackpropFilter_:function(e,t,n,r,s,a="NHWC",i){let l=e;3===e.rank&&(l=Hn(e,[1,e.shape[0],e.shape[1],e.shape[2]]));let u=t;3===u.rank&&(u=Hn(t,[1,t.shape[0],t.shape[1],t.shape[2]])),o(4===l.rank,()=>"Error in conv2dDerFilter: input must be rank 4, but got shape "+l.shape+"."),o(4===u.rank,()=>"Error in conv2dDerFilter: dy must be rank 4, but got shape "+u.shape+"."),o(4===n.length,()=>"Error in conv2dDerFilter: filterShape must be length 4, but got "+n+".");const c="NHWC"===a?l.shape[3]:l.shape[1],d="NHWC"===a?u.shape[3]:u.shape[1];o(c===n[2],()=>`Error in conv2dDerFilter: depth of input ${c}) must match input depth in filter (${n[2]}.`),o(d===n[3],()=>`Error in conv2dDerFilter: depth of dy (${d}) must match output depth for filter (${n[3]}).`),null!=i&&o(h(s),()=>`Error in conv2dDerFilter: pad must be an integer when using, dimRoundingMode ${i} but got pad ${s}.`);const p={x:l,dy:u},f={strides:r,pad:s,dataFormat:a,dimRoundingMode:i,filterShape:n};return Se.runKernel("Conv2DBackpropFilter",p,f)}});function ma(e,t,n){if(null==n||"linear"===n)return e;if("relu"===n)return xn(e,Vo(t));throw new Error(`Cannot compute gradient for fused activation ${n}.`)}function ga(e,t){let n=t;const r=_r(e.shape,t.shape);return r.length>0&&(n=ds(n,r)),Hn(n,e.shape)}function ba(e,t,n,r){if("linear"===t)return e;if("relu"===t)return go(e);if("elu"===t)return Br(e);if("relu6"===t)return bo(e);if("prelu"===t)return js(e,n);if("leakyrelu"===t)return Xr(e,r);throw new Error(`Unknown fused activation ${t}.`)}const ya=(e,t)=>!(e>0)||"linear"===t;const wa=Re({fusedConv2d_:function({x:e,filter:t,strides:n,pad:r,dataFormat:s="NHWC",dilations:a=[1,1],dimRoundingMode:i,bias:l,activation:u="linear",preluActivationWeights:c,leakyreluAlpha:d}){if(u=u||"linear",!1===ya(Se.state.gradientDepth,u)){let o=fr(e,t,n,r,s,a,i);return null!=l&&(o=wn(o,l)),ba(o,u,c,d)}const p=De(e,"x","conv2d"),f=De(t,"filter","conv2d");let m=p,g=!1;3===p.rank&&(g=!0,m=Hn(p,[1,p.shape[0],p.shape[1],p.shape[2]])),o(4===m.rank,()=>"Error in fused conv2d: input must be rank 4, but got rank "+m.rank+"."),o(4===f.rank,()=>"Error in fused conv2d: filter must be rank 4, but got rank "+f.rank+"."),null!=i&&o(h(r),()=>`Error in fused conv2d: pad must be an integer when using, dimRoundingMode ${i} but got pad ${r}.`),o(m.shape[3]===f.shape[2],()=>`Error in conv2d: depth of input (${m.shape[3]}) must match input depth for filter ${f.shape[2]}.`),o(Gn(n,a),()=>`Error in conv2D: Either strides or dilations must be 1. Got strides ${n} and dilations '${a}'`),o("NHWC"===s,()=>`Error in conv2d: got dataFormat of ${s} but only NHWC is currently supported.`);const b=Pn(m.shape,f.shape,n,a,r,i);let y,w;null!=l&&(y=De(l,"bias","fused conv2d"),[y]=ge(y,p),$r(b.outShape,y.shape)),null!=c&&(w=De(c,"prelu weights","fused conv2d"));const k=(e,t)=>{const[s,i,l,c]=t,h=ma(e,l,u);o(Un(a),()=>`Error in gradient of fused conv2D: dilation rates greater than 1 are not yet supported in gradients. Got dilations '${a}'`);const d=[gr(i.shape,h,s,n,r),fa(i,h,s.shape,n,r)];if(null!=c){const e=ga(c,h);d.push(e)}return d},v={x:m,filter:f,bias:y,preluActivationWeights:w},x={strides:n,pad:r,dataFormat:s,dilations:a,dimRoundingMode:i,activation:u,leakyreluAlpha:d};if(null==l){return os((e,t,n)=>{let r=Se.runKernel("FusedConv2D",v,x);return n([t,e,r]),g&&(r=Hn(r,[r.shape[1],r.shape[2],r.shape[3]])),{value:r,gradFunc:k}})(m,f)}return os((e,t,n,r)=>{let s=Se.runKernel("FusedConv2D",v,x);return r([t,e,s,n]),g&&(s=Hn(s,[s.shape[1],s.shape[2],s.shape[3]])),{value:s,gradFunc:k}})(m,f,y)}});const ka=Re({depthwiseConv2dNativeBackpropFilter_:function(e,t,n,r,s,o=[1,1],a){let i=e;3===e.rank&&(i=Hn(e,[1,e.shape[0],e.shape[1],e.shape[2]]));let l=t;3===l.rank&&(l=Hn(t,[1,t.shape[0],t.shape[1],t.shape[2]]));const u={x:i,dy:l},c={strides:r,pad:s,dimRoundingMode:a,dilations:o,filterShape:n};return Se.runKernel("DepthwiseConv2dNativeBackpropFilter",u,c)}});const va=Re({depthwiseConv2dNativeBackpropInput_:function(e,t,n,r,s,o=[1,1],a){let i=t,l=!1;3===t.rank&&(l=!0,i=Hn(t,[1,t.shape[0],t.shape[1],t.shape[2]]));const u={dy:i,filter:n},c={strides:r,pad:s,dimRoundingMode:a,dilations:o,inputShape:e},h=Se.runKernel("DepthwiseConv2dNativeBackpropInput",u,c);return l?Hn(h,[h.shape[1],h.shape[2],h.shape[3]]):h}});const xa=Re({fusedDepthwiseConv2d_:function({x:e,filter:t,strides:n,pad:r,dataFormat:s="NHWC",dilations:a=[1,1],dimRoundingMode:i,bias:l,activation:u="linear",preluActivationWeights:c,leakyreluAlpha:d}){if(!1===ya(Se.state.gradientDepth,u)){let o=Mr(e,t,n,r,s,a,i);return null!=l&&(o=wn(o,l)),ba(o,u,c,d)}const p=De(e,"x","depthwiseConv2d"),f=De(t,"filter","depthwiseConv2d");let m=p,g=!1;3===p.rank&&(g=!0,m=Hn(p,[1,p.shape[0],p.shape[1],p.shape[2]])),o(4===m.rank,()=>`Error in fused depthwiseConv2d: input must be rank 4, but got rank ${m.rank}.`),o(4===f.rank,()=>`Error in fused depthwiseConv2d: filter must be rank 4, but got rank ${f.rank}.`),o(m.shape[3]===f.shape[2],()=>`Error in fused depthwiseConv2d: number of input channels (${m.shape[3]}) must match the inChannels dimension in filter ${f.shape[2]}.`),null==a&&(a=[1,1]),o(Gn(n,a),()=>`Error in fused depthwiseConv2d: Either strides or dilations must be 1. Got strides ${n} and dilations '${a}'`),null!=i&&o(h(r),()=>`Error in fused depthwiseConv2d: pad must be an integer when using dimRoundingMode ${i} but got pad ${r}.`);const b=Pn(m.shape,f.shape,n,a,r,i,!0);let y,w;null!=l&&(y=De(l,"bias","fused conv2d"),[y]=ge(y,p),$r(b.outShape,y.shape)),null!=c&&(w=De(c,"prelu weights","fused depthwiseConv2d"));const k=(e,t)=>{o(Un(a),()=>`Error in gradient of fused depthwiseConv2d: dilation rates greater than 1 are not yet supported. Got dilations '${a}'`);const[s,l,c,h]=t,d=ma(e,c,u),p=va(l.shape,d,s,n,r,a,i),f=ka(l,d,s.shape,n,r,a,i);if(null!=h){return[p,f,ga(y,d)]}return[p,f]},v={x:m,filter:f,bias:y,preluActivationWeights:w},x={strides:n,pad:r,dataFormat:s,dilations:a,dimRoundingMode:i,activation:u,leakyreluAlpha:d};if(null==l){return os((e,t,n)=>{let r=Se.runKernel("FusedDepthwiseConv2D",v,x);return n([t,e,r]),g&&(r=Hn(r,[r.shape[1],r.shape[2],r.shape[3]])),{value:r,gradFunc:k}})(m,f)}return os((e,t,n,r)=>{let s=Se.runKernel("FusedDepthwiseConv2D",v,x);return r([t,e,s,n]),g&&(s=Hn(s,[s.shape[1],s.shape[2],s.shape[3]])),{value:s,gradFunc:k}})(m,f,y)}});const Ea=Re({fusedMatMul_:function({a:e,b:t,transposeA:n=!1,transposeB:r=!1,bias:s,activation:a="linear",preluActivationWeights:i,leakyreluAlpha:l}){if(!1===ya(Se.state.gradientDepth,a)){let o=Rt(e,t,n,r);return null!=s&&(o=wn(o,s)),ba(o,a,i,l)}let h=De(e,"a","fused matMul"),d=De(t,"b","fused matMul");[h,d]=ge(h,d);const p=n?h.shape[h.rank-2]:h.shape[h.rank-1],f=r?d.shape[d.rank-1]:d.shape[d.rank-2],m=n?h.shape[h.rank-1]:h.shape[h.rank-2],g=r?d.shape[d.rank-2]:d.shape[d.rank-1],b=h.shape.slice(0,-2),y=d.shape.slice(0,-2),w=u(b),k=u(y);o(h.rank>=2&&d.rank>=2&&h.rank===d.rank,()=>`Error in fused matMul: inputs must have the same rank of at least 2, got ranks ${h.rank} and ${d.rank}.`),o(c(b,y),()=>`Error in fused matMul: outer dimensions (${b}) and (${y}) of Tensors with shapes ${h.shape} and `+d.shape+" must match."),o(p===f,()=>`Error in fused matMul: inner shapes (${p}) and (${f}) of Tensors with shapes ${h.shape} and ${d.shape} and transposeA=${n} and transposeB=${r} must match.`);const v=h.shape.slice(0,-2).concat([m,g]),x=Hn(h,n?[w,p,m]:[w,m,p]),E=Hn(d,r?[k,g,f]:[k,f,g]);let S,A;null!=s&&(S=De(s,"bias","fused matMul"),[S]=ge(S,h),$r(v,S.shape)),null!=i&&(A=De(i,"prelu weights","fused matMul"));const M=(e,t)=>{const[o,i,l,u]=t,c=ma(Hn(e,l.shape),l,a);let h,d;if(n||r?!n&&r?(h=Rt(c,i,!1,!1),d=Rt(c,o,!0,!1)):n&&!r?(h=Rt(i,c,!1,!0),d=Rt(o,c,!1,!1)):(h=Rt(i,c,!0,!0),d=Rt(c,o,!0,!0)):(h=Rt(c,i,!1,!0),d=Rt(o,c,!0,!1)),null!=s){return[h,d,ga(u,c)]}return[h,d]},N={a:x,b:E,bias:S,preluActivationWeights:A},I={transposeA:n,transposeB:r,activation:a,leakyreluAlpha:l};if(null==s){return os((e,t,n)=>{const r=Se.runKernel("_FusedMatMul",N,I);return n([e,t,r]),{value:Hn(r,v),gradFunc:M}})(x,E)}return os((e,t,n,r)=>{const s=Se.runKernel("_FusedMatMul",N,I);return r([e,t,s,n]),{value:Hn(s,v),gradFunc:M}})(x,E,S)}});var Sa=Object.freeze({__proto__:null,conv2d:wa,depthwiseConv2d:xa,matMul:Ea});const Aa=Re({hammingWindow_:function(e){return da(e,.54,.46)}});const Ma=Re({hannWindow_:function(e){return da(e,.5,.5)}});const Na=Re({frame_:function(e,t,n,r=!1,s=0){let o=0;const a=[];for(;o+t<=e.size;)a.push(Xn(e,o,t)),o+=n;if(r)for(;o<e.size;){const r=o+t-e.size,i=Yn([Xn(e,o,t-r),qr([r],s)]);a.push(i),o+=n}return 0===a.length?Yo([],[0,t]):Hn(Yn(a),[a.length,t])}});const Ia=Re({stft_:function(e,t,n,r,s=Ma){null==r&&(r=ha(t));const o=Na(e,t,n),a=xn(o,s(t)),i=[];for(let e=0;e<o.shape[0];e++)i.push(Ko(Xn(a,[e,0],[1,t]),r));return Yn(i)}});const _a=Re({cropAndResize_:function(e,t,n,r,s="bilinear",a=0){const i=De(e,"image","cropAndResize"),l=De(t,"boxes","cropAndResize","float32"),u=De(n,"boxInd","cropAndResize","int32"),c=l.shape[0];o(4===i.rank,()=>`Error in cropAndResize: image must be rank 4,but got rank ${i.rank}.`),o(2===l.rank&&4===l.shape[1],()=>`Error in cropAndResize: boxes must be have size [${c},4] but had shape ${l.shape}.`),o(1===u.rank&&u.shape[0]===c,()=>`Error in cropAndResize: boxInd must be have size [${c}] but had shape ${l.shape}.`),o(2===r.length,()=>`Error in cropAndResize: cropSize must be of length 2, but got length ${r.length}.`),o(r[0]>=1&&r[1]>=1,()=>"cropSize must be atleast [1,1], but was "+r),o("bilinear"===s||"nearest"===s,()=>"method must be bilinear or nearest, but was "+s);const h={image:i,boxes:l,boxInd:u},d={method:s,extrapolationValue:a,cropSize:r};return Se.runKernel("CropAndResize",h,d)}});const $a=Re({flipLeftRight_:function(e){const t=De(e,"image","flipLeftRight","float32");o(4===t.rank,()=>`Error in flipLeftRight: image must be rank 4,but got rank ${t.rank}.`);const n={image:t};return Se.runKernel("FlipLeftRight",n,{})}});const Da=Re({rotateWithOffset_:function(e,t,n=0,r=.5){const s=De(e,"image","rotateWithOffset","float32");o(4===s.rank,()=>`Error in rotateWithOffset: image must be rank 4,but got rank ${s.rank}.`);const a={image:s},i={radians:t,fillValue:n,center:r};return Se.runKernel("RotateWithOffset",a,i)}});function Ta(e,t,n,r,s,a){null==r&&(r=.5),null==s&&(s=Number.NEGATIVE_INFINITY),null==a&&(a=0);const i=e.shape[0];return n=Math.min(n,i),o(0<=r&&r<=1,()=>`iouThreshold must be in [0, 1], but was '${r}'`),o(2===e.rank,()=>`boxes must be a 2D tensor, but was of rank '${e.rank}'`),o(4===e.shape[1],()=>"boxes must have 4 columns, but 2nd dimension was "+e.shape[1]),o(1===t.rank,()=>"scores must be a 1D tensor"),o(t.shape[0]===i,()=>`scores has incompatible shape with boxes. Expected ${i}, but was `+t.shape[0]),o(0<=a&&a<=1,()=>`softNmsSigma must be in [0, 1], but was '${a}'`),{maxOutputSize:n,iouThreshold:r,scoreThreshold:s,softNmsSigma:a}}const Ra=Re({nonMaxSuppression_:function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY){const o=De(e,"boxes","nonMaxSuppression"),a=De(t,"scores","nonMaxSuppression"),i=Ta(o,a,n,r,s),l={maxOutputSize:n=i.maxOutputSize,iouThreshold:r=i.iouThreshold,scoreThreshold:s=i.scoreThreshold};return Se.runKernel("NonMaxSuppressionV3",{boxes:o,scores:a},l)}});function Ca(e,t,n){const r=function(e,t,n){return function(e,t,n){let r=0,s=e.length,o=0,a=!1;for(;r<s;){o=r+(s-r>>>1);const i=n(t,e[o]);i>0?r=o+1:(s=o,a=!i)}return a?r:-r-1}(e,t,n||Fa)}(e,t,n),s=r<0?-(r+1):r;e.splice(s,0,t)}function Fa(e,t){return e>t?1:e<t?-1:0}function Ba(e,t,n,r,s){return za(e,t,n,r,s,0)}function Pa(e,t,n,r,s,o){return za(e,t,n,r,s,0,!1,o,!0)}function La(e,t,n,r,s,o){return za(e,t,n,r,s,o,!0)}function za(e,t,n,r,s,o,a=!1,i=!1,l=!1){const u=[];for(let e=0;e<t.length;e++)t[e]>s&&u.push({score:t[e],boxIndex:e,suppressBeginIndex:0});u.sort(Wa);const c=o>0?-.5/o:0,h=[],d=[];for(;h.length<n&&u.length>0;){const t=u.pop(),{score:n,boxIndex:o,suppressBeginIndex:a}=t;if(n<s)break;let i=!1;for(let n=h.length-1;n>=a;--n){const a=Oa(e,o,h[n]);if(a>=r){i=!0;break}if(t.score=t.score*Ka(r,c,a),t.score<=s)break}t.suppressBeginIndex=h.length,i||(t.score===n?(h.push(o),d.push(t.score)):t.score>s&&Ca(u,t,Wa))}const p=h.length,f=n-p;i&&f>0&&(h.push(...new Array(f).fill(0)),d.push(...new Array(f).fill(0)));const m={selectedIndices:h};return a&&(m.selectedScores=d),l&&(m.validOutputs=p),m}function Oa(e,t,n){const r=e.subarray(4*t,4*t+4),s=e.subarray(4*n,4*n+4),o=Math.min(r[0],r[2]),a=Math.min(r[1],r[3]),i=Math.max(r[0],r[2]),l=Math.max(r[1],r[3]),u=Math.min(s[0],s[2]),c=Math.min(s[1],s[3]),h=Math.max(s[0],s[2]),d=Math.max(s[1],s[3]),p=(i-o)*(l-a),f=(h-u)*(d-c);if(p<=0||f<=0)return 0;const m=Math.max(o,u),g=Math.max(a,c),b=Math.min(i,h),y=Math.min(l,d),w=Math.max(b-m,0)*Math.max(y-g,0);return w/(p+f-w)}function Ka(e,t,n){const r=Math.exp(t*n*n);return n<=e?r:0}function Wa(e,t){return e.score-t.score||e.score===t.score&&t.boxIndex-e.boxIndex}const qa=async function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY){const o=De(e,"boxes","nonMaxSuppressionAsync"),a=De(t,"scores","nonMaxSuppressionAsync"),i=Ta(o,a,n,r,s);n=i.maxOutputSize,r=i.iouThreshold,s=i.scoreThreshold;const l=await Promise.all([o.data(),a.data()]),u=l[0],c=l[1],{selectedIndices:h}=Ba(u,c,n,r,s);return o!==e&&o.dispose(),a!==t&&a.dispose(),Jo(h,"int32")};const Ua=Re({nonMaxSuppressionWithScore_:function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY,o=0){const a=De(e,"boxes","nonMaxSuppression"),i=De(t,"scores","nonMaxSuppression"),l=Ta(a,i,n,r,s,o),u={boxes:a,scores:i},c={maxOutputSize:n=l.maxOutputSize,iouThreshold:r=l.iouThreshold,scoreThreshold:s=l.scoreThreshold,softNmsSigma:o=l.softNmsSigma},h=Se.runKernel("NonMaxSuppressionV5",u,c);return{selectedIndices:h[0],selectedScores:h[1]}}});const Ga=async function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY,o=0){const a=De(e,"boxes","nonMaxSuppressionAsync"),i=De(t,"scores","nonMaxSuppressionAsync"),l=Ta(a,i,n,r,s,o);n=l.maxOutputSize,r=l.iouThreshold,s=l.scoreThreshold,o=l.softNmsSigma;const u=await Promise.all([a.data(),i.data()]),c=u[0],h=u[1],{selectedIndices:d,selectedScores:p}=La(c,h,n,r,s,o);return a!==e&&a.dispose(),i!==t&&i.dispose(),{selectedIndices:Jo(d,"int32"),selectedScores:Jo(p)}};const Va=Re({nonMaxSuppressionPadded_:function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY,o=!1){const a=De(e,"boxes","nonMaxSuppression"),i=De(t,"scores","nonMaxSuppression"),l=Ta(a,i,n,r,s,null),u={boxes:a,scores:i},c={maxOutputSize:l.maxOutputSize,iouThreshold:l.iouThreshold,scoreThreshold:l.scoreThreshold,padToMaxOutputSize:o},h=Se.runKernel("NonMaxSuppressionV4",u,c);return{selectedIndices:h[0],validOutputs:h[1]}}});const Ha=async function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY,o=!1){const a=De(e,"boxes","nonMaxSuppressionAsync"),i=De(t,"scores","nonMaxSuppressionAsync"),l=Ta(a,i,n,r,s,null),u=l.maxOutputSize,c=l.iouThreshold,h=l.scoreThreshold,[d,p]=await Promise.all([a.data(),i.data()]),{selectedIndices:f,validOutputs:m}=Pa(d,p,u,c,h,o);return a!==e&&a.dispose(),i!==t&&i.dispose(),{selectedIndices:Jo(f,"int32"),validOutputs:Ao(m,"int32")}};const ja=Re({resizeBilinear_:function(e,t,n=!1,r=!1){const s=De(e,"images","resizeBilinear");o(3===s.rank||4===s.rank,()=>`Error in resizeBilinear: x must be rank 3 or 4, but got rank ${s.rank}.`),o(2===t.length,()=>"Error in resizeBilinear: new shape must 2D, but got shape "+t+"."),o(!1===r||!1===n,()=>"Error in resizeBilinear: If halfPixelCenters is true, alignCorners must be false.");let a=s,i=!1;3===s.rank&&(i=!0,a=Hn(s,[1,s.shape[0],s.shape[1],s.shape[2]]));const l={images:a},u={alignCorners:n,halfPixelCenters:r,size:t},c=Se.runKernel("ResizeBilinear",l,u);return i?Hn(c,[c.shape[1],c.shape[2],c.shape[3]]):c}});const Ja=Re({resizeNearestNeighbor_:function(e,t,n=!1,r=!1){const s=De(e,"images","resizeNearestNeighbor");o(3===s.rank||4===s.rank,()=>`Error in resizeNearestNeighbor: x must be rank 3 or 4, but got rank ${s.rank}.`),o(2===t.length,()=>"Error in resizeNearestNeighbor: new shape must 2D, but got shape "+t+"."),o("float32"===s.dtype||"int32"===s.dtype,()=>"`images` must have `int32` or `float32` as dtype"),o(!1===r||!1===n,()=>"Error in resizeNearestNeighbor: If halfPixelCenters is true, alignCorners must be false.");let a=s,i=!1;3===s.rank&&(i=!0,a=Hn(s,[1,s.shape[0],s.shape[1],s.shape[2]]));const l={images:a},u={alignCorners:n,halfPixelCenters:r,size:t},c=Se.runKernel("ResizeNearestNeighbor",l,u);return i?Hn(c,[c.shape[1],c.shape[2],c.shape[3]]):c}});const Ya=Re({bandPart_:function(e,t,n){o(t%1==0,()=>`bandPart(): numLower must be an integer, got ${t}.`),o(n%1==0,()=>`bandPart(): numUpper must be an integer, got ${n}.`);const r=De(e,"a","bandPart");o(r.rank>=2,()=>`bandPart(): Rank must be at least 2, got ${r.rank}.`);const s=r.shape,[a,i]=r.shape.slice(-2);if(!(t<=a))throw new Error(`bandPart(): numLower (${t}) must not be greater than the number of rows (${a}).`);if(!(n<=i))throw new Error(`bandPart(): numUpper (${n}) must not be greater than the number of columns (${i}).`);t<0&&(t=a),n<0&&(n=i);const l=Hn(po(0,a,1,"int32"),[-1,1]),u=po(0,i,1,"int32"),c=hs(l,u),h=ys(es(c,Ao(+t,"int32")),Hr(c,Ao(-n,"int32"))),d=Bs([a,i],r.dtype);return Hn(Go(ta(Hn(r,[-1,a,i])).map(e=>Tr(h,e,d))),s)}});const Za=Re({gramSchmidt_:function(e){let t;if(Array.isArray(e)){t=!1,o(null!=e&&e.length>0,()=>"Gram-Schmidt process: input must not be null, undefined, or empty");const n=e[0].shape[0];for(let t=1;t<e.length;++t)o(e[t].shape[0]===n,()=>`Gram-Schmidt: Non-unique lengths found in the input vectors: (${e[t].shape[0]} vs. ${n})`)}else t=!0,e=Oo(e,e.shape[0],0).map(e=>Uo(e,[0]));o(e.length<=e[0].shape[0],()=>`Gram-Schmidt: Number of vectors (${e.length}) exceeds number of dimensions (${e[0].shape[0]}).`);const n=[],r=e;for(let t=0;t<e.length;++t)n.push(Se.tidy(()=>{let e=r[t];if(t>0)for(let r=0;r<t;++r){const t=xn(ds(xn(n[r],e)),n[r]);e=hs(e,t)}return vn(e,oa(e,"euclidean"))}));return t?Go(n,0):n}});function Xa(e,t=!1){return Se.tidy(()=>{o(2===e.shape.length,()=>`qr2d() requires a 2D Tensor, but got a ${e.shape.length}D Tensor.`);const n=e.shape[0],r=e.shape[1];let s=Wr(n),a=yt(e);const i=Yo([[1]],[1,1]);let l=yt(i);const u=n>=r?r:n;for(let e=0;e<u;++e){const t=a,o=l,u=s;[l,a,s]=Se.tidy(()=>{const t=Xn(a,[e,e],[n-e,1]),o=oa(t),u=Xn(a,[e,e],[1,1]),c=Tr(Vr(u,0),Yo([[-1]]),Yo([[1]])),h=hs(u,xn(c,o)),d=vn(t,h);l=1===d.shape[0]?yt(i):Yn([i,Xn(d,[1,0],[d.shape[0]-1,d.shape[1]])],0);const p=is(vn(Rt(c,h),o)),f=Xn(a,[e,0],[n-e,r]),m=xn(p,l),g=Ft(l);if(0===e)a=hs(f,Rt(m,Rt(g,f)));else{const t=hs(f,Rt(m,Rt(g,f)));a=Yn([Xn(a,[0,0],[e,r]),t],0)}const b=Ft(m),y=Xn(s,[0,e],[n,s.shape[1]-e]);if(0===e)s=hs(y,Rt(Rt(y,l),b));else{const t=hs(y,Rt(Rt(y,l),b));s=Yn([Xn(s,[0,0],[n,e]),t],1)}return[l,a,s]}),bn([t,o,u])}return!t&&n>r&&(s=Xn(s,[0,0],[n,r]),a=Xn(a,[0,0],[r,r])),[s,a]})}const Qa=Re({qr_:function(e,t=!1){if(o(e.rank>=2,()=>"qr() requires input tensor to have a rank >= 2, but got rank "+e.rank),2===e.rank)return Xa(e,t);{const n=e.shape.slice(0,e.shape.length-2).reduce((e,t)=>e*t),r=ta(Hn(e,[n,e.shape[e.shape.length-2],e.shape[e.shape.length-1]]),0),s=[],o=[];return r.forEach(e=>{const[n,r]=Xa(e,t);s.push(n),o.push(r)}),[Hn(Go(s,0),e.shape),Hn(Go(o,0),e.shape)]}}});var ei;(ei=e.Reduction||(e.Reduction={}))[ei.NONE=0]="NONE",ei[ei.MEAN=1]="MEAN",ei[ei.SUM=2]="SUM",ei[ei.SUM_BY_NONZERO_WEIGHTS=3]="SUM_BY_NONZERO_WEIGHTS";const ti=Re({computeWeightedLoss_:function(t,n,r=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const s=De(t,"losses","computeWeightedLoss");let o=null;null!=n&&(o=De(n,"weights","computeWeightedLoss"));const a=null==o?s:xn(s,o);if(r===e.Reduction.NONE)return a;if(r===e.Reduction.SUM)return ds(a);if(r===e.Reduction.MEAN){if(null==o)return Ms(a);{const e=s.size/o.size,t=vn(ds(a),ds(o));return e>1?vn(t,Ao(e)):t}}if(r===e.Reduction.SUM_BY_NONZERO_WEIGHTS){if(null==o)return vn(ds(a),Ao(s.size));{const e=xn(o,Ps(s.shape)),t=bt(ds(Fs(e,Ao(0))),"float32");return vn(ds(a),t)}}throw Error("Unknown reduction: "+r)}});const ni=Re({absoluteDifference_:function(t,n,r,s=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const o=De(t,"labels","absoluteDifference"),i=De(n,"predictions","absoluteDifference");let l=null;null!=r&&(l=De(r,"weights","absoluteDifference")),a(o.shape,i.shape,"Error in absoluteDifference: ");const u=En(hs(o,i));return ti(u,l,s)}});const ri=Re({cosineDistance_:function(t,n,r,s,o=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const i=De(t,"labels","cosineDistance"),l=De(n,"predictions","cosineDistance");let u=null;null!=s&&(u=De(s,"weights","cosineDistance")),a(i.shape,l.shape,"Error in cosineDistance: ");const c=Ao(1),h=hs(c,ds(xn(i,l),r,!0));return ti(h,u,o)}});const si=Re({hingeLoss_:function(t,n,r,s=e.Reduction.SUM_BY_NONZERO_WEIGHTS){let o=De(t,"labels","hingeLoss");const i=De(n,"predictions","hingeLoss");let l=null;null!=r&&(l=De(r,"weights","hingeLoss")),a(o.shape,i.shape,"Error in hingeLoss: ");const u=Ao(1);o=hs(xn(Ao(2),o),u);const c=go(hs(u,xn(o,i)));return ti(c,l,s)}});const oi=Re({huberLoss_:function(t,n,r,s=1,o=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const i=De(t,"labels","huberLoss"),l=De(n,"predictions","huberLoss");let u=null;null!=r&&(u=De(r,"weights","huberLoss")),a(i.shape,l.shape,"Error in huberLoss: ");const c=Ao(s),h=En(hs(l,i)),d=Is(h,c),p=hs(h,d),f=wn(xn(Ao(.5),Ds(d)),xn(c,p));return ti(f,u,o)}});const ai=Re({logLoss_:function(t,n,r,s=1e-7,o=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const i=De(t,"labels","logLoss"),l=De(n,"predictions","logLoss");let u=null;null!=r&&(u=De(r,"weights","logLoss")),a(i.shape,l.shape,"Error in logLoss: ");const c=Ao(1),h=Ao(s),d=is(xn(i,ns(wn(l,h)))),p=xn(hs(c,i),ns(wn(hs(c,l),h))),f=hs(d,p);return ti(f,u,o)}});const ii=Re({meanSquaredError_:function(t,n,r,s=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const o=De(t,"labels","meanSquaredError"),i=De(n,"predictions","meanSquaredError");let l=null;null!=r&&(l=De(r,"weights","meanSquaredError")),a(o.shape,i.shape,"Error in meanSquaredError: ");const u=qo(o,i);return ti(u,l,s)}});const li=Re({sigmoidCrossEntropy_:function(t,n,r,s=0,o=e.Reduction.SUM_BY_NONZERO_WEIGHTS){let i=De(t,"multiClassLabels","sigmoidCrossEntropy");const l=De(n,"logits","sigmoidCrossEntropy");let u=null;if(null!=r&&(u=De(r,"weights","sigmoidCrossEntropy")),a(i.shape,l.shape,"Error in sigmoidCrossEntropy: "),s>0){const e=Ao(s),t=Ao(1),n=Ao(.5);i=wn(xn(i,hs(t,e)),xn(n,e))}const c=function(e,t){const n=De(e,"labels","sigmoidCrossEntropyWithLogits"),r=De(t,"logits","sigmoidCrossEntropyWithLogits");a(n.shape,r.shape,"Error in sigmoidCrossEntropyWithLogits: ");const s=go(r),o=xn(r,n),i=rs(Lr(is(En(r))));return wn(hs(s,o),i)}(i,l);return ti(c,u,o)}});const ui=Re({softmaxCrossEntropy_:function(t,n,r,s=0,o=e.Reduction.SUM_BY_NONZERO_WEIGHTS){let i=De(t,"onehotLabels","softmaxCrossEntropy");const l=De(n,"logits","softmaxCrossEntropy");let u=null;if(null!=r&&(u=De(r,"weights","softmaxCrossEntropy")),a(i.shape,l.shape,"Error in softmaxCrossEntropy: "),s>0){const e=Ao(s),t=Ao(1),n=Ao(i.shape[1]);i=wn(xn(i,hs(t,e)),vn(e,n))}const c=function(e,t,n=-1){if(-1===n&&(n=t.rank-1),n!==t.rank-1)throw Error(`Softmax cross entropy along a non-last dimension is not yet supported. Labels / logits was rank ${t.rank} and dim was `+n);return os((e,t,r)=>{const s=bs(t,[n],!0),o=hs(bt(t,"float32"),s);r([e,o]);const a=is(xn(o,e));return{value:ds(a,[n]),gradFunc:(e,t)=>{const[r,s]=t,o=gs(e.shape,[n]);return[xn(Hn(e,o),hs(bt(r,"float32"),Lr(s))),xn(Hn(e,o),hs(Lr(s),bt(r,"float32")))]}}})(e,t)}(i,l);return ti(c,u,o)}}),ci={fft:Po,ifft:Lo,rfft:Ko,irfft:zo},hi={hammingWindow:Aa,hannWindow:Ma,frame:Na,stft:Ia},di={flipLeftRight:$a,resizeNearestNeighbor:Ja,resizeBilinear:ja,rotateWithOffset:Da,cropAndResize:_a,nonMaxSuppression:Ra,nonMaxSuppressionAsync:qa,nonMaxSuppressionWithScore:Ua,nonMaxSuppressionWithScoreAsync:Ga,nonMaxSuppressionPadded:Va,nonMaxSuppressionPaddedAsync:Ha},pi={bandPart:Ya,gramSchmidt:Za,qr:Qa},fi={absoluteDifference:ni,computeWeightedLoss:ti,cosineDistance:ri,hingeLoss:si,huberLoss:oi,logLoss:ai,meanSquaredError:ii,sigmoidCrossEntropy:li,softmaxCrossEntropy:ui};class mi extends an{minimize(e,t=!1,n){const{value:r,grads:s}=this.computeGradients(e,n);if(null!=n){const e=n.map(e=>({name:e.name,tensor:s[e.name]}));this.applyGradients(e)}else this.applyGradients(s);return bn(s),t?r:(r.dispose(),null)}get iterations(){return null==this.iterations_&&(this.iterations_=0),this.iterations_}incrementIterations(){this.iterations_=this.iterations+1}computeGradients(e,t){return ss(e,t)}dispose(){null!=this.iterations_&&bn(this.iterations_)}async saveIterations(){return null==this.iterations_&&(this.iterations_=0),{name:"iter",tensor:Ao(this.iterations_,"int32")}}async getWeights(){throw new Error("getWeights() is not implemented for this optimizer yet.")}async setWeights(e){throw new Error("setWeights() is not implemented for this optimizer class "+this.getClassName())}async extractIterations(e){return this.iterations_=(await e[0].tensor.data())[0],e.slice(1)}}Object.defineProperty(mi,Symbol.hasInstance,{value:e=>null!=e.minimize&&null!=e.computeGradients&&null!=e.applyGradients});class gi extends mi{constructor(e,t,n=null){super(),this.learningRate=e,this.rho=t,this.epsilon=n,this.accumulatedGrads=[],this.accumulatedUpdates=[],null==n&&(this.epsilon=Se.backend.epsilon())}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=Se.registeredVariables[t];null==this.accumulatedGrads[n]&&(this.accumulatedGrads[n]={originalName:t+"/accum_grad",variable:gn(()=>Rr(r).variable(!1))}),null==this.accumulatedUpdates[n]&&(this.accumulatedUpdates[n]={originalName:t+"/accum_var",variable:gn(()=>Rr(r).variable(!1))});const s=Array.isArray(e)?e[n].tensor:e[t];if(null==s)return;const o=this.accumulatedGrads[n].variable,a=this.accumulatedUpdates[n].variable;gn(()=>{const e=wn(xn(o,this.rho),xn(Ds(s),1-this.rho)),t=xn(vn(Wo(wn(a,this.epsilon)),Wo(wn(o,this.epsilon))),s),n=wn(xn(a,this.rho),xn(Ds(t),1-this.rho));o.assign(e),a.assign(n);const i=wn(xn(t,-this.learningRate),r);r.assign(i)})}),this.incrementIterations()}dispose(){null!=this.accumulatedUpdates&&(bn(this.accumulatedGrads.map(e=>e.variable)),bn(this.accumulatedUpdates.map(e=>e.variable)))}async getWeights(){const e=[...this.accumulatedGrads,...this.accumulatedUpdates];return[await this.saveIterations()].concat(e.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){const t=(e=await this.extractIterations(e)).length/2;this.accumulatedGrads=e.slice(0,t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.accumulatedUpdates=e.slice(t,2*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,rho:this.rho,epsilon:this.epsilon}}static fromConfig(e,t){return new e(t.learningRate,t.rho,t.epsilon)}}gi.className="Adadelta",un(gi);class bi extends mi{constructor(e,t=.1){super(),this.learningRate=e,this.initialAccumulatorValue=t,this.accumulatedGrads=[]}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=Se.registeredVariables[t];if(null==this.accumulatedGrads[n]){const e=!1;this.accumulatedGrads[n]={originalName:t+"/accumulator",variable:gn(()=>qr(r.shape,this.initialAccumulatorValue).variable(e))}}const s=Array.isArray(e)?e[n].tensor:e[t];if(null==s)return;const o=this.accumulatedGrads[n].variable;gn(()=>{const e=wn(o,Ds(s));o.assign(e);const t=wn(xn(vn(s,Wo(wn(e,Se.backend.epsilon()))),-this.learningRate),r);r.assign(t)})}),this.incrementIterations()}dispose(){null!=this.accumulatedGrads&&bn(this.accumulatedGrads.map(e=>e.variable))}async getWeights(){return[await this.saveIterations()].concat(this.accumulatedGrads.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e);this.accumulatedGrads=e.map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,initialAccumulatorValue:this.initialAccumulatorValue}}static fromConfig(e,t){return new e(t.learningRate,t.initialAccumulatorValue)}}bi.className="Adagrad",un(bi);class yi extends mi{constructor(e,t,n,r=null){super(),this.learningRate=e,this.beta1=t,this.beta2=n,this.epsilon=r,this.accumulatedFirstMoment=[],this.accumulatedSecondMoment=[],gn(()=>{this.accBeta1=Ao(t).variable(),this.accBeta2=Ao(n).variable()}),null==r&&(this.epsilon=Se.backend.epsilon())}applyGradients(e){const t=Array.isArray(e)?e.map(e=>e.name):Object.keys(e);gn(()=>{const n=hs(1,this.accBeta1),r=hs(1,this.accBeta2);t.forEach((t,s)=>{const o=Se.registeredVariables[t];null==this.accumulatedFirstMoment[s]&&(this.accumulatedFirstMoment[s]={originalName:t+"/m",variable:gn(()=>Rr(o).variable(!1))}),null==this.accumulatedSecondMoment[s]&&(this.accumulatedSecondMoment[s]={originalName:t+"/v",variable:gn(()=>Rr(o).variable(!1))});const a=Array.isArray(e)?e[s].tensor:e[t];if(null==a)return;const i=this.accumulatedFirstMoment[s].variable,l=this.accumulatedSecondMoment[s].variable,u=wn(xn(i,this.beta1),xn(a,1-this.beta1)),c=wn(xn(l,this.beta2),xn(Ds(a),1-this.beta2)),h=vn(u,n),d=vn(c,r);i.assign(u),l.assign(c);const p=wn(xn(vn(h,wn(Wo(d),this.epsilon)),-this.learningRate),o);o.assign(p)}),this.accBeta1.assign(xn(this.accBeta1,this.beta1)),this.accBeta2.assign(xn(this.accBeta2,this.beta2))}),this.incrementIterations()}dispose(){this.accBeta1.dispose(),this.accBeta2.dispose(),null!=this.accumulatedFirstMoment&&bn(this.accumulatedFirstMoment.map(e=>e.variable)),null!=this.accumulatedSecondMoment&&bn(this.accumulatedSecondMoment.map(e=>e.variable))}async getWeights(){const e=[...this.accumulatedFirstMoment,...this.accumulatedSecondMoment];return[await this.saveIterations()].concat(e.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e),gn(()=>{this.accBeta1.assign(Hs(this.beta1,this.iterations_+1)),this.accBeta2.assign(Hs(this.beta2,this.iterations_+1))});const t=e.length/2;this.accumulatedFirstMoment=e.slice(0,t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.accumulatedSecondMoment=e.slice(t,2*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,beta1:this.beta1,beta2:this.beta2,epsilon:this.epsilon}}static fromConfig(e,t){return new e(t.learningRate,t.beta1,t.beta2,t.epsilon)}}yi.className="Adam",un(yi);class wi extends mi{constructor(e,t,n,r=null,s=0){super(),this.learningRate=e,this.beta1=t,this.beta2=n,this.epsilon=r,this.decay=s,this.accumulatedFirstMoment=[],this.accumulatedWeightedInfNorm=[],gn(()=>{this.iteration=Ao(0).variable(),this.accBeta1=Ao(t).variable()}),null==r&&(this.epsilon=Se.backend.epsilon())}applyGradients(e){const t=Array.isArray(e)?e.map(e=>e.name):Object.keys(e);gn(()=>{const n=hs(1,this.accBeta1),r=vn(-this.learningRate,wn(xn(this.iteration,this.decay),1));t.forEach((t,s)=>{const o=Se.registeredVariables[t];null==this.accumulatedFirstMoment[s]&&(this.accumulatedFirstMoment[s]={originalName:t+"/m",variable:Rr(o).variable(!1)}),null==this.accumulatedWeightedInfNorm[s]&&(this.accumulatedWeightedInfNorm[s]={originalName:t+"/v",variable:Rr(o).variable(!1)});const a=Array.isArray(e)?e[s].tensor:e[t];if(null==a)return;const i=this.accumulatedFirstMoment[s].variable,l=this.accumulatedWeightedInfNorm[s].variable,u=wn(xn(i,this.beta1),xn(a,1-this.beta1)),c=xn(l,this.beta2),h=En(a),d=As(c,h);i.assign(u),l.assign(d);const p=wn(xn(vn(r,n),vn(u,wn(d,this.epsilon))),o);o.assign(p)}),this.iteration.assign(wn(this.iteration,1)),this.accBeta1.assign(xn(this.accBeta1,this.beta1))}),this.incrementIterations()}dispose(){this.accBeta1.dispose(),this.iteration.dispose(),null!=this.accumulatedFirstMoment&&bn(this.accumulatedFirstMoment.map(e=>e.variable)),null!=this.accumulatedWeightedInfNorm&&bn(this.accumulatedWeightedInfNorm.map(e=>e.variable))}async getWeights(){throw new Error("getWeights() is not implemented for Adamax yet.")}async setWeights(e){throw new Error("setWeights() is not implemented for Adamax yet.")}getConfig(){return{learningRate:this.learningRate,beta1:this.beta1,beta2:this.beta2,epsilon:this.epsilon,decay:this.decay}}static fromConfig(e,t){return new e(t.learningRate,t.beta1,t.beta2,t.epsilon,t.decay)}}wi.className="Adamax",un(wi);class ki extends mi{constructor(e){super(),this.learningRate=e,this.setLearningRate(e)}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=Array.isArray(e)?e[n].tensor:e[t];if(null==r)return;const s=Se.registeredVariables[t];gn(()=>{const e=wn(xn(this.c,r),s);s.assign(e)})}),this.incrementIterations()}setLearningRate(e){this.learningRate=e,null!=this.c&&this.c.dispose(),this.c=yn(Ao(-e))}dispose(){this.c.dispose()}async getWeights(){return[await this.saveIterations()]}async setWeights(e){if(0!==(e=await this.extractIterations(e)).length)throw new Error("SGD optimizer does not have settable weights.")}getConfig(){return{learningRate:this.learningRate}}static fromConfig(e,t){return new e(t.learningRate)}}ki.className="SGD",un(ki);class vi extends ki{constructor(e,t,n=!1){super(e),this.learningRate=e,this.momentum=t,this.useNesterov=n,this.accumulations=[],this.m=Ao(this.momentum)}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=Se.registeredVariables[t];if(null==this.accumulations[n]){const e=!1;this.accumulations[n]={originalName:t+"/momentum",variable:gn(()=>Rr(r).variable(e))}}const s=this.accumulations[n].variable,o=Array.isArray(e)?e[n].tensor:e[t];null!=o&&gn(()=>{let e;const t=wn(xn(this.m,s),o);e=this.useNesterov?wn(xn(this.c,wn(o,xn(t,this.m))),r):wn(xn(this.c,t),r),s.assign(t),r.assign(e)})}),this.incrementIterations()}dispose(){this.m.dispose(),null!=this.accumulations&&bn(this.accumulations.map(e=>e.variable))}setMomentum(e){this.momentum=e}async getWeights(){return[await this.saveIterations()].concat(this.accumulations.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e);this.accumulations=e.map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,momentum:this.momentum,useNesterov:this.useNesterov}}static fromConfig(e,t){return new e(t.learningRate,t.momentum,t.useNesterov)}}vi.className="Momentum",un(vi);class xi extends mi{constructor(e,t=.9,n=0,r=null,s=!1){if(super(),this.learningRate=e,this.decay=t,this.momentum=n,this.epsilon=r,this.accumulatedMeanSquares=[],this.accumulatedMoments=[],this.accumulatedMeanGrads=[],this.centered=s,null==r&&(this.epsilon=Se.backend.epsilon()),null==e)throw new Error("learningRate for RMSPropOptimizer must be defined.")}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=Se.registeredVariables[t];null==this.accumulatedMeanSquares[n]&&(this.accumulatedMeanSquares[n]={originalName:t+"/rms",variable:gn(()=>Rr(r).variable(!1))}),null==this.accumulatedMoments[n]&&(this.accumulatedMoments[n]={originalName:t+"/momentum",variable:gn(()=>Rr(r).variable(!1))}),null==this.accumulatedMeanGrads[n]&&this.centered&&(this.accumulatedMeanGrads[n]={originalName:t+"/mg",variable:gn(()=>Rr(r).variable(!1))});const s=Array.isArray(e)?e[n].tensor:e[t];if(null==s)return;const o=this.accumulatedMeanSquares[n].variable,a=this.accumulatedMoments[n].variable;gn(()=>{const e=wn(xn(o,this.decay),xn(Ds(s),1-this.decay));if(this.centered){const t=this.accumulatedMeanGrads[n].variable,i=wn(xn(t,this.decay),xn(s,1-this.decay)),l=vn(xn(s,this.learningRate),Wo(hs(e,wn(Ds(i),this.epsilon)))),u=wn(xn(a,this.momentum),l);o.assign(e),t.assign(i),a.assign(u);const c=hs(r,u);r.assign(c)}else{const e=wn(xn(o,this.decay),xn(Ds(s),1-this.decay)),t=wn(xn(a,this.momentum),vn(xn(s,this.learningRate),Wo(wn(e,this.epsilon))));o.assign(e),a.assign(t);const n=hs(r,t);r.assign(n)}})}),this.incrementIterations()}dispose(){null!=this.accumulatedMeanSquares&&bn(this.accumulatedMeanSquares.map(e=>e.variable)),null!=this.accumulatedMeanGrads&&this.centered&&bn(this.accumulatedMeanGrads.map(e=>e.variable)),null!=this.accumulatedMoments&&bn(this.accumulatedMoments.map(e=>e.variable))}async getWeights(){const e=[...this.accumulatedMeanSquares,...this.accumulatedMoments];return this.centered&&e.push(...this.accumulatedMeanGrads),[await this.saveIterations()].concat(e.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e);const t=this.centered?e.length/3:e.length/2;this.accumulatedMeanSquares=e.slice(0,t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.accumulatedMoments=e.slice(t,2*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.centered&&(this.accumulatedMeanGrads=e.slice(2*t,3*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})))}getConfig(){return{learningRate:this.learningRate,decay:this.decay,momentum:this.momentum,epsilon:this.epsilon,centered:this.centered}}static fromConfig(e,t){return new e(t.learningRate,t.decay,t.momentum,t.epsilon,t.centered)}}xi.className="RMSProp",un(xi);class Ei{static sgd(e){return new ki(e)}static momentum(e,t,n=!1){return new vi(e,t,n)}static rmsprop(e,t=.9,n=0,r=null,s=!1){return new xi(e,t,n,r,s)}static adam(e=.001,t=.9,n=.999,r=null){return new yi(e,t,n,r)}static adadelta(e=.001,t=.95,n=null){return new gi(e,t,n)}static adamax(e=.002,t=.9,n=.999,r=null,s=0){return new wi(e,t,n,r,s)}static adagrad(e,t=.1){return new bi(e,t)}}const Si={sgd:Ei.sgd,momentum:Ei.momentum,adadelta:Ei.adadelta,adagrad:Ei.adagrad,rmsprop:Ei.rmsprop,adamax:Ei.adamax,adam:Ei.adam},Ai="undefined"!=typeof requestAnimationFrame?requestAnimationFrame:"undefined"!=typeof setImmediate?setImmediate:e=>e();var Mi=Object.freeze({__proto__:null,segOpComputeOptimalWindowSize:function(e,t){let n,r=!1;for(e<=30?(n=e,r=!0):n=N(e,Math.floor(Math.sqrt(e)));!r;)n>t||n===e?r=!0:n=N(e,n+1);return n},computeOutShape:function(e,t,n){const r=[],s=e.length;for(let o=0;o<s;o++)o!==t?r.push(e[o]):r.push(n);return r},collectGatherOpShapeInfo:function(e,t,n,r){const s=t.shape.length,o=e.shape.length;if(0!==r&&(r<-s||r>s))throw new Error(`Expect batchDims in the range of [-${s}, ${s}], but got ${r}`);if(r<0&&(r+=s),r>o)throw new Error(`batchDims (${r}) must be less than rank(x) (\n    ${o}).`);if(n<r)throw new Error(`batchDims (${r}) must be less than or equal to axis (${n}).`);for(let n=0;n<r;++n)if(e.shape[n]!==t.shape[n])throw new Error(`x.shape[${n}]: ${e.shape[n]} should be equal to indices.shape[${n}]: ${t.shape[n]}.`);const a=e.shape[n],i=[];let l=1,u=1,c=1;for(let t=0;t<r;++t)i.push(e.shape[t]),l*=e.shape[t];for(let t=r;t<n;t++)i.push(e.shape[t]),u*=e.shape[t];for(let e=r;e<s;e++)i.push(t.shape[e]);for(let t=n+1;t<o;t++)i.push(e.shape[t]),c*=e.shape[t];return{batchSize:l,sliceSize:c,outerSize:u,dimSize:a,outputShape:i}}});var Ni=Object.freeze({__proto__:null,slice_util:on,segment_util:Mi,fromUint8ToStringArray:function(e){try{return e.map(e=>J(e))}catch(e){throw new Error("Failed to decode encoded string bytes into utf-8, error: "+e)}},fromStringArrayToUint8:function(e){return e.map(e=>j(e))},upcastType:me,axesAreInnerMostDims:fs,combineLocations:ms,computeOutAndReduceShapes:function(e,t){const n=[],r=e.length;for(let s=0;s<r;s++)-1===t.indexOf(s)&&n.push(e[s]);return[n,t.map(t=>e[t])]},expandShapeToKeepDim:gs,assertAxesAreInnerMostDims:function(e,t,n){o(fs(t,n),()=>e+" supports only inner-most axes for now. "+`Got axes ${t} and rank-${n} input.`)},getAxesPermutation:function(e,t){if(fs(e,t))return null;const n=[];for(let r=0;r<t;++r)-1===e.indexOf(r)&&n.push(r);return e.forEach(e=>n.push(e)),n},getUndoAxesPermutation:function(e){return e.map((e,t)=>[t,e]).sort((e,t)=>e[1]-t[1]).map(e=>e[0])},getInnerMostAxes:function(e,t){const n=[];for(let r=t-e;r<t;++r)n.push(r);return n},getBroadcastDims:function(e,t){const n=e.length,r=[];for(let s=0;s<n;s++){const o=n-1-s,a=e[o]||1;(t[t.length-1-s]||1)>1&&1===a&&r.unshift(o)}return r},getReductionAxes:_r,assertAndGetBroadcastShape:$r,assertParamsConsistent:function(e,t){const n=e[0].length;e.forEach((e,t)=>{o(e.length===n,()=>`Error in concat${n}D: rank of tensors[${t}] must be the same as the rank of the rest (${n})`)}),o(t>=0&&t<n,()=>`Error in concat${n}D: axis must be between 0 and ${n-1}.`);const r=e[0];e.forEach((e,s)=>{for(let a=0;a<n;a++)o(a===t||e[a]===r[a],()=>`Error in concat${n}D: Shape of tensors[${s}] (${e}) does not match the shape of the rest (${r}) along the non-concatenated axis ${s}.`)})},computeOutShape:function(e,t){const n=e[0].slice();for(let r=1;r<e.length;r++)n[t]+=e[r][t];return n},computeDilation2DInfo:function(e,t,n,r,s="NHWC",o){return Pn(e,[...t,e[3]],n,o,r,null,null,Vn(s))},computePool2DInfo:Bn,computePool3DInfo:function(e,t,n,r,s,o,a="NDHWC"){const[i,l,u]=Kn(t);let c,h;if("NDHWC"===a)h="channelsLast",c=[i,l,u,e[4],e[4]];else{if("NCDHW"!==a)throw new Error("Unknown dataFormat "+a);h="channelsFirst",c=[i,l,u,e[1],e[1]]}return Ln(e,c,n,r,s,!1,h,o)},computeConv2DInfo:Pn,computeConv3DInfo:Ln,computeDefaultPad:zn,tupleValuesAreOne:Un,eitherStridesOrDilationsAreOne:Gn,convertConv2DDataFormat:Vn,getFusedDyActivation:ma,getFusedBiasGradient:ga,applyActivation:ba,shouldFuse:ya,PARALLELIZE_THRESHOLD:30,computeOptimalWindowSize:function(e){return e<=30?e:N(e,Math.floor(Math.sqrt(e)))},getImageCenter:function(e,t,n){return[n*("number"==typeof e?e:e[0]),t*("number"==typeof e?e:e[1])]},getReshaped:function(e,t,n,r=!0){let s=[];if(r)s=s.concat(t.slice(0)),s.push(e[0]/n),s=s.concat(e.slice(1));else{s=s.concat(e[0]);const n=t.length;for(let r=0;r<n;++r)s=s.concat([e[r+1]/t[r],t[r]]);s=s.concat(e.slice(n+1))}return s},getPermuted:function(e,t,n=!0){const r=[];if(n){r.push(t);for(let n=t+1;n<e;++n)n<=2*t?(r.push(n),r.push(n-(t+1))):r.push(n)}else{const n=[],s=[];for(let r=1;r<e;++r)r>=2*t+1||r%2==1?s.push(r):n.push(r);r.push(...n),r.push(0),r.push(...s)}return r},getReshapedPermuted:function(e,t,n,r=!0){const s=[];r?s.push(e[0]/n):s.push(e[0]*n);for(let n=1;n<e.length;++n)n<=t.length?r?s.push(t[n-1]*e[n]):s.push(e[n]/t[n-1]):s.push(e[n]);return s},getSliceBeginCoords:function(e,t){const n=[0];for(let r=0;r<t;++r)n.push(e[r][0]);return n},getSliceSize:function(e,t,n){const r=e.slice(0,1);for(let s=0;s<n;++s)r.push(e[s+1]-t[s][0]-t[s][1]);return r},prepareAndValidate:Wt,validateUpdateShape:Ut,validateInput:Gt,calculateShapes:Vt,SELU_SCALEALPHA:1.7580993408473768,SELU_SCALE:1.0507009873554805,ERF_P:.3275911,ERF_A1:.254829592,ERF_A2:-.284496736,ERF_A3:1.421413741,ERF_A4:-1.453152027,ERF_A5:1.061405429,warn:function(...e){F().getBool("IS_TEST")||console.warn(...e)},log:function(...e){F().getBool("IS_TEST")||console.log(...e)},mergeRealAndImagArrays:function(e,t){if(e.length!==t.length)throw new Error(`Cannot merge real and imag arrays of different lengths. real:${e.length}, imag: ${t.length}.`);const n=new Float32Array(2*e.length);for(let r=0;r<n.length;r+=2)n[r]=e[r/2],n[r+1]=t[r/2];return n},splitRealAndImagArrays:function(e){const t=new Float32Array(e.length/2),n=new Float32Array(e.length/2);for(let r=0;r<e.length;r+=2)t[r/2]=e[r],n[r/2]=e[r+1];return{real:t,imag:n}},complexWithEvenIndex:function(e){const t=Math.ceil(e.length/4),n=new Float32Array(t),r=new Float32Array(t);for(let t=0;t<e.length;t+=4)n[Math.floor(t/4)]=e[t],r[Math.floor(t/4)]=e[t+1];return{real:n,imag:r}},complexWithOddIndex:function(e){const t=Math.floor(e.length/4),n=new Float32Array(t),r=new Float32Array(t);for(let t=2;t<e.length;t+=4)n[Math.floor(t/4)]=e[t],r[Math.floor(t/4)]=e[t+1];return{real:n,imag:r}},getComplexWithIndex:function(e,t){return{real:e[2*t],imag:e[2*t+1]}},assignToTypedArray:function(e,t,n,r){e[2*r]=t,e[2*r+1]=n},exponents:function(e,t){const n=new Float32Array(e/2),r=new Float32Array(e/2);for(let s=0;s<Math.ceil(e/2);s++){const o=(t?2:-2)*Math.PI*(s/e);n[s]=Math.cos(o),r[s]=Math.sin(o)}return{real:n,imag:r}},exponent:function(e,t,n){const r=(n?2:-2)*Math.PI*(e/t);return{real:Math.cos(r),imag:Math.sin(r)}},prepareSplitSize:function(e,t,n=0){let r=[];if("number"==typeof t)o(e.shape[n]%t==0,()=>"Number of splits must evenly divide the axis."),r=new Array(t).fill(e.shape[n]/t);else{o(t.reduce((e,t)=>(-1===t&&(e+=1),e),0)<=1,()=>"There should be only one negative value in split array.");const s=t.indexOf(-1);if(-1!==s){const r=t.reduce((e,t)=>t>0?e+t:e);t[s]=e.shape[n]-r}o(e.shape[n]===t.reduce((e,t)=>e+t),()=>"The sum of sizes must match the size of the axis dimension."),r=t}return r}}),Ii=Object.freeze({__proto__:null,nonMaxSuppressionV3Impl:Ba,nonMaxSuppressionV4Impl:Pa,nonMaxSuppressionV5Impl:La,whereImpl:na});e.Abs="Abs",e.Acos="Acos",e.Acosh="Acosh",e.AdadeltaOptimizer=gi,e.AdagradOptimizer=bi,e.AdamOptimizer=yi,e.AdamaxOptimizer=wi,e.Add="Add",e.AddN="AddN",e.All="All",e.Any="Any",e.ArgMax="ArgMax",e.ArgMin="ArgMin",e.Asin="Asin",e.Asinh="Asinh",e.Atan="Atan",e.Atan2="Atan2",e.Atanh="Atanh",e.AvgPool="AvgPool",e.AvgPool3D="AvgPool3D",e.AvgPool3DGrad="AvgPool3DGrad",e.AvgPoolGrad="AvgPoolGrad",e.BatchMatMul="BatchMatMul",e.BatchToSpaceND="BatchToSpaceND",e.Bincount="Bincount",e.BroadcastTo="BroadcastTo",e.Cast="Cast",e.Ceil="Ceil",e.ClipByValue="ClipByValue",e.Complex="Complex",e.ComplexAbs="ComplexAbs",e.Concat="Concat",e.Conv2D="Conv2D",e.Conv2DBackpropFilter="Conv2DBackpropFilter",e.Conv2DBackpropInput="Conv2DBackpropInput",e.Conv3D="Conv3D",e.Conv3DBackpropFilterV2="Conv3DBackpropFilterV2",e.Conv3DBackpropInputV2="Conv3DBackpropInputV2",e.Cos="Cos",e.Cosh="Cosh",e.CropAndResize="CropAndResize",e.Cumsum="Cumsum",e.DataStorage=class{constructor(e,t){this.backend=e,this.dataMover=t,this.data=new WeakMap,this.dataIdsCount=0}get(e){return this.data.has(e)||this.dataMover.moveData(this.backend,e),this.data.get(e)}set(e,t){this.dataIdsCount++,this.data.set(e,t)}has(e){return this.data.has(e)}delete(e){return this.dataIdsCount--,this.data.delete(e)}numDataIds(){return this.dataIdsCount}},e.DenseBincount="DenseBincount",e.DepthToSpace="DepthToSpace",e.DepthwiseConv2dNative="DepthwiseConv2dNative",e.DepthwiseConv2dNativeBackpropFilter="DepthwiseConv2dNativeBackpropFilter",e.DepthwiseConv2dNativeBackpropInput="DepthwiseConv2dNativeBackpropInput",e.Diag="Diag",e.Dilation2D="Dilation2D",e.Dilation2DBackpropFilter="Dilation2DBackpropFilter",e.Dilation2DBackpropInput="Dilation2DBackpropInput",e.Elu="Elu",e.EluGrad="EluGrad",e.Environment=C,e.Equal="Equal",e.Erf="Erf",e.Exp="Exp",e.ExpandDims="ExpandDims",e.Expm1="Expm1",e.FFT="FFT",e.Fill="Fill",e.FlipLeftRight="FlipLeftRight",e.Floor="Floor",e.FloorDiv="FloorDiv",e.FromPixels="FromPixels",e.FusedBatchNorm="FusedBatchNorm",e.FusedConv2D="FusedConv2D",e.FusedDepthwiseConv2D="FusedDepthwiseConv2D",e.GatherNd="GatherNd",e.GatherV2="GatherV2",e.Greater="Greater",e.GreaterEqual="GreaterEqual",e.IFFT="IFFT",e.Identity="Identity",e.Imag="Imag",e.IsFinite="IsFinite",e.IsInf="IsInf",e.IsNan="IsNan",e.KernelBackend=t,e.LRN="LRN",e.LRNGrad="LRNGrad",e.LeakyRelu="LeakyRelu",e.Less="Less",e.LessEqual="LessEqual",e.LinSpace="LinSpace",e.Log="Log",e.Log1p="Log1p",e.LogSoftmax="LogSoftmax",e.LogicalAnd="LogicalAnd",e.LogicalNot="LogicalNot",e.LogicalOr="LogicalOr",e.Max="Max",e.MaxPool="MaxPool",e.MaxPool3D="MaxPool3D",e.MaxPool3DGrad="MaxPool3DGrad",e.MaxPoolGrad="MaxPoolGrad",e.MaxPoolWithArgmax="MaxPoolWithArgmax",e.Maximum="Maximum",e.Mean="Mean",e.Min="Min",e.Minimum="Minimum",e.MirrorPad="MirrorPad",e.Mod="Mod",e.MomentumOptimizer=vi,e.Multinomial="Multinomial",e.Multiply="Multiply",e.Neg="Neg",e.NonMaxSuppressionV3="NonMaxSuppressionV3",e.NonMaxSuppressionV4="NonMaxSuppressionV4",e.NonMaxSuppressionV5="NonMaxSuppressionV5",e.NotEqual="NotEqual",e.OP_SCOPE_SUFFIX="__op",e.OneHot="OneHot",e.OnesLike="OnesLike",e.Optimizer=mi,e.Pack="Pack",e.PadV2="PadV2",e.Pool="Pool",e.Pow="Pow",e.Prelu="Prelu",e.Prod="Prod",e.RMSPropOptimizer=xi,e.Range="Range",e.Real="Real",e.RealDiv="RealDiv",e.Reciprocal="Reciprocal",e.Relu="Relu",e.Relu6="Relu6",e.Reshape="Reshape",e.ResizeBilinear="ResizeBilinear",e.ResizeBilinearGrad="ResizeBilinearGrad",e.ResizeNearestNeighbor="ResizeNearestNeighbor",e.ResizeNearestNeighborGrad="ResizeNearestNeighborGrad",e.Reverse="Reverse",e.RotateWithOffset="RotateWithOffset",e.Round="Round",e.Rsqrt="Rsqrt",e.SGDOptimizer=ki,e.ScatterNd="ScatterNd",e.Select="Select",e.Selu="Selu",e.Sigmoid="Sigmoid",e.Sign="Sign",e.Sin="Sin",e.Sinh="Sinh",e.Slice="Slice",e.Softmax="Softmax",e.Softplus="Softplus",e.SpaceToBatchND="SpaceToBatchND",e.SparseToDense="SparseToDense",e.SplitV="SplitV",e.Sqrt="Sqrt",e.Square="Square",e.SquaredDifference="SquaredDifference",e.Step="Step",e.StridedSlice="StridedSlice",e.Sub="Sub",e.Sum="Sum",e.Tan="Tan",e.Tanh="Tanh",e.Tensor=ie,e.TensorBuffer=se,e.Tile="Tile",e.TopK="TopK",e.Transpose="Transpose",e.Unique="Unique",e.Unpack="Unpack",e.UnsortedSegmentSum="UnsortedSegmentSum",e.Variable=le,e.ZerosLike="ZerosLike",e._FusedMatMul="_FusedMatMul",e.abs=En,e.acos=Sn,e.acosh=An,e.add=wn,e.addN=Mn,e.all=Nn,e.any=In,e.argMax=_n,e.argMin=$n,e.asin=Dn,e.asinh=Tn,e.atan=Rn,e.atan2=Cn,e.atanh=Fn,e.avgPool=jn,e.avgPool3d=Jn,e.backend=function(){return Se.backend},e.backend_util=Ni,e.basicLSTMCell=er,e.batchNorm=nr,e.batchNorm2d=rr,e.batchNorm3d=sr,e.batchNorm4d=or,e.batchToSpaceND=tr,e.bincount=ar,e.booleanMaskAsync=sa,e.broadcastTo=ir,e.browser=Kt,e.buffer=gt,e.cast=bt,e.ceil=lr,e.clipByValue=ur,e.clone=yt,e.complex=Ce,e.concat=Yn,e.concat1d=cr,e.concat2d=hr,e.concat3d=dr,e.concat4d=pr,e.conv1d=mr,e.conv2d=fr,e.conv2dTranspose=br,e.conv3d=yr,e.conv3dTranspose=kr,e.copyRegisteredKernels=function(e,t){q(e).forEach(e=>{U(Object.assign({},e,{backendName:t}))})},e.cos=vr,e.cosh=xr,e.cosineWindow=da,e.cumsum=Er,e.customGrad=os,e.denseBincount=Sr,e.deprecationWarn=mn,e.depthToSpace=Ar,e.depthwiseConv2d=Mr,e.device_util=Ne,e.diag=Nr,e.dilation2d=Ir,e.disableDeprecationWarnings=function(){F().set("DEPRECATION_WARNINGS_ENABLED",!1),console.warn("TensorFlow.js deprecation warnings have been disabled.")},e.dispose=bn,e.disposeVariables=function(){Se.disposeVariables()},e.div=vn,e.divNoNan=Cr,e.dot=Fr,e.dropout=ca,e.elu=Br,e.enableDebugMode=function(){F().set("DEBUG",!0)},e.enableProdMode=function(){F().set("PROD",!0)},e.enclosingPowerOfTwo=ha,e.engine=function(){return Se},e.env=F,e.equal=Dr,e.erf=Pr,e.exp=Lr,e.expandDims=zr,e.expm1=Or,e.eye=Wr,e.fft=Po,e.fill=qr,e.findBackend=function(e){return Se.findBackend(e)},e.findBackendFactory=function(e){return Se.findBackendFactory(e)},e.floor=Ur,e.floorDiv=kn,e.fused=Sa,e.gather=Gr,e.gatherND=ua,e.gather_util=qt,e.getBackend=function(){return Se.backendName},e.getGradient=W,e.getKernel=K,e.getKernelsForBackend=q,e.grad=function(e){return o(M(e),()=>"The f passed in grad(f) must be a function"),(t,n)=>{const r=De(t,"x","tf.grad","string_or_numeric"),s=null!=n?De(n,"dy","tf.grad"):null;return Se.tidy(()=>{const{value:t,grads:n}=Se.gradients(()=>e(r),[r],s);return null!=s&&a(t.shape,s.shape,"The shape of dy passed in grad(f)(x, dy) must match the shape returned by f(x)"),as(n),n[0]})}},e.grads=function(e){return o(M(e),()=>"The f passed in grads(f) must be a function"),(t,n)=>{o(Array.isArray(t),()=>"The args passed in grads(f)(args) must be an array of `Tensor`s or `TensorLike`s");const r=Te(t,"args","tf.grads","string_or_numeric"),s=null!=n?De(n,"dy","tf.grads"):null;return Se.tidy(()=>{const{value:t,grads:n}=Se.gradients(()=>e(...r),r,s);return null!=s&&a(t.shape,s.shape,"The shape of dy passed in grads(f)([x1,...], dy) must match the shape returned by f([x1,...])"),as(n),n})}},e.greater=Vr,e.greaterEqual=Hr,e.ifft=Lo,e.imag=jr,e.image=di,e.inTopKAsync=pa,e.io=Tt,e.irfft=zo,e.isFinite=Jr,e.isInf=Yr,e.isNaN=Zr,e.keep=yn,e.kernel_impls=Ii,e.leakyRelu=Xr,e.less=Qr,e.lessEqual=es,e.linalg=pi,e.linspace=function(e,t,n){if(n<=0)throw new Error("The number of values should be positive.");const r={start:e,stop:t,num:n};return Se.runKernel("LinSpace",{},r)},e.localResponseNormalization=ts,e.log=ns,e.log1p=rs,e.logSigmoid=us,e.logSoftmax=ps,e.logSumExp=bs,e.logicalAnd=ys,e.logicalNot=ws,e.logicalOr=ks,e.logicalXor=vs,e.losses=fi,e.matMul=Rt,e.math=Pt,e.max=cs,e.maxPool=xs,e.maxPool3d=Es,e.maxPoolWithArgmax=Ss,e.maximum=As,e.mean=Ms,e.memory=function(){return Se.memory()},e.min=Ns,e.minimum=Is,e.mirrorPad=_s,e.mod=$s,e.moments=Ts,e.movingAverage=aa,e.mul=xn,e.multiRNNCell=Rs,e.multinomial=Cs,e.neg=is,e.nextFrame=function(){return new Promise(e=>Ai(()=>e()))},e.norm=oa,e.notEqual=Fs,e.oneHot=Ct,e.ones=Ps,e.onesLike=Ls,e.op=Re,e.outerProduct=zs,e.pad=Os,e.pad1d=Ks,e.pad2d=Ws,e.pad3d=qs,e.pad4d=Us,e.pool=Vs,e.pow=Hs,e.prelu=js,e.print=wt,e.prod=Js,e.profile=function(e){return Se.profile(e)},e.rand=Ys,e.randomGamma=uo,e.randomNormal=co,e.randomUniform=ho,e.range=po,e.ready=function(){return Se.ready()},e.real=fo,e.reciprocal=mo,e.registerBackend=function(e,t,n=1){return Se.registerBackend(e,t,n)},e.registerGradient=function(e){const{kernelName:t}=e;O.has(t)&&F().getBool("DEBUG")&&console.warn(`Overriding the gradient for '${t}'`),O.set(t,e)},e.registerKernel=U,e.relu=go,e.relu6=bo,e.removeBackend=function(e){Se.removeBackend(e)},e.reshape=Hn,e.reverse=yo,e.reverse1d=wo,e.reverse2d=ko,e.reverse3d=vo,e.reverse4d=xo,e.rfft=Ko,e.round=Eo,e.rsqrt=So,e.scalar=Ao,e.scatterND=ia,e.scatter_util=Ht,e.selu=Mo,e.separableConv2d=No,e.serialization=cn,e.setBackend=function(e){return Se.setBackend(e)},e.setPlatform=function(e,t){F().setPlatform(e,t)},e.setdiff1dAsync=Io,e.sigmoid=Zn,e.sign=_o,e.signal=hi,e.sin=$o,e.sinh=Do,e.slice=Xn,e.slice1d=To,e.slice2d=Ro,e.slice3d=Co,e.slice4d=Fo,e.slice_util=on,e.softmax=Bo,e.softplus=ls,e.spaceToBatchND=Gs,e.sparseToDense=la,e.spectral=ci,e.split=Oo,e.sqrt=Wo,e.square=Ds,e.squaredDifference=qo,e.squeeze=Uo,e.stack=Go,e.step=Vo,e.stridedSlice=Ho,e.sub=hs,e.sum=ds,e.sumOutType=function(e){return me(e,"int32")},e.tan=jo,e.tanh=Qn,e.tensor=Be,e.tensor1d=Jo,e.tensor2d=Yo,e.tensor3d=Lt,e.tensor4d=function(e,t,n){if(i(e),null!=t&&4!==t.length)throw new Error("tensor4d() requires shape to have four numbers");const r=_e(e,n);if(4!==r.length&&1!==r.length)throw new Error("tensor4d() requires values to be number[][][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor4d() requires shape to be provided when `values` are a flat array");return Fe(e,t,r,n)},e.tensor5d=function(e,t,n){if(i(e),null!=t&&5!==t.length)throw new Error("tensor5d() requires shape to have five numbers");const r=_e(e,n);if(5!==r.length&&1!==r.length)throw new Error("tensor5d() requires values to be number[][][][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor5d() requires shape to be provided when `values` are a flat array");return Fe(e,t,r,n)},e.tensor6d=function(e,t,n){if(i(e),null!=t&&6!==t.length)throw new Error("tensor6d() requires shape to have six numbers");const r=_e(e,n);if(6!==r.length&&1!==r.length)throw new Error("tensor6d() requires values to be number[][][][][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor6d() requires shape to be provided when `values` are a flat array");return Fe(e,t=t||r,r,n)},e.tensor_util=we,e.test_util=fn,e.tidy=gn,e.tile=Kr,e.time=function(e){return Se.time(e)},e.topk=Zo,e.train=Si,e.transpose=Ft,e.truncatedNormal=Xo,e.unique=Qo,e.unregisterGradient=function(e){if(!O.has(e))throw new Error(`The gradient '${e}' for backend is not registered`);O.delete(e)},e.unregisterKernel=function(e,t){const n=G(e,t);if(!z.has(n))throw new Error(`The kernel '${e}' for backend '${t}' is not registered`);z.delete(n)},e.unsortedSegmentSum=ea,e.unstack=ta,e.upcastType=me,e.util=Y,e.valueAndGrad=function(e){return o(M(e),()=>"The f passed in valueAndGrad(f) must be a function"),(t,n)=>{o(t instanceof ie,()=>"The x passed in valueAndGrad(f)(x) must be a tensor"),o(null==n||n instanceof ie,()=>"The dy passed in valueAndGrad(f)(x, dy) must be a tensor");const{grads:r,value:s}=Se.gradients(()=>e(t),[t],n);return as(r),{grad:r[0],value:s}}},e.valueAndGrads=function(e){return o(M(e),()=>"The f passed in valueAndGrads(f) must be a function"),(t,n)=>{o(Array.isArray(t)&&t.every(e=>e instanceof ie),()=>"The args passed in valueAndGrads(f)(args) must be array of tensors"),o(null==n||n instanceof ie,()=>"The dy passed in valueAndGrads(f)(args, dy) must be a tensor");const r=Se.gradients(()=>e(...t),t,n);return null!=n&&a(r.value.shape,n.shape,"The shape of dy passed in valueAndGrads(f)([x1,...], dy) must match the shape returned by f([x1,...])"),as(r.grads),r}},e.variable=function(e,t=!0,n,r){return Se.makeVariable(e,t,n,r)},e.variableGrads=ss,e.version_core="3.0.0-rc.0",e.where=Tr,e.whereAsync=ra,e.zeros=Bs,e.zerosLike=Rr,Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-core.es2017.min.js.map
